package com.fs.common.utils.date;

/**
 * 用于计算时间差的类型指定
 * @ClassName: TimeTypeEnum.java
 * @author 吴树波
 * @version 1.0
 * @Date 2019年7月18日 下午13:58:51
 */
public enum TimeTypeEnum {
    /** 年 **/
    YEAR,
    /** 月 **/
    MONTH,
    /** 周 **/
    WEEK,
    /** 天 **/
    DAY,
    /** 时 **/
    HOUR,
    /** 分 **/
    MINUTE,
    /** 秒 **/
    SECOND,
    /** 毫秒 **/
    MILLI
}
