package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ChangeUserDeptAndPostParam {
    /**
     * 销售ID
     */
    @NotBlank(message = "销售ID不能为空")
    private String companyUserIds;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 岗位ID
     */
    private String postIds;
    /**
     * 角色ID
     */
    private String roleIds;
}
