package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class CompanyUserParam {

    /**
     * 公司ID
     */
    @NotNull(message = "公司ID不能为空")
    private Long companyId;
    /**
     * 手机号码
     */
    @NotBlank(message = "手机号码不能为空")
    private String phoneNumber;
    /**
     * 昵称
     */
    @NotBlank(message = "昵称不能为空")
    private String nickName;
    /**
     * 密码
     */
    @NotBlank(message = "用户密码不能为空")
    private String password;

}
