package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class CompanyUserUpdateParam {

    /**
     * 用户ID
     */
    @NotNull(message = "用户ID不能为空")
    private Long userId;
    /**
     * 昵称
     */
    private String nickName;
    /**
     * 电话号码
     */
    private String phoneNumber;
    /**
     * 备注
     */
    private String remark;
}
