package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class DoctorEditParam implements Serializable {
    @NotNull(message = "工作状态不能为空")
    private Integer workStatus;
    @NotNull(message = "价格配置不能为空")
    private String priceJson;
    private String mobile;
    private String signUrl;
}
