package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class DoctorLoginParam implements Serializable {
    @NotBlank(message = "帐号不能为空")
    private String account;
    @NotBlank(message = "密码不能为空")
    private String password;
    @NotNull(message = "类型不能为空")
    private Integer type;//1医师 2药师
    /**
     * 验证码
     */
    private String code;
    /**
     * 唯一标识
     */
    private String uuid = "";
    private String jpushId;
}
