package com.fs.app.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class DrugReportAddParam implements Serializable {
    @NotNull(message = "随访ID不能为空")
    private Long followId;

    /** 咨询总结 */
    @NotBlank(message = "咨询总结不能为空")
    private String reportSummary;
    /** 生活建议 */
    private String reportAdvice;

    private String remark;
}
