package com.fs.hospital.controller.hospital;

import com.fs.common.core.domain.AjaxResult;
import com.fs.his.service.IFsDataService;
import com.fs.his.vo.OrderDataVO;
import com.fs.hospital.domain.Hospital;
import com.fs.hospital.service.IHospitalStatisticsService;
import com.fs.hospital.service.impl.HospitalStatisticsServiceImpl;
import com.fs.hospital.vo.HospitalStatisticsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/hospital/statistics")
public class HospitalStatisticsController {
    @Autowired
    IHospitalStatisticsService hospitalStatisticsService;


    @GetMapping("/orderData")
    public AjaxResult list() {
        HospitalStatisticsVO vo = hospitalStatisticsService.getIndexStatisticsVO();
        return AjaxResult.success(vo);
    }
}
