package com.fs.app.controller;


import com.alibaba.fastjson.JSON;
import com.fs.app.websocket.bean.SendMsgVo;
import com.fs.app.websocket.service.WebSocketServer;
import com.fs.common.core.domain.R;
import com.fs.company.service.ICompanyWxChatService;
import com.fs.wxUser.domain.CompanyWxUser;
import com.fs.wxUser.service.ICompanyWxUserService;
import io.swagger.annotations.Api;
import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;


@Slf4j
@Api("公共接口")
@RestController
@AllArgsConstructor
@Ignore
@RequestMapping(value="/app/common")
public class CommonController {

    private final WebSocketServer webSocketServer;
    private final ICompanyWxUserService companyWxUserService;
    private final ICompanyWxChatService companyWxChatService;

    @GetMapping("/testSend")
    public R testSend(Long userId, String msg) throws Exception{
        return R.ok();
    }

    @GetMapping("/testGet")
    public R testGet( ) throws Exception{
        return R.ok();
    }


}
