package com.fs.app.websocket.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SendMsgVo {
    @ApiModelProperty("直播ID")
    private Long liveId;
    @ApiModelProperty("用户ID")
    private Long userId;
    @ApiModelProperty("用户类型0用户1管理员")
    private Long userType;
    @ApiModelProperty("消息代码")
    private String cmd;
    @ApiModelProperty("发送消息")
    private String msg;
    @ApiModelProperty("名称")
    private String nickName;
    @ApiModelProperty("头像")
    private String avatar;
    private boolean on = false;


}
