package com.fs.app.controller;


import com.fs.ad.enums.AdUploadType;
import com.fs.ad.service.IAdHtmlClickLogService;
import com.fs.common.core.domain.R;
import com.fs.company.service.ICompanyWxChatService;
import com.fs.fastgptApi.util.AudioUtils;
import com.fs.fastgptApi.vo.AudioVO;
import com.fs.wxUser.service.ICompanyWxUserService;
import io.swagger.annotations.Api;
import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Slf4j
@Api("公共接口")
@RestController
@AllArgsConstructor
@Ignore
@RequestMapping(value="/app/common")
public class CommonController {

    @GetMapping("/test")
    public R testSend(String voice, Long id){
        AudioVO audioVO = AudioUtils.transferAudioSilkFromTextNew(voice, id, false);
        return R.ok().put("data", audioVO);
    }

}
