package com.fs.ad.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fs.baidu.domain.BdAccount;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 推广账户对象 ad_account
 *
 * @author fs
 * @date 2025-03-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdAccount extends BaseEntityTow {


    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 媒体类型 */
    @Excel(name = "媒体类型")
    private Integer type;

    /** 关联ID */
    @Excel(name = "关联ID")
    private Long linkId;

    @TableField(exist = false)
    private BdAccount bdAccount;


}
