package com.fs.ad.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 抖音投流API信息对象 ad_dy_api
 *
 * @author 吴树波
 * @date 2025-05-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdDyApi extends BaseEntity{

    /** id */
    private Long id;

    /** appid */
    @Excel(name = "appid")
    private String appId;

    /** app秘钥 */
    @Excel(name = "app秘钥")
    private String appSecet;

    /** 授权code */
    @Excel(name = "授权code")
    private String authCode;

    /** token */
    @Excel(name = "token")
    private String accessToken;

    /** 过期时间 */
    @Excel(name = "过期时间")
    private Long expiresIn;

    /** 刷新token */
    @Excel(name = "刷新token")
    private String refreshToken;

    /** 刷新token过期时间 */
    @Excel(name = "刷新token过期时间")
    private Long refreshTokenExpiresIn;


}
