package com.fs.ad.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;

/**
 * 广告信息流链接对象 ad_html_template
 *
 * @author fs
 * @date 2024-12-31
 */
@Data
public class AdHtmlTemplate extends BaseEntityTow
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    @Excel(name = "编号")
    private String no;
    private String name;
    private String json;

    /** 图片 */
    @Excel(name = "图片")
    private String images;

    /** 请求地址 */
    @Excel(name = "请求地址")
    private String url;
    /** data_json */
    @Excel(name = "额外数据")
    private String dataJson;

}
