package com.fs.aiChat.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企微sop对象 qw_sop
 * 
 * @author fs
 * @date 2024-07-31
 */
@Data
public class QwSopIm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 类别 1个人 2群 */
    @Excel(name = "类别 1个人 2群")
    private Long type;

    /** qw_user主表的主键 */
    @Excel(name = "qw_user主表的主键")
    private String qwUserIds;

    /** 规则 */
    @Excel(name = "规则")
    private String setting;

    private Long companyId;
}
