package com.fs.aiChat.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class QwSopImCustomerVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 属于用户id */
    @Excel(name = "属于用户id")
    private String userId;

    private String userName;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private String externalUserId;

    /** 名称 */
    @Excel(name = "客户名称")
    private String name;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 用户类别 */
    @Excel(name = "用户类别")
    private Integer type;

    /** 性别 */
    @Excel(name = "性别")
    private Integer gender;

    /** 描述信息 */
    @Excel(name = "描述信息")
    private String description;

    /** 标签id */
    @Excel(name = "标签id")
    private String tagIds;

    /** 备注电话号码 */
    @Excel(name = "备注电话号码")
    private String remarkMobiles;

    /** 备注企业名称 */
    @Excel(name = "备注企业名称")
    private String remarkCorpName;

    /** 来源 */
    @Excel(name = "来源")
    private Integer addWay;

    /** oper用户id */
    @Excel(name = "oper用户id")
    private String operUserid;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 员工id */
    @Excel(name = "员工id")
    private Long companyUserId;
    private Long qwUserId;
    /** 客户id */
    @Excel(name = "客户id")
    private Long customerId;
    private Integer transferStatus;
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date transferTime;
    private Integer transferNum;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lossTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date delTime;
    private String state;
    private Long wayId;
    private Integer stageStatus;
}
