package com.fs.aiTongueApi.domain.inner;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class TongueData {
    private int id;  // ID
    private String uid;  // UID
    private String name;  // 姓名
    private int age;  // 年龄
    private int male;  // 性别
    private String typeName;  // 类型名称
    private String zhengxing;  // 证型
    private String zhengxingDesc;  // 证型描述
    private String bagang;  // 八纲
    private String bagangDesc;  // 八纲描述
    private int locked;  // 锁定状态
    private String symptom;  // 症状
    private String tonguePicAddr;  // 舌像地址
    private String uploadPath;  // 上传路径
    private String createTime;  // 创建时间
    private String pdfUrl;  // PDF链接
    private String feel;  // 感觉
    private String host;  // 主机
    private String recomand;  // 推荐
    private int score;  // 分数
    private int isFrontCamera;  // 是否前置摄像头
    private String formId;  // 表单ID
    private String confidence;  // 置信度
    private String symptomDesc;  // 症状描述
    private String qixiaoDesc;  // 气象描述
    private String shemianName;  // 舍眠名称
    private String shemianDesc;  // 舍眠描述
    private int shemianConfidence;  // 舍眠置信度
    private String shexinName;  // 舍心名称
    private String shexinDesc;  // 舍心描述
    private int shexinConfidence;  // 舍心置信度
    private String taiseName;  // 态色名称
    private String taiseDesc;  // 态色描述
    private int taiseConfidence;  // 态色置信度
    private String taizhiName;  // 态质名称
    private String taizhiDesc;  // 态质描述
    private int taizhiConfidence;  // 态质置信度
    private int dianci;  // 电磁
    private String dianciDesc;  // 电磁描述
    private String dianciMean;  // 电磁含义
    private int yudian;  // 鱼电
    private String yudianDesc;  // 鱼电描述
    private String yudianMean;  // 鱼电含义
    private int yuban;  // 鱼板
    private String yubanDesc;  // 鱼板描述
    private String yubanMean;  // 鱼板含义
    private int liewen;  // 裂纹
    private String liewenDesc;  // 裂纹描述
    private String liewenMean;  // 裂纹含义
    private Long botai;
    private String botaiDesc;
    private Long chihen;
    private String chihenDesc;


}
