package com.fs.aicall.domain.apiresult;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class Notify {
    // 标识
    private String type;
    //主叫号码
    private String callerNum;
    //被叫号码
    private String calleeNum;
    //创建时间
    private String createTime;
    //呼叫接通时间
    private String answerTime;
    //对话图uuid
    private String uuid;
    //对画图详情
//    private String contentList;
    private List<Content> contentList;
    //客户分类
    private String intention;
    //任务ID
    private String taskID;
    //录音地址
    private String recordFile;
    //客户资料自定义字段（可选参数）
    private Map<String, Object> field;
    //用户数据
    private String userData;
}
