package com.fs.baidu.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 百度计划对象 bd_plan
 *
 * @author fs
 * @date 2025-01-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BdPlan extends BaseEntity{

    @TableId
    private Long campaignFeedId;
    @Excel(name = "账户ID")
    private Long accountId;
    @Excel(name = "账户名称")
    private String accountName;

    private String campaignFeedName;

    private Integer subject;

    private String appinfo;

    private String schedule;

    private String eshopType;

    private Integer campaignOcpxStatus;

    private Integer useLiftBudget;

    private BigDecimal liftBudget;

    private Integer liftStatus;

    private String deliveryType;

    private Integer appSubType;

    private Integer miniProgramType;

    private Integer bidMode;

    private Long productIds;

    private Integer saleType;
    private String json;

}
