package com.fs.baidu.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
// 详情 @see https://dev2.baidu.com/content?sceneType=0&pageId=101269&nodeId=106&subhead=
@Data
public class CampaignFeedVo {
    // 信息流计划ID
    private Long campaignFeedId;
    // 信息流计划名称
    private String campaignFeedName;
    // 营销目标
    private Integer subject;
    // 推广app信息
    private AppInfoType appinfo;
    private ScheduleType[] schedule;
    private String eshopType;
    private Integer campaignOcpxStatus;
    private Integer useLiftBudget;
    private BigDecimal liftBudget	;
    private Integer liftStatus	;
    private Integer[] deliveryType	;
    private Integer appSubType	;
    private Integer miniProgramType	;
    private Integer bidMode	;
    private Long productIds	;
    private Integer saleType	;

    @Data
    static class ScheduleType{
        private Boolean pause;
        private Integer status;
        private Integer bstype;
        private Integer campaignType;
        private LocalDateTime addtime;
    }
    @Data
    static class AppInfoType{
        // 推广计划预算
        private Double budget;
        // 推广开始时间
        private LocalDateTime starttime;
        // 推广结束时间
        private LocalDateTime endtime;
    }
}
