package com.fs.chat.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 消息操作日志对象 chat_msg_logs
 *
 * @author fs
 * @date 2024-05-10
 */
@Data
public class ChatMsgLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long logsId;

    /** msgId */
    @Excel(name = "msgId")
    private Long msgId;

    /** 类型 1标记正确 2修改回复 */
    @Excel(name = "类型 1标记正确 2修改回复")
    private Integer logsType;

    /** 修改后内容 */
    @Excel(name = "修改后内容")
    private String content;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long companyUserId;

    private String sContent;//原消息记录

    private String userContent; //提问内容

    private Long companyId;


}
