package com.fs.chat.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fs.his.param.BaseParam;
import lombok.Data;

import java.util.Date;

@Data
public class ChatMsgLogsListCParam extends BaseParam {
    private Long roleId; //角色id
    private String companyUserName; //修改人

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime; //修改时间

    private Long companyId;
    @JsonIgnore
    private String beginTime;
    /** 结束时间 */
    @JsonIgnore
    private String endTime;

    private String createBy;
}
