package com.fs.common.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Data
public class LoginParam implements Serializable {
    @NotBlank(message = "code参数缺失")
    private String code;
    private String encryptedData;
    private String iv;
    private String rawData;
    private String signature;
}
