package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("company_user_change_apply")
public class CompanyUserChangeApply {
    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 公司ID
     */
    private Long companyId;
    /**
     * 原归属销售
     */
    @TableField("`from`")
    private Long from;
    /**
     * 申请归属销售
     */
    @TableField("`to`")
    private Long to;
    /**
     * 审核状态 0待审核 1通过 2拒绝
     */
    private Integer status;
    /**
     * 申请人
     */
    private String applyBy;
    /**
     * 申请时间
     */
    private LocalDateTime applyTime;
    /**
     * 审核人
     */
    private String auditBy;
    /**
     * 审核时间
     */
    private LocalDateTime auditTime;
    /**
     * 被拒原因
     */
    private String reason;
}
