package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * companyUserUser对象 company_user_user
 *
 * @author fs
 * @date 2023-12-19
 */
@Data
public class CompanyUserUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司用户id */
    @Excel(name = "公司用户id")
    private Long companyUserId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

}
