package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企微账号对象 company_wx_account
 * 
 * @author fs
 * @date 2024-12-09
 */
@Data
public class CompanyWxAccount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 微信昵称 */
    @Excel(name = "微信昵称")
    private String wxNickName;

    /** 电话号码 */
    @Excel(name = "电话号码")
    private String phone;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wxNo;

    /** 销售人员ID */
    @Excel(name = "销售人员ID")
    private Long companyUserId;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createUser;

    private String companyUserName;
}
