package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;

/**
 * 个微聊天对象 company_wx_chat
 *
 * @author fs
 * @date 2025-01-15
 */
@Data
public class CompanyWxChat extends BaseEntityTow
{
    /** 个微用户ID */
    @Excel(name = "个微用户ID")
    private Long wxUserId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 企业用户ID */
    @Excel(name = "企业用户ID")
    private Long companyUserId;

    /** 消息JSON */
    @Excel(name = "消息JSON")
    private String msgJson;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String content;

    /** 消息类型 1文本 */
    @Excel(name = "消息类型 1文本")
    private Integer msgType;

    /** 发送类型 1用户发送 2企业用户发送 */
    @Excel(name = "发送类型 1用户发送 2企业用户发送")
    private Integer sendType;

}
