package com.fs.company.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyUserChangeApply;
import com.fs.company.vo.CompanyUserChangeApplyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CompanyUserChangeApplyMapper extends BaseMapper<CompanyUserChangeApply> {

    /**
     * 查询申请列表
     * @param map 条件
     * @return  list
     */
    List<CompanyUserChangeApplyVO> selectApplyListByMap(@Param("map") Map<String, Object> map);

    /**
     * 查询申请详情
     * @param id    申请记录ID
     * @return  CompanyUserChangeApplyVO
     */
    CompanyUserChangeApplyVO detailById(@Param("id") Long id);
}
