package com.fs.company.mapper;

import java.util.List;
import com.fs.company.domain.CompanyUserUser;

/**
 * companyUserUserMapper接口
 * 
 * @author fs
 * @date 2023-12-19
 */
public interface CompanyUserUserMapper 
{
    /**
     * 查询companyUserUser
     * 
     * @param id companyUserUser主键
     * @return companyUserUser
     */
    public CompanyUserUser selectCompanyUserUserById(Long id);

    /**
     * 查询companyUserUser列表
     * 
     * @param companyUserUser companyUserUser
     * @return companyUserUser集合
     */
    public List<CompanyUserUser> selectCompanyUserUserList(CompanyUserUser companyUserUser);

    /**
     * 新增companyUserUser
     * 
     * @param companyUserUser companyUserUser
     * @return 结果
     */
    public int insertCompanyUserUser(CompanyUserUser companyUserUser);

    /**
     * 修改companyUserUser
     * 
     * @param companyUserUser companyUserUser
     * @return 结果
     */
    public int updateCompanyUserUser(CompanyUserUser companyUserUser);

    /**
     * 删除companyUserUser
     * 
     * @param id companyUserUser主键
     * @return 结果
     */
    public int deleteCompanyUserUserById(Long id);

    /**
     * 批量删除companyUserUser
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCompanyUserUserByIds(Long[] ids);
}
