package com.fs.company.param;

import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class BaseQueryParam extends BaseEntity implements Serializable {
    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum =1;
    @ApiModelProperty(value = "页码,默认为1")
    private Integer page =1;
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = 10;
    @ApiModelProperty(value = "限制数量")
    private Integer limit;
    @ApiModelProperty(value = "搜索字符串")
    private String keyword;




}
