package com.fs.company.param;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 绑定域名管理中间表接收
 **/
@Data
public class CompanyDomainBindParam implements Serializable {
    /**
     * 企业名称
     * **/
    private String companyName;

    /**
     * 域名
     * **/
    private String domain;

    /**
     * 绑定域名ID
     * **/
    private Long domainId;

    /**
     * 公司ID
     * **/
    private Long companyId;

    /**
     * 企业Id数组
     **/
    private List<Long> companyIds;

    /**
     * 企业用户ids
     * **/
    private List<Long> companyUserIds;

    /**
     * 用户id
     * **/
    private String userId;
}
