package com.fs.company.param;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 域名管理接收
 **/
@Data
public class CompanyDomainParam implements Serializable {
    /**
     * 域名id
     */
    private Long id;

    /**
     * 域名
     */
    private String domain;

    /**
     * 状态（1未启用、2启用）
     */
    private Long status;

    /**
     * 域名ID数组
     **/
    private List<Long> domainIds;

    /**
     * 企业Id数组
     **/
    private List<Long> companyIds;

    /**
     * 用户ID
     * **/
    private String userId;

    /**
     * 参数ids
     * **/
    private Long[] ids;
}
