package com.fs.company.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.company.domain.CompanyUserChangeApplyUser;
import com.fs.company.vo.CompanyUserChangeApplyUserVO;

import java.util.List;

public interface ICompanyUserChangeApplyUserService extends IService<CompanyUserChangeApplyUser> {

    /**
     * 查询申请记录关联用户
     * @param applyId   申请记录ID
     * @return  list
     */
    List<CompanyUserChangeApplyUserVO> getApplyUsers(Long applyId);

    /**
     * 修改申请记录关联用户销售
     * @param applyId 申请记录ID
     */
    void changeUser(Long applyId);
}
