package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CompanyPackageOrderStatisticsVO implements Serializable
{
    @Excel(name = "员工姓名")
    String nickName;
    @Excel(name = "手机号")
    String phonenumber;
    @Excel(name = "语音名")
    String packageName;
    @Excel(name = "有效期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    Date limitTime;
    @Excel(name = "总分钟数")
    Integer times;
    @Excel(name = "剩余分钟数")
    Integer remainTimes;
    @Excel(name = "消耗分钟")
    Integer useTimes;



}
