package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanySmsTempListVO implements Serializable
{

    /** 模板ID */
    private Long tempId;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 模板标题 */
    @Excel(name = "模板标题")
    private String title;

    /** 模板内容 */
    @Excel(name = "模板内容")
    private String content;

    /** 模板CODE */
    @Excel(name = "模板CODE")
    private String tempCode;

    /** 模板类型 */
    @Excel(name = "模板类型")
    private Integer tempType;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Integer cateId;

    private Integer isAudit;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String companyName;

}
