package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class CompanyUserChangeApplyVO {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 原销售
     */
    private Long from;
    /**
     * 原销售头像
     */
    private String fromAvatar;
    /**
     * 原销售名称
     */
    private String fromName;
    /**
     * 申请更换销售
     */
    private Long to;
    /**
     * 申请更换销售头像
     */
    private String toAvatar;
    /**
     * 申请更换销售名称
     */
    private String toName;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 申请人
     */
    private String applyBy;
    /**
     * 申请时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime applyTime;
    /**
     * 审核人
     */
    private String auditBy;
    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditTime;
    /**
     * 被拒原因
     */
    private String reason;
    /**
     * 需更换用户
     */
    private List<CompanyUserChangeApplyUserVO> users;
}
