package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanyVoiceCallerListVO implements Serializable
{


    /** ID */
    private Long callerId;

    @Excel(name = "公司")
    private String companyName;

    /** 企业ID */
    private Long companyId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long companyUserId;

    /** 坐席号 */
    @Excel(name = "坐席号")
    private String callerNo;

    /** 手机号 主叫 */
    @Excel(name = "手机号 主叫")
    private String mobile;

    /** 状态 1正常0禁用 */
    @Excel(name = "状态")
    private Integer status;

    @Excel(name = "员工")
    private String companyUserNickName;


}
