package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课程短链域名对象 fs_course_domain_name
 *
 * @author fs
 * @date 2024-10-09
 */
@Data
public class FsCourseDomainName extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键Id */
    private Long id;

    /** 域名 */
    @Excel(name = "域名")
    private String domainName;

    private Long companyId;

    private Long companyUserId;

    /** 状态 0 停用  1正常 */
    @Excel(name = "状态 0 停用  1正常")
    private Long status;

}
