package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.TreeEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 看课投诉类型对象 fs_user_course_complaint_type
 *
 * @author fs
 * @date 2025-06-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserCourseComplaintType extends TreeEntity{

    /** 投诉类型id */
    private Long complaintTypeId;

    /** 投诉类型名称 */
    @Excel(name = "投诉类型名称")
    private String complaintTypeName;

    /** 级别（目前只有两级） */
    @Excel(name = "级别", readConverterExp = "目=前只有两级")
    private Integer typeLevel;

}
