package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课程收藏对象 fs_user_course_favorite
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseFavorite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 收藏id */
    private Long favoriteId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;
}
