package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂关注对象 fs_user_course_follow
 *
 * @author fs
 * @date 2024-05-17
 */
@Data
public class FsUserCourseFollow extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关注id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 课堂id */
    @Excel(name = "课堂id")
    private Long courseId;

}
