package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 达人关注对象 fs_user_talent_follow
 *
 * @author fs
 * @date 2024-05-31
 */
@Data
public class FsUserTalentFollow extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 达人id */
    @Excel(name = "达人id")
    private Long talentId;

}
