package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 短视频标签对象 fs_user_video_tags
 *
 * @author fs
 * @date 2024-09-23
 */
@Data
public class FsUserVideoTags extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 视频标签表ID */
    private Long tagId;

    /** 父id */
    @Excel(name = "父id")
    private Long pid;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String tagName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private String isDel;

}
