package com.fs.course.dto;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class FsCourseQuestionBankImportDTO {

    @Excel(name = "标题(必填)")
    private String title;

    @Excel(name = "序号(必填)")
    private Long sort;

    @Excel(name = "类别(必填)")
    private String type;

    @Excel(name = "题目类别(非必填)")
    private String questionType;

    @Excel(name = "题目子类别(非必填)")
    private String questionSubTyp;

    @Excel(name = "状态(非必填)")
    private String status;

    @Excel(name = "选项A(必填)")
    private String questionA;

    @Excel(name = "选项B(必填)")
    private String questionB;

    @Excel(name = "选项C(必填)")
    private String questionC;

    @Excel(name = "选项D(非必填)")
    private String questionD;

    @Excel(name = "答案(必填)")
    private String answer;
}
