package com.fs.course.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class FsUserCourseTrainingCampUpdateDTO {
    /**
     * 主键ID
     */
    @NotNull(message = "ID不能为空")
    private Long trainingCampId;
    /**
     * 训练营名称
     */
    @NotBlank(message = "训练营名称不能为空")
    private String trainingCampName;
}
