package com.fs.course.param;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 课程分析查询-入参
 */
@Data
public class CourseAnalysisParam implements Serializable {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "销售用户id")
    private Long companyUserId;

    @ApiModelProperty(value = "营期id")
    private Long periodId;

    @ApiModelProperty(value = "视频id")
    private Long videoId;

//    @ApiModelProperty(value = "登录用户id，不传")
//    private Long userId;

    @ApiModelProperty(value = "公司id，不传")
    private Long companyId;

    @ApiModelProperty(value = "视频id-管理端传参")
    private List<Long> videoIdList;

}

