package com.fs.course.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class FsCourseLinkCreateParam {

    private Long videoId;

    private Integer days;

//    private Long qwUserIdLong;
    private Long qwUserId;

    private String corpId;

    private Long companyId;
    private String chatId;

    private Long companyUserId;

    private Long courseId;

    private Long qwExternalId;

    private Integer sendType;

    private Date sendTime;

    @ApiModelProperty(value = "链接有效时长（分钟）")
    private Integer effectiveDuration;

    private Long periodId;

    @ApiModelProperty(value = "营期课程id")
    private Long id;

}
