package com.fs.course.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class FsUserCourseCommentAddParam {


    private Long courseId;

    /** 评论类型 1：评论，2：回复 */
    @NotNull(message = "评论类型不能为空")
    private Long type;

    /** 父评论id */
    private Long parentId;

    /** 评论内容 */
    @NotBlank(message = "评论内容不能为空")
    private String content;


    private Long toUserId;
}
