package com.fs.course.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SopRoomCourseParam {

    private String corpId;
    /** qw_user_id */

    private String qwUserid;

    /** 企微外部联系人id */

    private String externalUserId;

    /** 0发送失败 1发送成功 3待发送 4未发送(未确定) 5已作废 */
    private Long sendStatus;

    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum =1;
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = 10;

    private Long courseId;
}
