package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FsUserCourseAddCompanyUserParam implements Serializable {

    @NotNull(message = "视频id不能为空")
    @ApiModelProperty(value = "视频id")
    private Long videoId;

//    @NotNull(message = "用户id不能为空")
    @ApiModelProperty(value = "授权的用户id，不用传")
    private Long userId;

    @NotNull(message = "销售id不能为空")
    @ApiModelProperty(value = "销售id")
    private Long companyUserId;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

//    @ApiModelProperty(value = "归属发送方式：1 个微  2 企微 ，不用传")
//    private Integer sendType; //归属发送方式：1 个微  2 企微

    @ApiModelProperty(value = "营期id")
    private Long periodId;

}
