package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FsUserCourseBeMemberParam implements Serializable {

    @NotNull(message = "用户id不能为空")
    @ApiModelProperty(value = "授权的用户id")
    private Long userId;

    @NotNull(message = "销售id不能为空")
    @ApiModelProperty(value = "销售id")
    private Long companyUserId;

    @NotNull(message = "公司id不能为空")
    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "标签ids，数组格式")
    private String[] tagIds;


}
