package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FsUserCourseVideoLinkParam implements Serializable {
    @NotNull(message = "销售id不能为空")
    @ApiModelProperty(value = "视频id")
    private Long videoId;

    @ApiModelProperty(value = "用户id")
    private Long fsUserId;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "链接类型，0:正常链接；1:应急链接")
    private Integer linkType;

    @NotNull(message = "销售id不能为空")
    @ApiModelProperty(value = "销售id")
    private Long companyUserId;

    @ApiModelProperty(value = "营期课程ID")
    private Long id;

    @ApiModelProperty(value = "营期id")
    private Long periodId;

}
