package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@ApiModel(value = "更新看课时长的入参")
public class FsUserCourseVideoUParam implements Serializable {
    @NotNull(message = "时长不能为空")
    private Long duration;

    @NotNull(message = "视频id不能为空")
    private Long videoId;

    @NotNull(message = "用户id不能为空")
    private Long userId;

    private Integer linkType;

    @NotNull(message = "销售id不能为空")
    private Long companyUserId;

}
