package com.fs.course.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.course.domain.FsVideoResource;
import com.fs.course.vo.FsVideoResourceVO;

import java.util.List;
import java.util.Map;

public interface IFsVideoResourceService extends IService<FsVideoResource> {

    /**
     * 查询素材库列表
     *
     * @param params    参数
     * @return  list
     */
    List<FsVideoResourceVO> selectVideoResourceListByMap(Map<String, Object> params);

    /**
     * 通过filekey查询数据信息
     *
     * @param fileKey
     * @return
     */
    FsVideoResource selectByFileKey(String fileKey);
}
