package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsCourseOverVO {


    @Excel(name = "企微客户")
    private String qwUserName;
    @Excel(name = "企业微信员工名称")
    private String externalUserName;

    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    @Excel(name = "进线时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date userCreateTime;

}
