package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsCourseSopAiListVO  implements Serializable {


    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** qw_user主表的主键 */
    @Excel(name = "qw_user主表的主键")
    private String qwUserIds;

    private Long companyId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
