package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

@Data
@ApiModel(value = "看课评论列表")
public class FsCourseWatchCommentVO{

    @ApiModelProperty(value = "评论id")
    private Long commentId;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    private String nickName;

    @ApiModelProperty(value = "用户类型，1-管理员，2-用户")
    private Integer userType;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "视频id")
    private Long videoId;

    @ApiModelProperty(value = "评论类型")
    private Integer type;

    @ApiModelProperty(value = "评论内容")
    private String content;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "时间（用于弹幕记录时间）")
    private Integer time;

    @ApiModelProperty(value = "字体大小")
    private String fontSize;

    @ApiModelProperty(value = "展示模式")
    private String mode;

    @ApiModelProperty(value = "字体颜色")
    private String color;

}
