package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsCourseWatchLogStatisticsListVO {


    private Integer project;
    @Excel(name = "项目名称")
    private String projectName;

    private Long courseId;
    @Excel(name = "课程名称")
    private String courseName;

    private Long videoId;
    @Excel(name = "小节名称")
    private String videoName;

    @Excel(name = "待看课")
    private String type1;
    @Excel(name = "看课中")
    private String type2;
    @Excel(name = "已完课")
    private String type3;
    @Excel(name = "看课中断")
    private String type4;
    @Excel(name = "企业微信员工名称")
    private String qwUserName;

    private Long userId;
    @Excel(name = "员工名称")
    private String userName;

    @Excel(name = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    private Long companyUserId;
    @Excel(name = "销售名称")
    private String companyUserName;
}
