package com.fs.course.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserCourseComplaintRecordPageListVO extends BaseEntity{

    /** 投诉记录id */
    private Long recordId;

    /** 用户id */
    private Long userId;

    @Excel(name = "用户昵称")
    private String nickName;

    @Excel(name = "投诉类型")
    private String complaintTypeName;

//    @Excel(name = "投诉内容")
    private String complaintContent;

    @Excel(name = "课程名称")
    private String courseName;

    @Excel(name = "小节名称")
    private String title;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "看课状态")
    private String status;

}
