package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class FsUserCourseTrainingCampVO {
    /**
     * 主键ID
     */
    private Long trainingCampId;
    /**
     * 训练营名称
     */
    private String trainingCampName;
    /**
     * 序号
     */
    private Integer orderNumber;
    /**
     * 最近营期开课日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime recentDate;
    /**
     * 营期数
     */
    private Integer periodCount;
    /**
     * 会员总数
     */
    private Integer vipCount;
}
