package com.fs.course.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 课堂视频对象 fs_user_course_video
 *
 * @author fs
 * @date 2024-05-17
 */
@Data
public class FsUserCourseVideoListUVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long videoId;


    /** 视频标题 */
    private String title;


    /** 视频URL */
    private String videoUrl;

    /** 视频缩略图 */
    private String thumbnail;

    /** 视频时长 */
    private String duration;

    private Long seconds;

    /** 达人id */
    private Long talentId;

    /** 课程ID */
    private Long courseId;

    /** 视频状态 1：草稿，2：待审核，3：发布 */
    private Long status;

    /** 课程排序 */
    private Long courseSort;

    private Integer isVip;

    private Long studyTime;

    private Integer isBuy;

    private Long totalTimes;

    private String lineOne; //线路一 腾讯云pcdn 前缀tcpv

    private String lineTwo; //线路二 电信 前缀ctev
    private String lineThree; //线路三 华为云obs
    private Integer uploadType;

    private String packageJson;




}
