package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 达人对象 fs_user_talent
 *
 * @author fs
 * @date 2024-05-31
 */
@Data
public class FsUserTalentUVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 达人id */
    private Long talentId;

    /** 所属用户 */
    private Long userId;

    /** 昵称 */
    private String nickName;

    /** 头像 */
    private String avatar;

    /** 电话 */
    private String phone;

    /** 标题 */
    private String title;

    /** 性别 */
    private Long sex;

    /** 标签 */
    private String tags;

    /** 位置 */
    private String address;

    /** 达人等级 */
    private Long level;

    /** 粉丝数 */
    private Long fans;

    /** 获赞数 */
    private Long likes;

    /** 抖音链接 */
    private String tiktokLink;

    /** 快手链接 */
    private String kwaiLink;





}
