package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class FsUserVideoListUVO {
    private String id; // _id
    private String username;//2.视频拥有者名称
    private String headImg;//3.发布者头像
    private String cover;//视频封面
    private String title;//4.第一行标题
    private String msg;//5.第二行内容
    private String state = "pause";//6.初始状态标志（不改）
    private Integer like = 0; //7.是否是自己喜欢，0不喜欢，1喜欢。默认不喜欢
    private Integer likeNum;//8.喜欢数量
    private Integer smsNum;//9.评论数
    private Integer favorite = 0;//是否是自己收藏，0未收藏，1收藏。默认未收藏
    private Integer favoriteNum;//11.收藏数
    private String src;//10.视频链接
    private Integer playNumber;//播放量
    private List<String> pinlun; //12.评论
    private Boolean playIng=false;//13.播放（默认这个即可）
    private Boolean isShowimage=false;//14.是否显示封面（默认这个即可）
    private Boolean isShowProgressBarTime=false;//15.是否显示进度条（默认这个即可）
    private Boolean isplay=true;//16.是否播放音频（默认这个true即可）
    private Boolean isShowPlayIcon=false;
    private Boolean isShowGoods = false;//是否显示商品
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private Long productId;
    private String imgUrl;
    private String packageName;
    private String productJson;
    private Integer uploadType;
    private Long shares;
    private String addNum; //随机添加数
}
