package com.fs.course.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

@Data
@ApiModel("营期红包金额列表")
public class PeriodRedPacketVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "视频小节id")
    private Long videoId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "视频名称")
    private String videoName;

    @ApiModelProperty(value = "营期日期")
    private LocalDate dayDate;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

}
