package com.fs.course.vo.newfs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 课程视频题库
 */
@Data
@ApiModel
public class FsUserVideoQuestionVO {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "问题")
    private String title;

    @ApiModelProperty(value = "排序")
    private Long sort;

    @ApiModelProperty(value = "类别，1-单选，2-多选 ")
    private Long type;

    @ApiModelProperty(value = "状态")
    private Long status;

    @ApiModelProperty(value = "问题类别")
    private String questionType;

    @ApiModelProperty(value = "选项")
    private String question;

    @ApiModelProperty(value = "答案")
    private String answer;

}
