package com.fs.crm.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class SmsSendBatchParam implements Serializable {

    @NotNull(message = "客户IDS不能为空")
    private Long[]  customerIds;
    @NotNull(message = "模板CODE不能为空")
    private Long  tempId;


    private String tempCode;
    private Long  companyId;
    private Long  companyUserId;
    private Integer smsType;//短信类型 1 CRM客户端信
    @NotNull(message = "短信内容不能为空")
    private String content;

    private String cardUrl; //名片链接


}
