package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmCustomerAssignListVO implements Serializable
{

    /** ID */
    private Long assignId;

    /** 企业ID */
    private Long companyId;

    /** 分配用户ID */
    private Long companyUserId;

    /** 客户ID */
    private String customerIds;

    /** 系统用户ID */
    private Long sysUserId;

    private Integer assignType;

    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String remark;

    private String companyName;

    private String companyNickName;

    private String companyUserName;

    private String sysNickName;

    private String sysUserName;

}
