package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmMsgListQueryVO implements Serializable
{


    /** ID */
    private Long msgId;

    @Excel(name = "消息类型 1客户消息 2系统消息 3随访消息")
    private Integer msgType;

    /** 标题 */
    private String title;

    /** 内容 */
    private String content;

    private Integer isRead;

    private Long companyId;

    /** 用户ID */
    private Long companyUserId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Long objId;


}
