package com.fs.erp.dto.wdt;

import lombok.Data;

import java.util.List;

/**
 * 旺店通开放平台 API 退款/售后业务请求参数 DTO
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class ErpWdtRefundBusinessRequestParams {

    /**
     * 退款单节点
     * <p>请求参数的1级数据节点，包含平台售后订单所有属性信息的数据节点，节点下数据字段详见下述“api_refund_list”</p>
     */
    private List<ErpWdtApiRefund> apiRefundList;
}
