package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 关键字对象 fastgpt_chat_keyword
 * 
 * @author fs
 * @date 2024-09-30
 */
@Data
public class FastGptChatKeyword extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long keywordId;

    /** 关键字 */
    @Excel(name = "关键字")
    private String keyword;

    /** 类型 1 文本回复 2转人工 3物流信息 4图文信息 */
    @Excel(name = "类型 1 文本回复 2转人工 3物流信息 4图文信息")
    private Integer type;

    /** 匹配内容 */
    @Excel(name = "匹配内容")
    private String content;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 所属应用 */
    @Excel(name = "所属应用")
    private String roles;


}
