package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 应用对象 fastgpt_role
 *
 * @author fs
 * @date 2024-09-30
 */
@Data
public class FastGptRole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long roleId;

    /** 角色名 */
    @Excel(name = "角色名")
    private String roleName;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 角色类型 1 AI客服 */
    @Excel(name = "角色类型 1 AI客服")
    private Integer roleType;

    /** 模型JSON */
    @Excel(name = "模型JSON")
    private String modeConfigJson;

    /** 模型 1 fastGpt */
    @Excel(name = "模型 1 fastGpt")
    private Integer mode;

    /** 客服ID */
    @Excel(name = "客服ID")
    private String kfId;

    /** 客服应用URL */
    @Excel(name = "客服应用URL")
    private String kfUrl;

    /** 客服应用头像 */
    @Excel(name = "客服应用头像")
    private String avatar;

    /** $column.columnComment */
    @Excel(name = "客服应用头像")
    private String kfMediaId;
    /** 提示词 */
    private String reminderWords;
    /**
    * 绑定的公司
    */
    private String bindCorpId;

    private String contactInfo;
}
