package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 客户信息对象 fastgpt_user
 * 
 * @author fs
 * @date 2024-09-30
 */
@Data
public class FastGptUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long uid;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String name;

    /** 微信客户 external_userid */
    @Excel(name = "微信客户 external_userid")
    private String externalUserid;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** unionid */
    @Excel(name = "unionid")
    private String unionid;


}
