package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 多音字对象 fastgpt_chat_voice_homo
 *
 * @author fs
 * @date 2024-12-20
 */
@Data
public class FastgptChatVoiceHomo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 原来的文本 */
    @Excel(name = "原来的文本")
    private String content;

    /** 变更后的文本 */
    @Excel(name = "变更后的文本")
    private String changeCount;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

}
