package com.fs.fastGpt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FastGptChatMsgListCVO  implements Serializable {

    /** ID */
    private Long msgId;

    /** 消息ID */
    @Excel(name = "消息Id")
    private String extId;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String content;

    @Excel(name = "咨询用户")
    private String nickName;//客户名称

    private String avatar; //用户头像

    /** 消息类型 1文本 */
    @Excel(name = "消息类型" ,dictType = "chat_msg_type")
    private Integer msgType;

    /** 发送类型 1用户发送 2客服发送 */
    @Excel(name = "发送类型" ,dictType = "chat_msg_send_type")
    private Integer sendType;

    private Long companyId;

    @Excel(name = "所属公司")
    private String companyName;

    private Long roleId;

    private Long companyUserId;

    private String msgJson;

    private String userId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "客服账号")
    private String roleName;

    @Excel(name = "标记状态",dictType = "sys_chat_msg_status")
    private Integer status;

    @Excel(name = "用户类型 1微信用户 2小程序用户 3销售用户")
    private Integer userType;
}
