package com.fs.fastGpt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
public class FastGptChatMsgLogsVO  extends BaseEntity {

    private Long logsId;

    /** msgId */
    @Excel(name = "msgId")
    private Long msgId;

    /** 类型 1标记正确 2修改回复 */
    @Excel(name = "类型 1标记正确 2修改回复")
    private Integer logsType;

    /** 修改后内容 */
    @Excel(name = "修改后内容")
    private String content;

    @Excel(name = "原内容")
    private String sContent;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long companyUserId;

    @Excel(name = "昵称")
    private String nickName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private  String createBy;
}
