package com.fs.fastgptApi.param;

import lombok.Data;

/**
* 创建一个知识库
*/
@Data
public class CreateKnowledgeBaseParam {

    /**
    * 父级ID，用于构建目录结构。通常可以为 null 或者直接不传。
    */
    private  String parentId;
    /**
    * dataset或者folder，代表普通知识库和文件夹。不传则代表创建普通知识库。
    */
    private  String type;
    /**
    * 知识库名（必填）
    */
    private  String name;
    /**
    * 介绍（可选）
    */
    private  String intro;
    /**
    * 头像地址（可选）
    */
    private  String avatar;
    /**
    * 向量模型（建议传空，用系统默认的）
    */
    private  String vectorModel;
    /**
    * 文本处理模型（建议传空，用系统默认的）
    */
    private  String agentModel;
}
