package com.fs.fastgptApi.param;

import lombok.Data;

/**
* 搜索测试
*/
@Data
public class SearchTestParam {

    /**
    *  知识库ID
    */
    public String datasetId;
    /**
    * 需要测试的文本
    */
    public String text;
    /**
    * 最大 tokens 数量
    */
    public int limit;
    /**
    * 最低相关度（0~1，可选）
    */
    public double similarity;
    /**
    *  搜索模式：embedding | fullTextRecall | mixedRecall
    */
    public String searchMode;
    /**
    * 使用重排
    */
    public boolean usingReRank;
}
