package com.fs.fastgptApi.param;

import lombok.Data;

import java.util.List;

/**
* 修改单条数据
*/
@Data
public class UpdateCollectionDataParam {
    /**
    *
     * 数据的id
    */
//    public String Id;
    public String dataId;
    /**
    * 主要数据（选填）
    */
    public String q;
    /**
    * 辅助数据（选填）
    */
    public String a;
    /**
    * 自定义索引（选填），类型参考为集合批量添加添加数据。如果创建时候有自定义索引，
    */
    public List<Index> indexes;

    @Data
    public static class Index {
        public String dataId;
        public boolean defaultIndex;
        /**
        * 修改后的自定义索引2。（会删除原来的自定义索引2，并插入新的自定义索引2）
         *
        */
        public String text;
    }
}
