package com.fs.fastgptApi.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class VoiceParam {
    @ApiModelProperty(value = "文本内容")
    private String text;
    @ApiModelProperty(value = "模型")
    private String prompt;
    @ApiModelProperty(value = "音色")
    private String voice;
    @ApiModelProperty(value = "语速")
    private int speed;
    @ApiModelProperty(value = "音量大小")
    private double temperature;
    private double topP;
    private int topK;
    private int refineMaxNewToken;
    private int inferMaxNewToken;
    @ApiModelProperty("文本种子值")
    private int textSeed;
    @ApiModelProperty("预处理文本")
    private int skipRefine;
    private int isStream;
    private int customVoice;



}
