package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

/**
*  detail=false,stream=false 的响应（一段话）
*/
@Data
public class ChatDetailFStreamFResult {
    private String id;
    private String model;
    private Usage usage;
    // 人为添加字段：是否转人工 -> false：不需要 true：需要转人工
    public boolean artificial;
    private List<Choice> choices;


    @Data
    public static class Usage {
        private int promptTokens;
        private int completionTokens;
        private int totalTokens;
    }

    @Data
    public static class Choice {
        private Message message;
        private String finishReason;
        private int index;
    }

    @Data
    public static class Message {
        private String role;
        private String content;

    }
}
