package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

/**
* detail=true,stream=true 响应  Answer事件（返回给客户端的文本（最终会算作回答））
*/
@Data
public class ChatTTAnswerResult {
    private String id;
    private String object;
    private long created;
    private String model;
    private List<Choice> choices;

    @Data
    public static class Choice {
        private Delta delta;
        private int index;
        private String finishReason; // 可以是 null
    }

    @Data
    public static class Delta {
        private String content;

    }
}
