package com.fs.fastgptApi.result;

import lombok.Data;

@Data
public class CreateFileCollectionResult {

    public int code;
    public String statusText;
    public String message;
    public Data data;

    @lombok.Data
    public static class Data {
        public String collectionId;
        public Results results;

        @lombok.Data
        public static class Results {
            public int insertLen;
            public String[] overToken;
            public String[] repeat;
            public String[] error;
        }
    }
}
