package com.fs.fastgptApi.result;

import lombok.Data;

/**
 * 创建一个纯文本集合
 */
@Data
public class CreateTextCollectionResult {

    public int code;
    public String statusText;
    public String message;
    public Data data;

    @lombok.Data
    public static class Data {
        public String collectionId;
        public Results results;

        @lombok.Data
        public static class Results {
            public int insertLen;
            public String[] overToken;
            public String[] repeat;
            public String[] error;
        }
    }
}
