package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

@Data
public class GetCollectionDataDetailResult {
    public int code;
    public String statusText;
    public String message;
    public Data data;

    @lombok.Data
    public static class Data {
        public String id;
        public String q;
        public String a;
        public int chunkIndex;
        public List<Index> indexes;
        public String datasetId;
        public String collectionId;
        public String sourceName;
        public String sourceId;
        public boolean isOwner;
        public boolean canWrite;
    }

    @lombok.Data
    public static class Index {
        public boolean defaultIndex;
        public String type;
        public String dataId;
        public String text;
        public String _id;
    }
}
