package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

/**
* 获取集合的数据列表
*/
@Data
public class GetCollectionDataListResult {

    public int code;
    public String statusText;
    public String message;
    public Data data;

    @lombok.Data
    public static class Data {
        public int pageNum;
        public int pageSize;
        public List<DataItem> data;
        public int total;
    }

    @lombok.Data
    public static class DataItem {
        public String _id;
        public String datasetId;
        public String collectionId;
        public String q;
        public String a;
        public int chunkIndex;
    }
}
