package com.fs.fastgptApi.result;


import lombok.Data;

/**
*   获取知识库详情
*/
@Data
public class GetKnowledgeBaseDetailResult {

    private int code;
    private String statusText;
    private String message;
    private Data data;

    @lombok.Data
    public static class Data {
        private String _id;
        private String parentId;
        private String teamId;
        private String tmbId;
        private String type;
        private String status;
        private String avatar;
        private String name;
        private VectorModel vectorModel;
        private AgentModel agentModel;
        private String intro;
        private String permission;
        private String updateTime;
        private boolean canWrite;
        private boolean isOwner;

        @lombok.Data
        public static class VectorModel {
            private String model;
            private String name;
            private double charsPointsPrice;
            private int defaultToken;
            private int maxToken;
            private int weight;
        }

        @lombok.Data
        public static class AgentModel {
            private String model;
            private String name;
            private int maxContext;
            private int maxResponse;
            private double charsPointsPrice;
        }
    }
}
