package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

/**
* 搜索测试
*/
@Data
public class SearchTestResult {


    public int code;
    public String statusText;
    public String message;
    private Data data;


    @lombok.Data
    public static class Data {
        private List<Item> list;
        private String duration;
        private String searchMode;
        private int limit;
        private double similarity;
        private boolean usingReRank;
        private boolean usingSimilarityFilter;


        @lombok.Data
        public static class Item {
            private String id;
            private String q;
            private String a;
            private int chunkIndex;
            private String datasetId;
            private String collectionId;
            private String sourceName;
            private List<Score> score;
            private int tokens;


            @lombok.Data
            public static class Score {
                private String type;
                private double value;
                private int index;

            }
        }
    }
}
