package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文章分类对象 fs_article_cate
 *
 * @author fs
 * @date 2023-07-04
 */
@Data
public class FsArticleCate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long cateId;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String cateName;

    /** 状态 1正常 0禁用 */
    @Excel(name = "状态 1正常 0禁用")
    private Integer status;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** 排序号 */
    @Excel(name = "排序号")
    private Integer sort;

    private String imgUrl;

}
