package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 中药对象 fs_chinese_medicine
 *
 * @author fs
 * @date 2023-10-26
 */
@Data
public class FsChineseMedicine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 中药名称 */
    @Excel(name = "中药名称")
    private String medicineName;

    @Excel(name = "功效概述")
    private String actionTitle;
    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 是否生活常见 */
    @Excel(name = "是否生活常见")
    private Integer isUsual;

    /** 主治疾病 */
    @Excel(name = "主治疾病")
    private String indication;

    /** 药物作用 */
    @Excel(name = "药物作用")
    private String action;

    /** 用药方法 */
    @Excel(name = "用药方法")
    private String usageMethod;

    /** 基本信息 */
    @Excel(name = "基本信息")
    private String descs;

    /** 注意事项 */
    @Excel(name = "注意事项")
    private String msg;

    /** 归经 */
    @Excel(name = "归经")
    private String vessel;

    /** 五味 */
    @Excel(name = "五味")
    private String flavor;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 拼音 */
    @Excel(name = "拼音")
    private String pinyin;


}
