package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 咨询统计对象 fs_drug_report_count
 *
 * @author fs
 * @date 2024-04-23
 */
@Data
public class FsDrugReportCount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 病人id */
    @Excel(name = "病人id")
    private Long patientId;

    /** 病人名称 */
    @Excel(name = "病人名称")
    private String patientName;

    /** 医生id */
    @Excel(name = "医生id")
    private Long doctorId;

    /** 医生账户 */
    @Excel(name = "医生账户")
    private String doctorAccount;

    /** 医生名称 */
    @Excel(name = "医生名称")
    private String doctorName;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 药店id */
    @Excel(name = "药店id")
    private Long storeId;

    /** 咨询次数 */
    @Excel(name = "咨询次数")
    private Long count;

    /** 月份 */
    @Excel(name = "月份")
    private String month;


}
