package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 健康史模板对象 fs_health_history_temp
 *
 * @author fs
 * @date 2024-08-29
 */
@Data
public class FsHealthHistoryTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 类别1 单选 2 多选  */
    @Excel(name = "类别1 单选 2 多选 ")
    private Integer type;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 选项 */
    @Excel(name = "选项")
    private String question;


}
