package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 健康档案对象 fs_health_record
 *
 * @author fs
 * @date 2024-09-02
 */
@Data
public class FsHealthRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    private Integer age;
    /** KG */
    @Excel(name = "KG")
    private Double weight;

    /** cm */
    @Excel(name = "cm")
    private Double height;

    /** bmi */
    @Excel(name = "bmi")
    private Double bmi;

    /** 症状史 */
    @Excel(name = "症状史")
    private String symptomHistory;

    /** 健康史 */
    @Excel(name = "健康史")
    private String healthHistory;

    /** 用药史 */
    @Excel(name = "用药史")
    private String drugHistory;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String allergyHistory;
    /** 过敏史 */
    @Excel(name = "家族史")
    private String familyHistory;


}
