package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 药膳食疗对象 fs_medicated_food
 *
 * @author fs
 * @date 2023-10-23
 */
@Data
public class FsMedicatedFood extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 药膳名称 */
    @Excel(name = "药膳名称")
    private String foodName;

    @Excel(name = "功效概述")
    private String actionTitle;

    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 功效 */
    @Excel(name = "功效")
    private String action;

    /** 食材 */
    @Excel(name = "食材")
    private String food;

    /** 主治疾病 */
    @Excel(name = "疾病")
    private String indications;

    /** 描述 */
    @Excel(name = "描述")
    private String descs;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    @Excel(name = "拼音")
    private String pinyin;

}
