package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 疗法收藏对象 fs_package_favorite
 *
 * @author fs
 * @date 2024-08-24
 */
@Data
public class FsPackageFavorite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 收藏id */
    private Long favoriteId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 疗法id */
    @Excel(name = "疗法id")
    private Long packageId;

}
