package com.fs.his.domain;

import lombok.Data;

@Data
public class FsRefundResult {
    private String status; // 结果
    private String message; // 结果描述
    private String account; // 聚合支付账号
    private String upOrderId; // 交易订单号
    private String lowRefundNo; // 下游订单号
    private String state; // 5：已退款申请成功 6：已转入部分退款申请成功

    private String refundOrderNo;
    // 退款订单流水号 (行方返回的退款订单流水号)
    private String refundOrderFlowNo;
    // 退还手续费
    private double refundOrdFeeAmt;
    // 订单流水号 (原支付订单流水号)
    private String refundOrdPayOrdFlowNo;

}
