package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 售后子对象 fs_store_after_sales_item
 *
 * @author fs
 * @date 2023-12-27
 */
@Data
public class FsStoreAfterSalesItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 售后id */
    @Excel(name = "售后id")
    private Long afterSalesId;

    /** 商品id */
    @Excel(name = "商品id")
    private Long productId;

    /** 退货东西的详情信息 */
    @Excel(name = "退货东西的详情信息")
    private String jsonInfo;

    /** 逻辑删除 */

    private Integer isDel;

    /** $column.columnComment */

    private Long productAttrValueId;

}
