package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 错误表对象 fs_store_payment_error
 *
 * @author fs
 * @date 2024-01-05
 */

@Data
public class FsStorePaymentError extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 外部单号 */
    @Excel(name = "外部单号")
    private String orderFlowNo;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private String orderNo;

    /** 信息 */
    @Excel(name = "信息")
    private String msg;

    /** 0未处理 1已处理 */
    @Excel(name = "0未处理 1已处理")
    private Integer status;

}
