package com.fs.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 测一测模板对象 fs_test_temp
 *
 * @author fs
 * @date 2023-09-04
 */
@Data
public class FsTestTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long tempId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;
    private String itemTypeJson;
    private String tempCode;
    /** 状态 */
    @Excel(name = "状态")
    private Integer status;
    // 题目数量
    private Long num;

    // 测试人数
    private Long peopleNum;

    // 图片
    private String img;

    // 预计分钟数
    private Integer time;

    // 描述
    private String descs;

    // 标题
    private String title;

    //测试提醒
    private String msg;

    private Integer sort;
}
