package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * 积分记录对象 fs_user_integral_logs
 *
 * @author fs
 * @date 2023-11-02
 */
@Data
public class FsUserIntegralLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;


    @Excel(name = "1 签到获得积分 2购买商品获得积分 3商品退款减去积分 4使用购买积分商品 ")
    private Integer logType;

    /** 积分 正数表示增加积分，负数表示减少积分 */
    @Excel(name = "积分 正数表示增加积分，负数表示减少积分")
    private Long integral;

    /** 积分余额 */
    @Excel(name = "积分余额")
    private Long balance;

    /** 订单关联id */
    @Excel(name = "订单关联id")
    private String businessId;

    private Integer businessType;

    private Integer status;
}
