package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * 用户授权登录对象 fs_user_login_log
 *
 * @author fs
 * @date 2024-02-23
 */
@Data
public class FsUserLoginLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** openId */
    @Excel(name = "openId")
    private String maOpenId;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String phone;

    /** 状态 1授权成功 */
    @Excel(name = "状态 1授权成功")
    private Integer status;

    /** 授权码 */
    @Excel(name = "授权码")
    private String code;

    /** 授权信息 */
    @Excel(name = "授权信息")
    private String loginJson;

    /** 用户授权协议内容 */
    @Excel(name = "用户授权协议内容")
    private String userRegisterJson;

}
