package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 用户腕对象 fs_user_watch
 *
 * @author fs
 * @date 2024-11-14
 */
@Data
public class FsUserWatch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司用户id */
    @Excel(name = "公司用户id")
    private Long companyUserId;

    /** 医生id */
    @Excel(name = "医生id")
    private Long doctorId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long storeOrderId;

    /** 状态 1 发货  3 已绑定 -1已退货 */
    @Excel(name = "状态 1 发货  3 已绑定 -1已退货")
    private Integer status;


}
