package com.fs.his.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsAdvUParam implements Serializable {

    /** id */
    private Long advId;

    /** 广告标题 */

    private String advTitle;

    /** 广告图片 */

    private String imageUrl;

    /** 广告地址 */

    private String advUrl;


    private String appAdvUrl;

    /** 内容 */

    private String content;

    /** 状态(1:正常，0:禁用) */

    private String status;

    /** 排序 */

    private String sort;

    /** 广告类型 1首页顶部 2首页底部 */
    private Integer advType;

    private Integer showType;

    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum =1;
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = 10;
    private String keyword;

}
