package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsCouponParam implements Serializable {


    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 卷类型 1代金券  */
    @Excel(name = "卷类型 1代金券 ")
    private Integer couponType;
    private BigDecimal price;
    private Date sTime;
    private Date eTime;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
