package com.fs.his.param;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class FsDoctorDoExtractParam implements Serializable {
    Long doctorId;
    @NotNull(message = "提现金额不能为空")
    BigDecimal money;
    @NotEmpty(message = "验证码不能为空")
    String code;
}
