package com.fs.his.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
@Data
public class FsDoctorPrescribeVO implements Serializable {
    /** id */
    private Long prescribeId;

    /** 处方类型 1西药 2中药 */
    @Excel(name = "处方类型 1西药 2中药")
    private Integer prescribeType;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    private String storeName;
    private Long storeId;

    /** 使用JSON */
    @Excel(name = "使用JSON")
    private String usageJson;

    private Integer recipeType;
}
