package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsInquiryOrderReportParam {

    /** 订单号 */
    @Excel(name = "订单号")
    private Long orderId;

    /** 报告ID */
    @Excel(name = "报告ID")
    private String reportSn;

    /** 状态 0待处理 1已处理 */
    @Excel(name = "状态 0待处理 1已处理")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date beginTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
    private String doctorName;

    private String userName;

    private String patientName;

    private String inquiryStatus;
    private Long companyId;
    //公司员工昵称
    private String companyUserNickName;
    private Integer inquirySubType;
    private String phone;
    private String patientMobile;
    private  String fzName;
    private Long taskId;//任务ID
}
