package com.fs.his.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsIntegralGoodsListUParam  implements Serializable {
    Integer goodsType;
    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum =1;
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = 10;
    private String keyword;

    /**
     * 最小积分
     */
    private Integer minPoints;

    /**
     * 最大积分
     */
    private Integer maxPoints;

    /**
     * 商品状态(1:上架 2:下架)
     */
    private Integer status;
}
