package com.fs.his.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FsPackageOrderPayParam implements Serializable {
    @NotNull(message = "订单号不能为空")
    Long orderId;
    @NotNull(message = "收货地址不能为空")
    Long addressId;
    Long userCouponId;
    String remark;
    Integer payType;

    Long userId;
}
