package com.fs.his.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsPackageParam implements Serializable {
    @Excel(name = "套餐包名称")
    private String packageName;

    @Excel(name = "别名")
    private String secondName;
    @Excel(name = "疾病类别")
    private Integer diseaseType; // 病类别
    @Excel(name = "子套餐类型")
    private Integer packageSubType; // 子套餐
    @Excel(name = "套餐类型")
    private Integer packageType; // 套餐类型，1医生包2企业包
    @Excel(name = "状态")
    private Integer status;
    private Integer privateType;
    private Integer isDel;
    private Long packageId;
    private Integer isShow;
}
