package com.fs.his.param;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsStoreOrderListDParam extends BaseParam implements Serializable {
    Long doctorId;
    Integer status;

    private Long userId;

    private String userName;

    private String patientName;

    private String userPhone;

    private String orderCode;

    private String deliverySn;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date sTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date eTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date paysTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date payeTime;

    private Integer orderType;

    private String payType;

    private Integer deliveryStatus;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date deliverySendsTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date deliverySendeTime;

    Integer isDoctor;
}
