package com.fs.his.param;

import lombok.Data;

@Data
public class FsSubOrderDrugListParam {

    private String drugMedicineCode;

    private int detailsNum;
    // 药物的包装单位（例如盒、瓶）
    private String drugPackagingUnit;
    // 药物可用的商店ID
    private String storeId;
    // 药物可用的商店名称
    private String storeName;
//    // 药物使用方法（例如口服、局部）     中药必填
    private String detailsUsage;

    // 药物治疗持续时间（天）
    private int detailsDay;
    //国药准字
    private String drugCommonCode;

    //用量
    private String detailsConsumption;
    //用量单位
    private String detailsConsumptionUnit;
    //频率文字
    private String detailsFrequencyStr;

}
