package com.fs.his.param;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class FsSubOrderParam {
    private String token;
    private  String diagnosis;
    // 患者姓名
    private String patientName;
    // 患者身份证号
    private String patientIdcard;

    private String mainSuit; //非必填 但是不填报错
    // 价格
    private double price;
    // 医生身份证号
    private String doctorIdCard;
    // 医生姓名
    private String doctorName;
    // 药师身份证号
    private String pharmacistIdCard;
    // 药师姓名
    private String pharmacistName;
    // 第三方平台名称
    private String thirdPlatformName;
    private Integer drugType;
    private String presentIllness;

    private List<FsSubOrderDrugListParam> drugList;


    private String thirdPatientEvaluate; // 患者满意度评价，可以是 0 到 5 的整数值
    private String furtherConsultApplyTime; // 复诊申请时间，格式为 "yyyy-MM-dd HH:mm:ss"
    private String furtherConsulStartTime; // 复诊开始时间，格式为 "yyyy-MM-dd HH:mm:ss"
    private String furtherConsulEndTime; // 复诊结束时间，格式为 "yyyy-MM-dd HH:mm:ss"
    private String thirdFurtherConsultPrice; // 复诊价格（门诊费）
    private String primaryHospital; // 初诊医院
    private String primaryTime; // 初诊时间，格式为 "yyyy-MM-dd"


    private String prescriptionNum; // 付数
    private String prescriptionTaking; // 服用方法
    private String prescriptionRequirements; // 服用要求
}
