package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
@Data
public class FsUserCouponParam {


    /** 优惠劵id */
    @Excel(name = "优惠劵id")
    private Long couponId;

    /** 券号 */
    @Excel(name = "券号")
    private String couponCode;
    private String phone;
    private String title;
    private Long sendUserId;
    private String sendUserName;
    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 使用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "使用时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date useTime;
    private Date sUseTime;
    private Date eUseTime;
    private Date sTime;
    private Date eTime;
    /** 关联订单ID */
    @Excel(name = "关联订单ID")
    private Long businessId;

    /** 订单类型 1问诊 2商城 */
    @Excel(name = "订单类型 1问诊 2商城")
    private Integer businessType;

    /** 状态 0未使用 1已使用 2已过期 */
    @Excel(name = "状态 0未使用 1已使用 2已过期")
    private Integer status;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String companyName;
    private String companyUserName;

}
