package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsCouponListUVO implements Serializable {
    /** ID */
    private Long couponId;
    /** 标题 */
    private String title;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date limitTime;

    /** 面额 */
    private BigDecimal price;

    /** 数量 */
    private Long number;

    /** 卷类型 1代金券  */
    private Integer couponType;
    private Integer status;
    private BigDecimal minPrice;

    /** 剩余数量 */
    private Long remainNumber;

    private BigDecimal rate;

}
