package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.domain.FsDoctorPrescribeDrug;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class FsDoctorArticleListDVO implements Serializable {


    /** ID */
    private Long articleId;

    private Long doctorId;

    /** 封面图 */
    private String imageUrl;

    private Integer cateId;

    /** 标题 */
    private String title;


    /** 浏览量 */
    private Long views;

    /** 状态 0草稿 1发布 */
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
