package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsDoctorBillListSVO implements Serializable {

    /** ID */
    private Long billId;

    /** 会员ID */
    private Long doctorId;

    /** 标题 */
    private String title;

    /** 金额 */
    private BigDecimal money;

    /** 余额 */
    private BigDecimal balance;

    /** 类型 */
    private Integer billType;

    /** 关联ID */
    private String businessId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;



}
