package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsDrugReportListDVO implements Serializable {


    /** id */
    private Long reportId;

    /** 用户id */
    private Long userId;

    /** 医生id */
    private Long doctorId;

    /** 随访单id */
    private Long followId;

    /** 药品订单id */
    private Long storeOrderId;

    /** 问诊订单ID */
    private Long inquiryOrderId;

    /** 状态 */
    private Long status;

    /** 咨询总结 */
    private String reportSummary;

    /** 生活建议 */
    private String reportAdvice;

    /** 评分 */
    private Long pingStar;
    private String pingContent;

    /** 评价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pingTime;
    private String remark;
    private String companyName;
    private String companyNickName;
    private String patientName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String avatar;

    private String nickName;


}
