package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
@Data
public class FsDrugReportListVO {

    /** id */
    private Long reportId;

    /** 用户id */

    private Long userId;
    @Excel(name = "病人名称")
    private String patientName;
    @Excel(name = "用户医生名称")
    private String doctorName;
    /** 医生id */
    @Excel(name = "医生账号")
    private String doctorAccount;
    private Long doctorId;

    /** 随访单id */

    private Long followId;

    /** 药品订单id */

    private Long storeOrderId;

    /** 问诊订单ID */
    @Excel(name = "订单号")
    private String orderCode;

    private Long inquiryOrderId;

    /** 状态 */
    @Excel(name = "状态",dictType="sys_drug_report_status")
    private Long status;

    /** 咨询总结 */
    @Excel(name = "咨询总结")
    private String reportSummary;

    /** 生活建议 */
    @Excel(name = "生活建议")
    private String reportAdvice;

    /** 评分 */
    @Excel(name = "评分")
    private Long pingStar;
    @Excel(name = "评价")
    private String pingContent;

    /** 评价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评价时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pingTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String remark;

    @Excel(name = "公司名称")
    private String companyName;

}
