package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsDrugReportVO {
    private Long reportId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    private String patientName;
    private String doctorName;
    private String orderCode;
    /** 医生id */
    @Excel(name = "医生id")
    private Long doctorId;

    /** 随访单id */
    @Excel(name = "随访单id")
    private Long followId;

    /** 药品订单id */
    @Excel(name = "药品订单id")
    private Long storeOrderId;

    /** 问诊订单ID */
    @Excel(name = "问诊订单ID")
    private Long inquiryOrderId;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 咨询总结 */
    @Excel(name = "咨询总结")
    private String reportSummary;

    /** 生活建议 */
    @Excel(name = "生活建议")
    private String reportAdvice;

    /** 评分 */
    @Excel(name = "评分")
    private Long pingStar;
    @Excel(name = "评价")
    private String pingContent;

    /** 评价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评价时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pingTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String remark;
}
