package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsFollowExportListVO {
    @Excel(name = "月份")
    private String currentYearMonth;
    @Excel(name = "处方单号")
    private String orderCode;
    /** 医生名称 */
    @Excel(name = "随访医生")
    private String doctorName;

    @Excel(name = "所属公司")
    private String companyName;

    @Excel(name = "就诊人")
    private String patientName;

    @Excel(name = "本月随访次数")
    private Integer num;

    @Excel(name = "累计随访次数")
    private Integer followNum;

    /** 创建时间 */
    @Excel(name = "处方创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
