package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsHealthLifeListVO {
    private Long id;

    /** 类别 */
    @Excel(name = "类别")
    private Integer type;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    @Excel(name = "电话")
    private String phone;

    @Excel(name = "昵称")
    private String nickName;
    /** 表单内容 */
    @Excel(name = "表单内容")
    private String formJson;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
