package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsHealthRecordListPVO {
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;
    @Excel(name = "昵称")
    private String nickName;
    @Excel(name = "电话")
    private String phone;
    /** 名称 */
    @Excel(name = "名称")
    private String name;
    private Integer age;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** KG */
    @Excel(name = "KG")
    private Double weight;

    /** cm */
    @Excel(name = "cm")
    private Double height;

    /** bmi */
    @Excel(name = "bmi")
    private Double bmi;

    /** 症状史 */
    @Excel(name = "症状史")
    private String symptomHistory;

    /** 健康史 */
    @Excel(name = "健康史")
    private String healthHistory;

    /** 用药史 */
    @Excel(name = "用药史")
    private String drugHistory;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String allergyHistory;
    private String  familyHistory;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
