package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsInquiryFeedbackExportListVO {

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "问诊日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;


    @Excel(name = "问诊号")
    private String orderSn;

    /** 用户id */
    @Excel(name = "会员号")
    private String userId;

    @Excel(name = "医生名称")
    private String  doctorName;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;
//    /** 患者年龄 */
//    @Excel(name = "患者年龄")
//    private String patientAge;


    @Excel(name = "患者联系方式")
    private String patientTel;


    /** 诊断 */
    @Excel(name = "病例内容")
    private String title;

    @Excel(name = "反馈内容")
    private String feedbackContent;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "反馈时间",width = 30, dateFormat = "yyyy-MM-dd")
    private Date feedbackTime;

    @Excel(name = "操作人")

    private String companyUserName;
    @Excel(name = "服务团队")
    private String companyName;

    @Excel(name = "备注")
    private String remark;


}
