package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsInquiryOrderReportListVO {

    /** ID */
    private Long reportId;

    /** 订单号 */
//    @Excel(name = "订单号")
    private Long orderId;

    /** 会员ID */
//    @Excel(name = "会员ID")
    private Long userId;

    /** 患者ID */
//    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者ID */
    @Excel(name = "患者名称")
    private String patientName;
    /** 患者JSON */
//    @Excel(name = "患者JSON")
    private String patientJson;
    /** 报告ID */
    @Excel(name = "报告编号")
    private String reportSn;
    @Excel(name = "报告编号")
    private String orderSn;
    /** 主诉 */
    @Excel(name = "主诉")
    private String patientDescs;

    /** 疾病历 */
    @Excel(name = "疾病历")
    private String illnessLogs;
    @Excel(name = "用户昵称")
    private String nickName;
    @Excel(name = "用户电话")
    private String phone;
    /** 医生ID */
//    @Excel(name = "医生ID")
    private Long doctorId;
    @Excel(name = "医生名称")
    private String doctorName;
    /** 用药史 */
    @Excel(name = "用药史")
    private String drugLogs;

    /** 诊断结果 */
    @Excel(name = "咨询结果")
    private String inquiryResult;

    /** 表单JSON数据 */
//    @Excel(name = "表单JSON数据")
    private String formJson;

    /** 调理方案 */
    @Excel(name = "调理方案")
    private String conditioningPlanJson;

    /** 状态 0待处理 1已处理 */
    @Excel(name = "状态 0待处理 1已处理")
    private Integer status;
    @Excel(name = "咨询状态",dictType="sys_inquiry_status")
    private Integer inquiryStatus;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Long auditUserId;
    @Excel(name = "助手")
    private String userName;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "优惠劵发送人")
    private  String sendName;
    @Excel(name = "子类别",dictType = "sys_inquiry_sub_type")
    private  Integer inquirySubType;

    @Excel(name = "公司")
    private  String companyName;
    @Excel(name = "员工")
    private  String companyUserName;
    private  String diseaseType;
    @Excel(name = "疾病类型")
    private  String DiseaseName;
    @Excel(name = "分诊人名称")
    private  String fzName;


}
