package com.fs.his.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class FsInquiryOrderReportUVO extends BaseEntity {
    /** ID */
    private Long reportId;

    /** 订单号 */
    @Excel(name = "订单号")
    private Long orderId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;


    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    /** 报告ID */
    @Excel(name = "报告ID")
    private String reportSn;

    /** 诊断结果 */
    @Excel(name = "诊断结果")
    private String inquiryResult;

    /** 表单JSON数据 */
    @Excel(name = "表单JSON数据")
    private String formJson;

    /** 调理方案 */
    @Excel(name = "调理方案")
    private String conditioningPlanJson;

    /** 状态 0待处理 1已处理 */
    @Excel(name = "状态 0待处理 1已处理")
    private Integer status;

    private Long auditUserId;
    private String doctorSignUrl;
    private String drugDoctorSignUrl;
    private Long deptId;
}
