package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsInquiryOrderReportVO {
    /** ID */
    private Long reportId;

    /** 订单号 */
    @Excel(name = "订单号")
    private Long orderId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    /** 报告ID */
    @Excel(name = "报告ID")
    private String reportSn;

    /** 主诉 */
    @Excel(name = "主诉")
    private String patientDescs;

    /** 疾病历 */
    @Excel(name = "疾病历")
    private String illnessLogs;

    /** 用药史 */
    @Excel(name = "用药史")
    private String drugLogs;

    private String diseaseType;

    /** 诊断结果 */
    @Excel(name = "诊断结果")
    private String inquiryResult;

    /** 表单JSON数据 */
    @Excel(name = "表单JSON数据")
    private String formJson;

    /** 调理方案 */
    @Excel(name = "调理方案")
    private String conditioningPlanJson;

    /** 状态 0待处理 1已处理 */
    @Excel(name = "状态 0待处理 1已处理")
    private Integer status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    private String nickName;
    private String phone;
    private String doctorName;
    private String signUrl;
    private  String sendName;
    private  Integer inquirySubType;

    private String companyUserRemark;


}
