package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsInquiryTempListVO {
    /** ID */
    private Long tempId;

    /** 模板类型 */
    @Excel(name = "模板类型")
    private Integer tempType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 分值JSON */
    @Excel(name = "分值JSON")
    private String itemJson;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;



    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
