package com.fs.his.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class FsMedicatedFoodExcelVO {
    /** id */
    private Long id;

    /** 药膳名称 */
    @Excel(name = "药膳名称")
    private String foodName;

    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 功效 */
    @Excel(name = "功效")
    private String action;

    /** 食材 */
    @Excel(name = "食材")
    private String food;

    /** 主治疾病 */
    @Excel(name = "主治疾病")
    private String indications;

    /** 描述 */
    @Excel(name = "描述")
    private String descs;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;
}
