package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class FsStoreAfterSalesExcelVO {
    @Excel(name = "订单编号")
    private String  orderCode;

    @Excel(name = "店铺名称")
    private String  storeName;

    @Excel(name = "疗法名称")
    private String  packageName;

    @Excel(name = "退款金额")
    private BigDecimal refundAmount;


    @Excel(name = "服务类型",dictType = "sys_refund_type")
    private Integer refundType;

    @Excel(name = "申请原因")
    private String reasons;

    @Excel(name = "说明")
    private String explains;

    @Excel(name = "说明图片")
    private String explainImg;

    @Excel(name = "物流公司编码")
    private String deliveryCode;

    @Excel(name = "物流退回单号")
    private String deliverySn;

    @Excel(name = "物流名称")
    private String deliveryName;

    @Excel(name = "物流单号")
    private String deliveryId;

    @Excel(name = "状态",dictType = "sys_sales_status")
    private Integer status;


    @Excel(name = "售后状态",dictType = "sys_after_sales_status")
    private Integer salesStatus;


    @Excel(name = "订单状态",dictType = "sys_order_status")
    private Integer orderStatus;


    @Excel(name = "用户昵称")
    private String nickName;

    private  String phone;

    @Excel(name = "商家收货人")
    private String consignee;


    @Excel(name = "商家手机号")
    private String phoneNumber;


    @Excel(name = "商家地址")
    private String address;


    @Excel(name = "公司")
    private String companyName;

    @Excel(name = "员工")
    private String companyUserNickName;


    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
