package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class FsStoreOrderListDVO implements Serializable {

    /** 订单ID */
    private Long orderId;

    private Long storeId;

    private String orderCode;

    /** 实际支付金额 */
    private BigDecimal payPrice;

    private Integer status;

    private String itemJson;

    private String patientName;

    private String storeName;

    private String payType;

    private BigDecimal payMoney;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Integer deliveryStatus;

    private String companyUserName;

    private String companyName;

}
