package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class FsStoreOrderListUVO implements Serializable {

    /** 订单ID */
    private Long orderId;

    private Long storeId;

    private String orderCode;


    /** 实际支付金额 */
    private BigDecimal payPrice;

    private Integer status;

    private Integer isAfterSales;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String deliverySn;

    private String itemJson;
    private BigDecimal billPrice;



}
