package com.fs.his.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class FsStoreProductPacketExportVO extends FsStoreProductPacketVO {

    private Long id;
    /** 商品ID */
    private Long productId;

    /** 商品名称 */
    @Excel(name = "商品名称",width = 35)
    private String productName;

    private String sku;

    /** 属性金额 */
    @Excel(name = "价格",cellType= Excel.ColumnType.NUMERIC)
    private BigDecimal price;

    /** 图片 */
    private String image;

    /** 商品条码 */
    @Excel(name = "商品条码")
    private String barCode;

    @Excel(name = "商品数量")
    private Integer count;


    @Excel(name = "原价")
    private BigDecimal money;


    @Excel(name = "套餐价格")
    private BigDecimal payMoney;




}
