package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserBillVO {
    /** ID */
    private Long billId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    private String nickName;

    private String phone;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 类型 */
    @Excel(name = "类型")
    private Integer billType;

    /** 关联ID */
    @Excel(name = "关联ID")
    private String businessId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
