package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserCouponListUVO implements Serializable {

    private Long id;
    /** 券号 */
    private String couponCode;

    /** 使用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date useTime;

    private Integer status;

    private String title;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date limitTime;

    /** 面额 */
    private BigDecimal price;

    /** 卷类型 */
    private Integer couponType;

    /** 最低消费金额可用 */
    private BigDecimal minPrice;

}
