package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsUserDoctorListUVO implements Serializable {


    /** ID */
    private Long id;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 类型 1关注，2签约 */
    @Excel(name = "类型 1关注，2签约")
    private Integer type;

    private String doctorName;

    private String avatar;

    private String position;

    private String priceJson;

    private Integer pingStar;

    private Integer workStatus;

    private Integer hospitalLevel;

    private Long orderNumber;

    private String speciality;

    private String hospitalName;

    private String deptName;
}
