package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import io.swagger.models.auth.In;
import lombok.Data;

import java.util.Date;

@Data
public class FsUserExportListVO {
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;

    @Excel(name = "操作人员")
    private String nickName;

    @Excel(name = "会员号")
    private Long userId;

    @Excel(name = "患者姓名")
    private String patientName;

    @Excel(name = "患者联系方式")
    private String mobile;

    @Excel(name = "是否购药",dictType = "sys_company_or")
    private Integer isBuy;

    @Excel(name = "备注")
    private String remark;
}
