package com.fs.hospital.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 日志对象 hospital_order_logs
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalOrderLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long logsId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    /** 日志类型 */
    @Excel(name = "日志类型")
    private Integer logsType;

    /** 日志内容 */
    @Excel(name = "日志内容")
    private String content;

    /** 日志JSON */
    @Excel(name = "日志JSON")
    private String logsJson;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

}
