package com.fs.hospital.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 诊所仓库对象 hospital_warehouse
 *
 * @author fs
 * @date 2024-03-12
 */
@Data
public class HospitalWarehouse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long warehouseId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 仓库名称 */
    @Excel(name = "仓库名称")
    private String warehouseName;

}
