package com.fs.hospital.param;

import com.fs.his.param.BaseParam;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class HospitalOrderCashierParam
{

    /** ID */
    private Long orderId;

    /** 诊所ID */
    private Long hospitalId;


    /** 订单类型 1门诊单 2收费单 3治疗单 */
    private Integer orderType;

    private BigDecimal payMoney;


    /** 支付类型 1现金 2微信 */
    private Integer payType;

    /** 状态 1待收 2已收 3挂单 4欠费 */
    private Integer status;

    /** 是否开票 */
    private Integer isInvoice;

    private String remark;
}
