package com.fs.hospital.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.his.param.BaseParam;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
public class HospitalOrderItemParam extends BaseParam implements Serializable {


    private Long hospitalId;

    @NotNull(message = "项目类型不能为空")
    private Integer type;

    private Integer cate;
}
