package com.fs.hospital.param;

import com.fs.his.param.BaseParam;
import lombok.Data;

/**
 * 诊疗订单对象 hospital_order
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalPharmacyOrderParam extends BaseParam
{

    /** ID */
    private Long orderId;

    /** 诊所ID */
    private Long hospitalId;

    /** 订单号 */
    private String orderCode;

    /** 患者ID */
    private Long patientId;

    private String patientName;

    /** 状态 1 待发药 2 已发药 */
    private Integer status;

    /** 开始时间 */
    private String beginTime;

    /** 结束时间 */
    private String endTime;



}
