package com.fs.hospital.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class    HospitalTreatOrderHParam {
    /** ID */
    private Long orderId;

    /** 订单CODE */
    @Excel(name = "订单CODE")
    private String orderCode;
    private String patientName;
    /** 治疗名称 */
    @Excel(name = "治疗名称")
    private String title;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 门诊订单ID */
    @Excel(name = "门诊订单ID")
    private Long outpatientOrderId;

    /** 订单类型 1门诊 2零售 */
    @Excel(name = "订单类型 1门诊 2零售")
    private Integer orderType;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 状态3已执行 2 待执行 */
    @Excel(name = "状态2待执行 3已执行")
    private Integer status;

    /** 开始时间 */
    private String beginTime;

    /** 结束时间 */
    private String endTime;
}
