package com.fs.hospital.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class HospitalProductListHVO implements Serializable {
    private Long productId;

    /** 药品名称 */
    private String productName;

    /** 药品类型 */
    private Integer productType;

    /** 药品编码 */
    private String productCode;

    /** 厂家 */
    private String factory;

    /** 单位 */
    private String unit;

    /** 售价 */
    private BigDecimal sellPrice;

    /** 可销售数量 */
    private Long sellCount;
}
