package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class HospitalProductOutOrderItemListHVO {
    /** ID */
    private Long itemId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;
    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;
    private String  productCode;
    private String productName;
    /** 批次 */
    @Excel(name = "批次")
    private String batch;

    /** 批号 */
    @Excel(name = "批号")
    private String batchNumber;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitDate;

    /** 售价 */
    @Excel(name = "售价")
    private BigDecimal money;

    /** 数量 */
    @Excel(name = "数量")
    private Long count;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Integer limitCount;
}
