package com.fs.hospital.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 诊所供应商关联对象 hospital_store
 *
 * @author fs
 * @date 2024-03-12
 */
@Data
public class HospitalStoreHVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;


    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    private String storeName;

    /** 状态 1正常 2禁用 */
    @Excel(name = "状态 1正常 2禁用")
    private Integer status;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkUserName;

    /** 联系人手机号 */
    @Excel(name = "联系人手机号")
    private String linkUserPhone;

}
