package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class HuiFuOnlinePayQueryResult {
    private String resp_code;
    // 响应描述
    private String resp_desc;
    // 汇付ID
    private String huifu_id;
    // 请求流水号
    private String req_seq_id;
    // 请求日期
    private String req_date;
    // 原始请求序列ID
    private String org_req_seq_id;
    // 原始请求日期
    private String org_req_date;
    // 银行卡号
    private String bank_card_no;
    // 入账标识
    private String in_acct_flag;
    // 收款方名称
    private String certificate_name;
    // 交易开始日期
    private String trans_start_date;
    // 交易结束日期
    private String trans_end_date;
    // 银行流水号
    private String bank_seq_id;
    // 交易金额
    private String trans_amt;
    // 银行交易时间
    private String trans_date_time;
    // 资金流水状态
    private String trans_stat;
    // 交易关单时间
    private String trans_close_time;
    // 银行交易备注
    private String bank_trans_desc;
    // 付款方银行号
    private String bank_id;
    // 银行卡类型
    private String card_type;
    // 汇款订单号
    private String remittance_order_id;
    // 银行模式
    private String bank_mode;
    // 提交页面地址
    private String form_url;
}
