package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class HuiFuOnlinePayResult {
    private String resp_code;
    // 返回描述
    private String resp_desc;
    // 请求流水号
    private String req_seq_id;
    // 请求时间，日期格式:yyyyMMdd
    private String req_date;
    // 全局流水号，斗拱全局流水号
    private String hf_seq_id;
    // 商户号，汇付的商户号
    private String huifu_id;
    // 交易金额，单位元，需保留小数点后两位
    private String trans_amt;
    // 手续费金额，单位元，需保留小数点后两位
    private String fee_amt;
    // 交易状态，P-处理中, F-失败, S-成功
    private String trans_stat;
    // 商品描述
    private String goods_desc;
    // 商户备注
    private String remark;
    // 入账标识，入账标识有效期2个工作日，超时会自动失效需要重新生成
    private String in_acct_flag;
    // 提交页面地址
    private String form_url;
}
