package com.fs.huifuPay.domain;

import com.google.gson.JsonObject;
import lombok.Data;

@Data
public class HuiFuOnlineRefund {
    private String sub_resp_code;
    // 业务返回描述
    private String sub_resp_desc;
    // 客户号
    private String huifu_id;
    // 商户名称
    private String mer_name;
    // 请求流水号
    private String req_seq_id;
    // 请求日期
    private String req_date;
    // 全局流水号
    private String hf_seq_id;
    // 交易类型
    private String trans_type;
    // 原交易请求流水号
    private String org_req_seq_id;
    // 原交易请求日期
    private String org_req_date;
    // 交易发生日期
    private String trans_date;
    // 交易发生时间
    private String trans_time;
    // 原交易订单金额
    private String org_ord_amt;
    // 原交易手续费
    private String org_fee_amt;
    // 原交易累计退款金额
    private String total_ref_amt;
    // 原交易累计退款手续费金额
    private String total_ref_fee_amt;
    // 退款金额
    private String ord_amt;
    // 分账串
    private String acct_split_bunch;
    // 分账手续费信息
    private JsonObject split_fee_info;
    // 退款返还手续费
    private String fee_amt;
    // 补贴支付信息
    private String combinedpay_data;
    // 补贴部分的手续费
    private String combinedpay_fee_amt;
    // 交易完成时间
    private String trans_finish_time;
    // 交易状态
    private String trans_stat;
    // 累计退款次数
    private String ref_cut;
    // 银行编号
    private String bank_id;
    // 银行名称
    private String bank_name;
    // 备注
    private String remark;
    // 通道返回码
    private String bank_code;
    // 通道返回描述
    private String bank_message;
}
