package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class HuiFuResult {
    private String resp_code;
    // 业务返回信息
    private String resp_desc;
    // 商户号
    private String huifu_id;
    // 请求流水号
    private String req_seq_id;
    // 请求时间
    private String req_date;
    // 交易类型
    private String trans_type;
    // 全局流水号
    private String hf_seq_id;
    // 用户账单上的交易订单号
    private String out_trans_id;
    // 用户账单上的商户订单号
    private String party_order_id;
    // 交易金额
    private String trans_amt;
    // 消费者实付金额
    private String pay_amt;
    // 结算金额
    private String settlement_amt;
    // 支付完成时间
    private String end_time;
    // 入账时间
    private String acct_date;
    // 交易状态
    private String trans_stat; //S：成功、F：失败，示例值：S
    // 手续费扣款标志
    private String fee_flag;
    // 手续费费率信息
    private String fee_formula_infos;
    // 手续费金额
    private String fee_amount;
    // 补贴支付的手续费
    private String combinedpay_fee_amt;
    // 手续费补贴信息
    private String trans_fee_allowance_info;
    // 补贴支付信息
    private String combinedpay_data;
    // 借贷记标识
    private String debit_type;
    // 是否分账交易
    private String is_div;
    // 分账对象
    private String acct_split_bunch;
    // 是否延时交易
    private String is_delay_acct;
    // 微信用户唯一标识码
    private String wx_user_id;
    // 微信返回的响应报文
    private String wx_response;
    // 支付宝返回的响应报文
    private String alipay_response;
    // 数字货币返回的响应报文
    private String dc_response;
    // 银联返回的响应报文
    private String unionpay_response;
    // 终端类型
    private String device_type;
    // 商户终端定位
    private String mer_dev_location;
    // 通道返回码
    private String bank_code;
    // 通道返回描述
    private String bank_message;
    // 备注
    private String remark;
    // 分期资产方式
    private String fq_channels;
    // 通知类型
    private String notify_type;
    // 分账手续费信息
    private String split_fee_info;
    // ATU真实商户号
    private String atu_sub_mer_id;
    // 汇付终端号
    private String devs_id;


}
