package com.fs.huifuPay.domain;

import com.google.gson.JsonObject;
import lombok.Data;

@Data
public class acctPayRefundQueryResult {
    // 业务返回码，示例值：00000000
    private String resp_code;

    // 业务返回描述，示例值：交易成功
    private String resp_desc;

    // 退款请求流水号，示例值：2022082408452985319884
    private String org_req_seq_id;

    // 余额支付退款请求日期，格式：yyyyMMdd；示例值：20210917
    private String org_req_date;

    // 商户号，示例值：6666000109812123
    private String huifu_id;

    // 产品号，接入时提供；示例值：YYZY
    private String product_id;

    // 退款金额，需保留小数点后两位，示例值：10.00最低传入0.01
    private String ord_amt;

    // 交易状态，P:处理中；S：成功；F：失败；示例值：S
    private String trans_stat;

    // 退款完成时间，格式yyyyMMddHHmmss；示例值：20221023112343
    private String trans_finish_time;

    // 分账对象，分账信息，JsonObject字符串。
    private JsonObject acct_split_bunch;

    // 备注，示例值：备注
    private String remark;
}
