package com.fs.huifuPay.domain;

import com.google.gson.JsonObject;
import lombok.Data;

@Data
public class acctPayRefundResult {
    private String resp_code;

    // 业务返回描述，示例值：交易成功
    private String resp_desc;

    // 请求流水号，业务请求流水号；示例值：2022082408452985319884
    private String req_seq_id;

    // 请求日期，格式：yyyyMMdd，示例值：20221013
    private String req_date;

    // 发起方商户号，示例值：6666000108854952
    private String huifu_id;

    // 产品号，接入时提供；示例值：YYZY
    private String product_id;

    // 全局流水号，汇付返回流水号；示例值：00470topo1A211015160805P090ac132fef00000
    private String hf_seq_id;

    // 退款金额，示例值：20.00
    private String ord_amt;

    // 原余额支付请求日期，格式：yyyyMMdd；示例值：20221103
    private String org_req_date;

    // 原余额支付请求流水号，示例值：2022082408452985319883
    private String org_req_seq_id;

    // 原余额支付支付全局流水号，示例值：00470topo1A211015160805P090ac132fef00001
    private String org_hf_seq_id;

    // 交易状态，P:处理中；S：成功；F：失败；示例值：S
    private String trans_stat;

    // 退款完成时间，格式yyyyMMddHHmmss；示例值：20221104132334
    private String trans_finish_time;

    // 退款分账串，分账信息，JsonObject字符串
    private JsonObject acct_split_bunch;

    // 备注，示例值：备注
    private String remark;

}
