package com.fs.nuonuo.vo;

import lombok.Data;

@Data
public class InvoiceItemsVo {
    /* 商品名称(项目名称) */
    private String itemName;
    /* 简称 */
    private String itemCodeAbb;
    /* 单位 */
    private String itemUnit;
    /* 单价（isIncludeTax=true，是含税单价；isIncludeTax=false，是不含税单价） */
    private String itemPrice;
    /* 税率，注：纸票清单红票存在为null的情况 */
    private String itemTaxRate;
    /* 数量 */
    private String itemNum;
    /* 金额（isIncludeTax=true，是含税金额；isIncludeTax=false，是不含税金额） */
    private String itemAmount;
    /* 税额 */
    private String itemTaxAmount;
    /* 规格型号 */
    private String itemSpec;
    /* 商品编码 */
    private String itemCode;
    /* 自行编码 */
    private String itemSelfCode;
    /* 含税标识 true：含税 false：不含税 */
    private String isIncludeTax;
    /* 发票行性质0, 正常行;1,折扣行;2,被扣行 */
    private String invoiceLineProperty;
    /* 零税率标识:空：非零税率，1：免税，2：不征税，3：普通零税率；（数电票时为空） */
    private String zeroRateFlag;
    /* 优惠政策名称（增值税特殊管理）；数电票时为空 */
    private String favouredPolicyName;
    /* 优惠政策标识:0：不使用;1：使用；（数电票时：01：简易征收 02：稀土产品 03：免税 04：不征税 05：先征后退 06：100%先征后退 07：50%先征后退 08：按3%简易征收 09：按5%简易征收 10：按5%简易征收减按1.5%计征 11：即征即退30% 12：即征即退50% 13：即征即退70% 14：即征即退100% 15：超税负3%即征即退 16：超税负8%即征即退 17：超税负12%即征即退 18：超税负6%即征即退） */
    private String favouredPolicyFlag;
    /* 扣除额，小数点后两位。差额票时有值 */
    private String deduction;
    /*  */
    private String dField1;
    /*  */
    private String dField2;
    /*  */
    private String dField3;
    /*  */
    private String dField4;
    /*  */
    private String dField5;

}
