package com.fs.nuonuo.vo;

import lombok.Data;

@Data
public class InvoiceRedDetailVo {
    /* 对应蓝票明细行序号 */
    private String blueDetailIndex;
    /* 商品名称 */
    private String goodsName;
    /* 单位 */
    private String unit;
    /* 规格型号 */
    private String specType;
    /* 数量 */
    private String num;
    /* 单价(不含税 */
    private String taxExcludedPrice;
    /* 商品金额(不含税) */
    private String taxExcludedAmount;
    /* 商品税额 */
    private String taxAmount;
    /* 税率 */
    private String taxRate;
    /* 商品编码 */
    private String goodsCode;
    /* 01：简易征收 02：稀土产品 03：免税 04：不征税 05：先征后退 06：100%先征后退 07：50%先征后退 08：按3%简易征收 09：按5%简易征收 10：按5%简易征收减按1.5%计征 11：即征即退30% 12：即征即退50% 13：即征即退70% 14：即征即退100% 15：超税负3%即征即退 16：超税负8%即征即退 17：超税负12%即征即退 18：超税负6%即征即退 */
    private String favouredPolicyFlag;
    /* 单价（不含税） */
    private String price;

}
