package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 联系我日志对象 qw_app_contact_way_logs
 *
 * @author fs
 * @date 2024-12-11
 */
@Data
public class QwAppContactWayLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** app联系我id */
    @Excel(name = "app联系我id")
    private Long appWayId;

    /** 渠道 */
    @Excel(name = "渠道")
    private String source;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司用户id */
    @Excel(name = "公司用户id")
    private Long companyUserId;

    /** 企业CorpID */
    @Excel(name = "企业CorpID")
    private String corpId;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long externalUserId;

    private Long qwUserId;
}
