package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 自动打标签的规则(主要是 群)对象 qw_auto_tags_rules
 * 
 * @author fs
 * @date 2024-07-20
 */
@Data
public class QwAutoTagsRules extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 自动打标签主表id */
    @Excel(name = "自动打标签主表id")
    private Long autoTagsId;

    /** 群集合 */
    @Excel(name = "群集合")
    private String rules;

    /** 标签集合 */
    @Excel(name = "标签集合")
    private String tags;

    /** 是否运用规则状态 1启用 2停用 */
    @Excel(name = "是否运用规则状态 1启用 2停用")
    private Long isApply;

    /** 组别 1关键词打标签 2客户入群行为打标签 3分时段打标签 */
    @Excel(name = "组别 1关键词打标签 2客户入群行为打标签 3分时段打标签")
    private Long type;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private String corpId;

}
