package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企微公海对象 qw_contact_batch
 *
 * @author fs
 * @date 2024-07-12
 */
@Data
public class QwContactBatch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 标签 */
    @Excel(name = "标签")
    private String tagIds;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long userId;

    /** 分配次数 */
    @Excel(name = "分配次数")
    private Integer num;

    /** 员工id */
    @Excel(name = "员工id")
    private Long companyUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;
    private Long qwUserId;
    private String corpId;
}
