package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 联系我分组对象 qw_contact_way_group
 *
 * @author fs
 * @date 2024-07-19
 */
@Data
public class QwContactWayGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 分组名称 */
    @Excel(name = "分组名称")
    private String groupName;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private String corpId;
}
