package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企业微信部门对象 qw_dept
 * 
 * @author fs
 * @date 2024-08-27
 */
@Data
public class QwDept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long deptId;

    /** 	部门名称，代开发自建应用需要管理员授权才返回 */
    @Excel(name = "	部门名称，代开发自建应用需要管理员授权才返回")
    private String deptName;

    /** 父部门id。根部门为1 */
    @Excel(name = "父部门id。根部门为1")
    private Long parentid;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private String corpId;

}
