package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 引流链接对象 qw_drainage_link
 *
 * @author fs
 * @date 2024-07-11
 */
@Data
public class QwDrainageLink extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 链接名称 */
    @Excel(name = "链接名称")
    private String name;

    /** 联系我id */
    @Excel(name = "联系我id")
    private Long wayId;

    /** 二维码 */
    @Excel(name = "二维码")
    private String qrCode;

    /** 链接 */
    @Excel(name = "链接")
    private String linkUrl;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String companyName;

    /** 企业头像 */
    @Excel(name = "企业头像")
    private String avatarUrl;

    /** 文案 */
    @Excel(name = "文案")
    private String content;

    /** 点击数 */
    @Excel(name = "点击数")
    private Integer clickNum;

    /** 添加人数 */
    @Excel(name = "添加人数")
    private Integer addNum;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private Integer type;

    private String corpId;

}
