package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 链接日志对象 qw_drainage_link_logs
 * 
 * @author fs
 * @date 2024-07-29
 */
@Data
public class QwDrainageLinkLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 引流链接id */
    @Excel(name = "引流链接id")
    private Long linkId;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long userId;

    /** 公司用户id */
    @Excel(name = "公司用户id")
    private Long companyUserId;

    /** 状态 1 点击 2 加入 */
    @Excel(name = "状态 1 点击 2 加入")
    private Long type;

    /** 描述 */
    @Excel(name = "描述")
    private String msg;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long externalUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private String corpId;

}
