package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企微客户-绑CRM对象 qw_external_contact_crm
 *
 * @author fs
 * @date 2024-08-09
 */
@Data
public class QwExternalContactCrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private String externalUserId;

    private String openid;

    /** 外部联系人名称 */
    @Excel(name = "外部联系人名称")
    private String externalUserName;

    @Excel(name = "头像")
    private String avatar;

    /** crm_customer主键 */
    @Excel(name = "crm_customer主键")
    private Long customerId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private Long companyUserId;

    private String corpId;

    private Long fsUserId;

}
