package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 信息流管理对象 qw_information
 *
 * @author fs
 * @date 2024-11-11
 */
@Data
public class QwInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 视频id */
    @Excel(name = "视频id")
    private String voidId;

    /** 类别 */
    @Excel(name = "类别")
    private Long type;

    /** 添加人数 */
    @Excel(name = "添加人数")
    private Long addNum;

    /** 剩余人数 */
    @Excel(name = "剩余人数")
    private Long num;

    /** 删除人数 */
    @Excel(name = "删除人数")
    private Long deleteNum;


}
