package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企业微信的视频号对象 qw_user_video
 *
 * @author fs
 * @date 2025-01-14
 */

@Data
public class QwUserVideo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 授权码 */
    @Excel(name = "授权码")
    private String appKey;

    /** 发送人名称 */
    @Excel(name = "发送人名称")
    private String senderName;

    /** 视频号id */
    @Excel(name = "视频号id")
    private String objectId;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String coverUrl;

    /** 封面 */
    @Excel(name = "封面")
    private String thumbUrl;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 封面标题 */
    @Excel(name = "封面标题")
    private String nickName;

    /** 简介 */
    @Excel(name = "简介")
    private String desc;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String url;

    /** 标识 */
    @Excel(name = "标识")
    private String extras;
}
