package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;

/**
 * 企微获客链接用户关联对象 qw_work_link_user
 *
 * @author fs
 * @date 2025-01-10
 */
@Data
public class QwWorkLinkUser extends BaseEntityTow
{
    /** 链接ID */
    @Excel(name = "链接ID")
    private Long linkId;

    /** 企微表ID */
    @Excel(name = "企微表ID")
    private Long qwUserId;

    /** 企微微信用户ID */
    @Excel(name = "企微微信用户ID")
    private String qwUserWxId;

}
