package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;

/**
 * 企微获客添加的用户对象 qw_work_user
 *
 * @author fs
 * @date 2025-01-10
 */
@Data
public class QwWorkUser extends BaseEntityTow
{
    /** 链接ID */
    @Excel(name = "链接ID")
    private Long linkId;

    /** 客户external_userid */
    @Excel(name = "客户external_userid")
    private String externalUserid;

    /** 跟进人userid */
    @Excel(name = "跟进人userid")
    private String userid;

    /** 会话状态，0-客户未发消息 1-客户已发送消息 2-客户发送消息状态未知 */
    @Excel(name = "会话状态，0-客户未发消息 1-客户已发送消息 2-客户发送消息状态未知")
    private Integer chatStatus;

    /** 额外参数 */
    @Excel(name = "额外参数")
    private String state;

    /** 是否上传百度0未上传1已上传 */
    @Excel(name = "是否上传百度0未上传1已上传")
    private Integer uploadStatus;
}
