package com.fs.qw.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ExternalContactDetailsParam {

    @ApiModelProperty(value = "登录用户id，不用传")
    private Long userId;

    @ApiModelProperty(value = "外部联系人id")
    private Long contactId;

    @ApiModelProperty(value = "时间tab，不传表示查询全部，分别是：今天、昨天、前天、近七天")
    private String dateTag;
}
