package com.fs.qw.param;

import lombok.Data;

import java.util.ArrayList;

@Data
public class QwCountCustomerParam {

    /**
     *  企微成员id集合
     */
    private ArrayList<String> userIdsSelectList;

    /**
     *  全部客户还是部分客户
     */
    private int selectType;
    /** 按性别筛选客户 */
    private int gender;
    private String corpId;
    /** 按群聊id->筛选客户 */
    private  ArrayList<String> groupChatSelectList;

    /** 按添加时间筛选客户 */
    private ArrayList<String> timeScreenCharge;

    /** 按标签筛选客户 */
    private ArrayList<String> tagsIdsSelectList;

    /** 按排除标签筛选客户 */
    private ArrayList<String> outTagsIdsSelectList;

}
