package com.fs.qw.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwCrmCourseStudyParams {

    /**
    * 企微客户名称
    */
    private  String externalUserName;

    private String externalUserId; //    外部用户id

    private Long studyId;//小程序用户学习课程的id

    private Long userId;//小程序用户id

    /**
    * 课程名称
    */
    private  String courseName;

    /**
    * 课程看客状态
    */

    private Integer status;

    /**
    * 电话号码
    */
    private String mobile;

    /**
    * 课节 开始看的时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String logCreateTime;

    @Excel(name = "公司id")
    private Long companyId;
}
