package com.fs.qw.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwExternalContactCrmParam {
    /** $column.columnComment */
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private String externalUserId;

    /** 外部联系人名称 */
    @Excel(name = "外部联系人名称")
    private String name;

    @Excel(name = "头像")
    private String avatar;

    /** crm_customer主键 */
    @Excel(name = "crm_customer主键")
    private Long customerId;


    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private Long companyUserId;
}
