package com.fs.qw.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.utils.DateUtils;
import lombok.Data;

import java.util.Date;

@Data
public class QwWatchLogStatisticsListParam {
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;

    private String startDate;
    private String endDate;

    public String getStartDate() {
        return DateUtils.getStartOfDayString(sTime);
    }

    public String getEndDate() {
        return DateUtils.getEndOfDayString(eTime);
    }

    private String nickName;
    private String corpId;
    private Long companyId;
    private Long companyUserId;
    private Long id;
    private String ids;
    private Long project;
    private Long courseId;
    private Long videoId;

    private Long pageNum;
    private Long pageSize;
}
