package com.fs.qw.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class QwWorkTaskListParam {
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long extId;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long qwUserId;

    /** 类别 1先导 2 课程 3 大小转 4 转人工 */
    @Excel(name = "类别 1先导 2 课程 3 大小转 4 转人工")
    private Integer type;

    /** 状态 0 待处理 1 已处理 3 过期 */
    @Excel(name = "状态 0 待处理 1 已处理 3 过期")
    private Integer status;

    /** 分值 */
    @Excel(name = "分值")
    private Integer score;

    /** sopid */
    @Excel(name = "sopid")
    private String sopId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long companyUserId;

    private String title;

    private String companyUserName;



    private Long deptId;

    private String qwUserName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sTime;

    private Long pageNum;
    private Long pageSize;


}
