package com.fs.qw.param;

import com.fs.common.param.BaseQueryParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

@EqualsAndHashCode(callSuper = true)
@Data
public class QwWorkTaskQueryParam extends BaseQueryParam {

    /**
     * 企微用户ID
     */
    @NotBlank(message = "ID不能为空")
    private String qwUserId;
    /**
     * 时间 (yyyy-MM-dd)
     */
    @NotBlank(message = "时间不能为空")
    private String date;
}
