package com.fs.qw.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class QwExternalContactTransferLogListVO {
    private Long id;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 员工id */
    @Excel(name = "员工id")
    private Long companyUserId;
    /**
    * 员工部门
    */
    private String deptName;

    /** 企微外部联系人id */
    @Excel(name = "企微外部联系人id")
    private String externalUserId;

    /** 客户id */
    @Excel(name = "客户id")
    private Long customerId;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long externalContactId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "接替员工昵称")
    private String companyUserNickName;

    @Excel(name = "原员工昵称")
    private String handoverQwUserName;

    @Excel(name = "名称")
    private String name;


}
