package com.fs.qw.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class QwGroupChatTransferVO {
    /**
     * 客户群ID
     */
    private String chatId;
    /**
     * 客户群名称
     */
    private String name;
    /**
     * 群主ID
     */
    private String owner;
    /**
     * 群主销售名称
     */
    private String ownerName;
    /**
     * 群主企微ID
     */
    private String qwId;
    /**
     * 群主企微名称
     */
    private String qwUserName;
    /**
     * 公告
     */
    private String notice;
    /**
     * 企微主体
     */
    private String corpId;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
