package com.fs.qw.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class QwTagGroupListVO {
    private Long id;

    /** 标签id */
    @Excel(name = "标签id")
    private String groupId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 排序 */
    @Excel(name = "排序")
    private Integer order;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
    * 标签来源 0/null:其他应用 1:当前应用
    */
    private Integer groupFrom;

    List<QwTagVO> tag;

    private String tagName;
}
