package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwTagVO {
    private Long id;

    /** 标签id */
    @Excel(name = "标签id")
    private String tagId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 标签组id */
    @Excel(name = "标签组id")
    private String groupId;

    /** 排序 */
    @Excel(name = "排序")
    private Integer order;

    /**
     * 标签来源 0/null:其他应用 1:当前应用
     */
    private Integer tagFrom;


}
