package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.company.domain.Company;
import com.fs.company.domain.CompanyUser;
import com.fs.qw.domain.QwExternalContact;
import com.fs.qw.domain.QwUser;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class QwUserVoiceLogVo extends BaseEntity {

    /** id */
    private Long id;

    /** 外部联系人id */
    //@Excel(name = "外部联系人id")
    private Long extId;

    @Excel(name = "外部联系人名称")
    private String extName;

    /** 企微用户id */
    //@Excel(name = "企微用户id")
    private Long qwUserId;

    @Excel(name = "企微用户名称")
    private String qwUserName;

    /** 时长秒 */
    @Excel(name = "时长秒")
    private Long duration;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 1接听 2未接 */
    @Excel(name = "接听状态,1接听 2未接")
    private Long status;

    /** 企微id */
    @Excel(name = "企微id")
    private String corpId;

    /** 公司id */
    //@Excel(name = "公司id")
    private Long companyId;

    @Excel(name = "公司名称")
    private String companyName;

    /** 销售用户id */
    //@Excel(name = "销售用户id")
    private Long companyUserId;

    @Excel(name = "销售用户名称")
    private String companyUserName;

    private QwExternalContact qwExternalContact;

    private Company company;

    private CompanyUser companyUser;

    private QwUser qwUser;

}
