package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwUserbehaviorDataVO {

    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 企微成员ID */
    @Excel(name = "企微成员ID")
    private String userid;

    /**
    * 成员昵称
    */
    private String nickName;

    /** 数据日期 秒时间戳 */
    @Excel(name = "数据日期 秒时间戳")
    private Long statTime;

    /** 聊天总数 */
    @Excel(name = "聊天总数")
    private Long chatCnt;

    /** 发送消息数 */
    @Excel(name = "发送消息数")
    private Long messageCnt;

    /** 已回复聊天占比 */
    @Excel(name = "已回复聊天占比")
    private Long replyPercentage;

    /** 平均首次回复时长，单位为分钟 */
    @Excel(name = "平均首次回复时长，单位为分钟")
    private Long avgReplyTime;

    /** 删除/拉黑成员的客户数 */
    @Excel(name = "删除/拉黑成员的客户数")
    private Long negativeFeedbackCnt;

    /** 主动向客户发起的好友申请数量 */
    @Excel(name = "主动向客户发起的好友申请数量")
    private Long newApplyCnt;

    /** 成员新添加的客户数量 */
    @Excel(name = "成员新添加的客户数量")
    private Long newContactCnt;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyid;

    @Excel(name = "日期")
    private String convertedDate;
}
