package com.fs.qw.vo;

import lombok.Data;

import java.util.List;

//暂时废弃
@Data
public class SopRuleTimeSetting {

    /**
    * 内容名称
    */
    private String name;
    /**
    * 状态 正常 停用
    */
    private int type;
    /**
    * 内容
    */
    private List<ContentDetail> content;

    private String day;
    private String hour;
    private String minute;
    private String time;

    @Data
    public static class ContentDetail {
        /**
        * 类型 普通 课程 订单
        */
        private int type;
        /**
        * 内容类型 文字 图片 链接
        */
        private int contentType;
        /**
        * 是否添加url
        */
        private String isBindUrl;


        private Integer expiresDays;

        /**
        * 时间
        */
        private String time;
        /**
        * 课程id
        */
        private int courseId;
        /**
        * 小节id
        */
        private Long videoId;
        /**
        *  0普通 1待看课 2看课中 3已完课
        */
        private int courseType;
        /**
        * 消息内容
        */
        private String value;

        /**
        *  内容类型是图片时的 图片url
        */
        private String imgUrl;

        /**
         * 链接标题
         */
        private String linkTitle;

        /**
         * 链接描述
         */
        private String linkDescribe;

        /**
         * 链接封面
         */
        private String linkImageUrl;

        /**
         * 链接url
         */
        private String linkUrl;
        private String fileUrl;
        private String videoUrl;
    }
}
