package com.fs.qwApi.Params;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class AddTagUsersListParam {

    /**
     *  标签ID
     */
    @JsonProperty("tagid")
    private int tagId;

    /**
     *  企业成员ID列表，注意：userlist、partylist不能同时为空，单次请求个数不超过1000
     */
    @JsonProperty("userlist")
    private List<String> userList;

    /**
     *  企业部门ID列表，注意：userlist、partylist不能同时为空，单次请求个数不超过100
     */
    @JsonProperty("partylist")
    private List<Integer> partyList;
}
