package com.fs.qwApi.Params;

import lombok.Data;

@Data
public class QwGetGroupmsgListV2Param {
    /**
     *  群发任务的类型，默认为single，表示发送给客户，group表示发送给客户群
     */
    private String chat_type;
    /**
     *  群发任务记录开始时间
     */
    private String start_time;
    /**
     *  群发任务记录结束时间
     */
    private String end_time;

    /**
     *  群发任务创建人企业账号id
     */
    private String creator;

    /**
     *  创建人类型。0：企业发表 1：个人发表 2：所有，包括个人创建以及企业创建，默认情况下为所有类型
     */
    private String filter_type;

    /**
     *  返回的最大记录数，整型，最大值100，默认值50，超过最大值时取默认值
     */
    private String limit;

    /**
     *  用于分页查询的游标，字符串类型，由上一次调用返回，首次调用可不填
     */
    private String cursor;
}
