package com.fs.qwApi.Params.Result;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class QwAddMsgTemplateResult {

    @JsonProperty("errcode")
    private int errCode;

    @JsonProperty("errmsg")
    private String errMsg;


    /**
     *  无效或无法发送的external_userid或chatid列表
     */
    @JsonProperty("fail_list")
    private List<String> failList;

    /**
     *  企业群发消息的id，可用于获取群发消息发送结果
     */
    @JsonProperty("msgid")
    private String msgId;

}
