package com.fs.qwApi.Params.Result;

import lombok.Data;

import java.util.List;

@Data
public class QwCreateUserResult {
    private int errcode;
    private String errmsg;

    /**
     *  因填写不存在的部门，新增的部门列表
     */
    private CreatedDepartmentList created_department_list;


    @Data
    class DepartmentInfo {

        /**
         *  新增的部门名称
         */
        private String name;

        /**
         *  新增的部门id
         */
        private int id;

    }

    @Data
    class CreatedDepartmentList {
        private List<DepartmentInfo> department_info;

    }
}
