package com.fs.qwApi.Params.Result;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class SendItemResult {

        /**
         *  外部联系人userid，群发消息到企业的客户群不返回该字段
         */
        @JsonProperty("external_userid")
        private String externalUserId;

        /**
         *  	外部客户群id，群发消息到客户不返回该字段
         */
        @JsonProperty("chat_id")
        private String chatId;

        /**
         *  	企业服务人员的userid
         */
        @JsonProperty("userid")
        private String userId;

        /**
         *  发送状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败
         */
        @JsonProperty("status")
        private int status;

        /**
         *  发送时间，发送状态为1时返回
         */
        @JsonProperty("send_time")
        private long sendTime;

}
