package com.fs.qwApi.Result;

import lombok.Data;

import java.util.List;

@Data
public class QwGroupChatListResult {

    private int errcode;
    private String errmsg;
    /**
     *  客户群列表
     */
    private List<GroupChat> group_chat_list;

    /**
     *  	分页游标，下次请求时填写以获取之后分页的记录。如果该字段返回空则表示已没有更多数据
     */
    private String next_cursor;

@Data
public static class GroupChat {

    /**
     *  客户群ID
     */
    private String chat_id;

    /**
     *  客户群跟进状态。
     * 0 - 跟进人正常
     * 1 - 跟进人离职
     * 2 - 离职继承中
     * 3 - 离职继承完成
     */
    private int status;

}
}
