package com.fs.qwApi.Result;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class QwMemberResult {

    private String errcode;

    private String errmsg;



    //以下是标签的返回结果
    /**
     *  	标签id
     */
    private String tagid;

    /**
     *  若部分userid、partylist非法，则返回-非法的成员账号列表
     */
    @JsonProperty("invalidlist")
    private String invalidList;

    /**
     *  非法的部门id列表
     */
    @JsonProperty("invalidparty")
    private List<Integer> invalidParty;


}
