package com.fs.qwApi.domain;

import lombok.Data;

import java.util.List;

@Data
public class QwGetTransferResult {
    private int errcode; // 错误码
    private String errmsg; // 错误消息
    private List<Customer> customer; // 顾客信息列表
    private String next_cursor; // 下一个游标信息
    @Data
    public static class Customer {
        private String external_userid; // 外部用户ID
        private int status; // 状态
        private long takeover_time; // 接手时间
    }
}
