package com.fs.qwApi.domain;

import lombok.Data;

import java.util.List;

@Data
public class QwLinkGetResult {
    private int errcode; // 错误代码
    private String errmsg; // 错误消息
    private Link link; // 链接信息
    private Range range; // 范围信息
    private PriorityOption priorityOption; // 优先选项信息

    @Data
    // 链接信息类
    class Link {
        private String linkName;
        private String url;
        private long createTime;
        private boolean skipVerify;

    }
    @Data
    // 范围信息类
    class Range {
        private List<String> userList;
        private List<Integer> departmentList;

    }
    @Data
    // 优先选项信息类
    class PriorityOption {
        private int priorityType;
        private List<String> priorityUserIdList;

    }
}
