package com.fs.qwApi.domain;

import lombok.Data;

import java.util.List;

@Data
public class QwWorkExternalContactListResult {
    private DataQw data;
    private String errmsg;
    private int errno;

    @Data
    public static class DataQw {
        private List<UserInfo> list;
        private int page_num; //当前页数
        private int page_size; //每页显示数量
        private int total; //总数量
        private int total_page; //总页数
    }

    @Data
    public static class UserInfo {
        private String add_time; //添加时间
        private String avatar_url; //头像地址
        private String corp_id; //公司ID
        private String desc; //描述信息
        private String mobile; //手机号码
        private String nick_name; //昵称
        private String position; //职位
        private String remark; //备注
        private List<String> remark_phone_list; //备注电话列表
        private String sex; //性别 0:未设置 1:男 2:女
        private String unionid; //关联ID
        private String user_id; //用户ID
    }
}
