package com.fs.qwApi.param;

import lombok.Data;

@Data
public class QwListContactWayParam {

    /**
     *  「联系我」创建起始时间戳, 默认为90天前
     */
    private String start_time;

    /**
     *  「联系我」创建结束时间戳, 默认为当前时间
     */
    private  String end_time;

    /**
     *  	分页查询使用的游标，为上次请求返回的 next_cursor
     */
    private  String cursor;

    /**
     *  每次查询的分页大小，默认为100条，最多支持1000条
     */
    private Integer limit;
}
