package com.fs.sms.domain;

import com.tencentcloudapi.ame.v20190916.models.DataInfo;
import lombok.Data;

import java.util.List;

@Data
public class QuerySmsReturn {
    private String result;

    // 描述信息
    private String desc;

    // 数据列表
    private List<QuerySmsReturnDate> data;
    @Data
    public class QuerySmsReturnDate {
        // 提交失败次数
        private int submitFailCount;

        // 发送失败次数
        private int sendFailCount;

        // 发送总数
        private int sendTotalCount;

        // 统计日期
        private String statsDate;

        // 成功次数
        private int successCount;

        // 成功比例
        private String successRatio;
    }
}
