package com.fs.sms.domain;

import lombok.Data;

import java.util.List;

@Data
public class SmsDeliver {
        private String result; // 结果代码
        private String desc; // 描述信息
        private List<DeliveryInfo> delivers; // 送达信息列表

        // 构造函数
        // 省略 getter 和 setter 方法

        // 内部类，表示送达信息
    @Data
    public  class DeliveryInfo {
            private String phone; // 手机号
            private String content; // 短信内容
            private String subcode; // 子码
            private String delivertime; // 送达时间

            // 构造函数
            // 省略 getter 和 setter 方法
        }
}
