package com.fs.sms.domain;

import lombok.Data;

import java.util.List;

@Data
public class SmsReport {
    private String result; // 结果代码
    private String desc; // 描述信息
    private List<Report> reports; // 报告列表
    // 构造函数
    // 省略 getter 和 setter 方法

    @Data
    // 内部类，表示报告信息
    public class Report {
        private String msgid; // 消息ID
        private String phone; // 手机号
        private String status; // 状态代码
        private String desc; // 状态描述
        private String wgcode; // 网关代码
        private String submitTime; // 提交时间
        private String sendTime; // 发送时间
        private String time; // 完成时间
        private int smsCount; // 短信条数
        private int smsIndex; // 短信索引
    }

}
