package com.fs.sms.domain;

import lombok.Data;

import java.util.List;

@Data
public class TemplateState {
    private String result; // 结果代码
    private String desc; // 描述信息
    private List<DataItem> data; // 数据列表

    // 构造函数
    // 省略 getter 和 setter 方法

   @Data
    public static class DataItem {
        private String id; // ID
        private int auditStatus; // 审核状态
        private String createTime; // 创建时间
        private String auditTime; // 审核时间
        private String auditReason; // 审核原因

    }
}
