package com.fs.sop.params;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Data
public class GetQwSopLogsByJsApiParam  implements Serializable  {
    @NotBlank(message = "externalUserId 不能为空")
    private  String externalUserId;//当前外部联系人ID

    private  Long externalId;//当前外部联系人 在库里的主键

    @NotBlank(message = "qwUserId 不能为空")
    private  String qwUserId;//当前员工ID

    @NotBlank(message = "corpId 不能为空")
    private  String corpId;//公司id
}
