package com.fs.sop.params;


import lombok.Data;

import java.util.List;

@Data
public class QwSopSettingParams {
    private String ruleType;
    private String name;
    private int type;
    private List<Content> content;
    private String day;
    private String hour;
    private String minute;
    private String time;


    @Data
    public static class Content {
        private int type;
        private String value;
        private String imgUrl;
        private String isBindUrl;
        private String url;
    }
}
