package com.fs.sop.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.sop.domain.QwSopLogsDetalis;

import java.util.List;

/**
 * qwSopLogsDetalisService接口
 *
 * @author fs
 * @date 2025-02-04
 */
public interface IQwSopLogsDetalisService extends IService<QwSopLogsDetalis> {
    /**
     * 查询qwSopLogsDetalis
     *
     * @param id qwSopLogsDetalis主键
     * @return qwSopLogsDetalis
     */
    QwSopLogsDetalis selectQwSopLogsDetalisById(Long id);

    /**
     * 查询qwSopLogsDetalis列表
     *
     * @param qwSopLogsDetalis qwSopLogsDetalis
     * @return qwSopLogsDetalis集合
     */
    List<QwSopLogsDetalis> selectQwSopLogsDetalisList(QwSopLogsDetalis qwSopLogsDetalis);

    /**
     * 新增qwSopLogsDetalis
     *
     * @param qwSopLogsDetalis qwSopLogsDetalis
     * @return 结果
     */
    int insertQwSopLogsDetalis(QwSopLogsDetalis qwSopLogsDetalis);

    /**
     * 修改qwSopLogsDetalis
     *
     * @param qwSopLogsDetalis qwSopLogsDetalis
     * @return 结果
     */
    int updateQwSopLogsDetalis(QwSopLogsDetalis qwSopLogsDetalis);

    /**
     * 批量删除qwSopLogsDetalis
     *
     * @param ids 需要删除的qwSopLogsDetalis主键集合
     * @return 结果
     */
    int deleteQwSopLogsDetalisByIds(Long[] ids);

    /**
     * 删除qwSopLogsDetalis信息
     *
     * @param id qwSopLogsDetalis主键
     * @return 结果
     */
    int deleteQwSopLogsDetalisById(Long id);
}
