package com.fs.sop.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class QwSopLogsDoSendListTVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;
    private String qwUserid;
    private String externalUserId;
    private String externalUserName;
    private Long fsUserId;
    private String contentJson;
    private Long sendStatus;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;
    /**
     * 过期时间
     */
    private Integer expiryTime;

    private Integer sendType;

}
