package com.fs.sop.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwSopTempContentVO {
    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 规则ID */
    @Excel(name = "规则ID")
    private Long rulesId;


    /** 模板ID */
    @Excel(name = "模板ID")
    private String tempId;
    private Long dayId;

    /** 发送类型 */
    @Excel(name = "发送类型")
    private Integer contentType;

    /** 内容（JSON） */
    @Excel(name = "内容", readConverterExp = "J=SON")
    private String content;

    /** 是否绑定url */
    @Excel(name = "是否绑定url")
    private Integer isBindUrl;

    /** 链接过期时间 */
    @Excel(name = "链接过期时间")
    private String expiresDays;

    private Long videoId;
}
