package com.fs.statis.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * DTO for fs_statis_temp_param table
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class FsStatisTempParam {

    /**
     * id
     */
    private Integer id;

    /**
     * 销售id
     */
    private Long companyUserId;

    /**
     * sop_id
     */
    private String sopId;

    /**
     * 当天时间
     */
    private LocalDate thisDate;

    /**
     * 企微id
     */
    private String qwUserId;

    /**
     * 营期id
     */
    private String periodId;

    /**
     * 营期时间
     */
    private String startTime;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    private Long deptId;
}
