package com.fs.statis.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDate;

@Data
@TableName("fs_stats_member_daily")
public class FsStatsMemberDaily {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 统计时间
     */
    private LocalDate statDate;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 用户姓名
     */
    private String realName;

    /**
     * 用户手机号
     */
    private String phone;

    /**
     * 用户标签
     */
    private String tag;

    /**
     * 所属经销商分组
     */
    private Long companyGroupId;

    /**
     * 所属经销商
     */
    private Long companyId;

    /**
     * 所属经销商名称
     */
    private String companyName;

    /**
     * 所属群管
     */
    private Long companyUserId;

    /**
     * 所属群管名称
     */
    private String companyUserName;

    /**
     * 所属训练营
     */
    private Long trainCampId;

    /**
     * 所属训练营名称
     */
    private String trainCampName;

    /**
     * 所属营期
     */
    private Long periodId;

    /**
     * 所属营期名称
     */
    private String periodName;

    /**
     * 所属课程
     */
    private Long courseId;

    /**
     * 所属课程名称
     */
    private String courseName;

    /**
     * 所属小节
     */
    private Long videoId;

    /**
     * 所属小节名称
     */
    private String videoName;

    /**
     * 是否完课 0未完课 1已完课
     */
    private Integer isOver;

    /**
     * 观看次数
     */
    private Long watchCount;

    /**
     * 观看时长
     */
    private Long watchDuration;

    /**
     * 答题次数
     */
    private Long answerCount;

    /**
     * 正确次数
     */
    private Long answerCorrectCount;

    /**
     * 答题红包个数
     */
    private Long redPacketCount;

    /**
     * 答题红包金额
     */
    private Long redPacketAmount;
}
