package com.fs.statis.dto;

import lombok.Data;

import java.io.Serializable;

@Data
public class DealerAggregatedDTO implements Serializable {
    /**
     * 经销商数量
     */
    private Long dealderCount;
    /**
     * 群管数量
     */
    private Long groupMgrCount;
    /**
     * 会员总数量
     */
    private Long memberCount;
    /**
     * 正常会员数量
     */
    private Long normalNum;
    /**
     * 黑名单会员数量
     */
    private Long blackNum;

    /**
     * 企微用户数
     */
    private Long qwMemberNum;

    /**
     * 今日新增
     */
    private Long todayIncreaseUserNum;

    /**
     * 订单总数
     */
    private Long orderTotalNum;

    /**
     * 今日新增订单数
     */
    private Long todayOrderNum;

    /**
     * 收款总数
     */
    private Long recvTotalNum;

    /**
     * 今日收款总数
     */
    private Long recvTodayNum;

    /**
     * 商品总数
     */
    private Long goodsTotalNum;

    /**
     * 今日商品总数
     */
    private Long todayGoodsNum;

}
