package com.fs.statis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.statis.domain.FsStatsMemberDaily;
import com.fs.statis.vo.FsStatsMemberDailyVO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

public interface FsStatsMemberDailyMapper extends BaseMapper<FsStatsMemberDaily> {

    /**
     * 查询会员统计数据
     * @param params    参数
     * @return  list
     */
    List<FsStatsMemberDailyVO> selectDailyData(@Param("params") Map<String, Object> params);

    /**
     * 更新统计数据
     * @param date 日期
     */
    void refreshMemberDailyData(@Param("date") LocalDate date);
}
