package com.fs.statis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.statis.domain.FsStatsMemberDaily;
import com.fs.statis.vo.FsStatsMemberDailyVO;

import java.util.List;
import java.util.Map;

public interface IFsStatsMemberDailyService extends IService<FsStatsMemberDaily> {

    /**
     * 查询会员统计数据
     * @param params    参数
     * @return  list
     */
    List<FsStatsMemberDailyVO> selectDailyData(Map<String, Object> params);

    /**
     * 更新统计数据
     */
    void refreshMemberDailyData();
}
