package com.fs.store.service.cache;

import com.fs.course.domain.FsUserCourse;

public interface IFsUserCourseCacheService {
    /**
     * 查询课程
     *
     * @param courseId 课程主键
     * @return 课程
     */
    public FsUserCourse selectFsUserCourseByCourseId(Long courseId);

    /**
     * 查询课程名称
     *
     * @param courseId 课程主键
     * @return 课程名称
     */
    public String selectCourseNameByCourseId(Long courseId);
}
