package com.fs.store.vo.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 用户数据 汇总统计（首页）
 */
@Data
@ApiModel
public class FsUserSummaryCountVO {

    @ApiModelProperty(value = "会员总数")
    private int userTotal;

    @ApiModelProperty(value = "今日新增会员")
    private int todayNewUser;

    @ApiModelProperty(value = "标签统计")
    private List<FsUserSummaryCountTagVO> tagList;

}
