package com.fs.tzBankPay.doman;

import lombok.Data;

@Data
public class QueryRefundResult {
    // 订单状态，50-退款拒绝，60-退款中，70-退款失败，90-退款成功
    private String refundOrdStatus;

    // 商户退款订单号，企业系统自己生成的退款订单号
    private String refundOrderNo;

    // 退款订单流水号
    private String refundOrderFlowNo;

    // 交易金额
    private double refundOrdTransAmt;

    // 商户名称
    private String refundOrdMerName;

    // 退还手续费
    private double refundOrdFeeAmt;

    // 订单流水号（原支付订单流水号）
    private String refundOrdPayOrdFlowNo;

    // 备注
    private String refundOrdRemark;

    // 交易类型退款，2002-退款
    private String refundOrdTransType;

    // 币种
    private String refundOrdCurrencyNo;

    // 商户后台通知地址，冗余字段，可忽略
    private String notifyURL;
}
