package com.fs.tzBankPay.doman;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class RefundParam {
    private String oldPayOutOrderNo;   // 商户原支付订单号
    private String refundOrderNo;      // 商户退款订单号 对接平台系统里自己生成的退款订单号
    private String trxSendTime;        // 交易发送时间 yyyyMMddHHmmss
    private String platMerCstNo;       // 平台商户号
    private Double refundOrdTransAmt;  // 退款金额
    private String notifyURL; //由企业提供，退款申请后通知业务系统退款结果信息，一般为后端接口地址。因部分网络运营商存在域名解析失败的问题，建议上送IP加端口的形式，该地址需台行开通网络防火墙
    private List<sharers> sharers;

    @Data
    public static class sharers {
        private BigDecimal shareAmt;    // 分账金额
        private String sharerCstNo;     // 分账方支付平台客户号
        private String sharerCstName;   // 核心企业客户号
    }

}

