package com.fs.tzBankPay.doman;

import lombok.Data;

@Data
public class RefundResult {

    // 订单状态 (50-退款拒绝, 60-退款中, 70-退款失败, 90-退款成功)
    private String refundOrdStatus;

    // 商户退款订单号 (对接平台系统里自己生成的退款订单号，同输入)
    private String refundOrderNo;

    // 退款订单流水号 (行方返回的退款订单流水号)
    private String refundOrderFlowNo;

    // 退款金额
    private double refundOrdTransAmt;

    // 商户名称
    private String refundOrdMerName;

    // 退还手续费
    private double refundOrdFeeAmt;

    // 订单流水号 (原支付订单流水号)
    private String refundOrdPayOrdFlowNo;

    // 备注
    private String refundOrdRemark;

    // 交易类型退款 (2002-退款)
    private String refundOrdTransType;

    // 商户后台通知地址 (冗余字段，可忽略，同输入字段)
    private String notifyURL;

    // 币种 (冗余字段，可忽略，均为人民币CNY)
    private String refundOrdCurrencyNo;
}
