package com.fs.tzBankPay.doman;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class TzBankRefundOrderDecrypt {
    // 退款订单流水号
    private String refundOrderFlowNo;

    // 退款成功时间
    private String refundSuccTime;

    // 退款订单号
    private String refundOrderNo;

    // 退款订单交易类型
    private String refundOrdTransType;

    // 签名信息
    private String xSign;

    // 退款订单币种
    private String refundOrdCurrencyNo;

    // 退款订单交易金额
    private BigDecimal refundOrdTransAmt;

    // 通知 URL
    private String notifyURL;

    // 退款订单备注
    private String refundOrdRemark;

    // 退款订单状态
    private String refundOrdStatus;

    // 退款订单手续费金额
    private BigDecimal refundOrdFeeAmt;
}
