
package com.fs.voice.constant;

public class Constant {

    // purchase and get : base_url,appid,secret

    // please replace the IP and Port, when you use the demo.
    public static final String BASE_URL = "https://rtccall.cn-north-1.myhuaweicloud.cn:443";

    // please replace the appId and secret, when you use the demo.
    public static final String CLICK2CALL_APPID = "OwBoDktT2SxQ1fFZubl549ryir01";
    public static final String CLICK2CALL_SECRET = "33HKupSlrPbaxzh4bw0eJNiVPa0S";
    public static final String CALLNOTIFY_APPID = "*****";
    public static final String CALLNOTIFY_SECRET = "*****";
    public static final String CALLVERIFY_APPID = "*****";
    public static final String CALLVERIFY_SECRET = "*****";
    public static final String TRANSPARENTLY_TRANSMITS_APPID = "*****";
    public static final String TRANSPARENTLY_TRANSMITS_SECRET = "*****";

    /*
     *IP and port of callback url.
     *please replace the IP and Port of your Application deployment environment address, when you use the demo.
     */
    public static final String CALLBACK_BASE_URL = "http://192.88.88.88:9999";

    /*
     * complete callback url
     * please replace uri, when you use the demo.
     */
    public static final String STATUS_CALLBACK_URL = CALLBACK_BASE_URL + "/status";
    public static final String FEE_CALLBACK_URL = CALLBACK_BASE_URL + "/fee";

    // *************************** The following constants do not need to be
    // modified *********************************//

    /*
     * request header
     * 1. HEADER_APP_AUTH
     * 2. HEADER_APP_WSSE
     * 3. AUTH_HEADER_VALUE
     * 4. WSSE_HEADER_FORMAT
     */
    public static final String HEADER_APP_AUTH = "Authorization";
    public static final String HEADER_APP_WSSE = "X-WSSE";
    public static final String AUTH_HEADER_VALUE = "WSSE realm=\"SDP\",profile=\"UsernameToken\",type=\"Appkey\"";
    public static final String WSSE_HEADER_FORMAT = "UsernameToken Username=\"%s\",PasswordDigest=\"%s\",Nonce=\"%s\",Created=\"%s\"";

    /*
     * Voice Call:
     * 1. VOICE_CALL_COMERCIAL
     * 2. VOICE_VERIFICATION_COMERCIAL
     * 3. CALL_NOTIFY_COMERCIAL
     * 4. VOICE_FILE_DOWNLOAD
     */
    public static final String VOICE_CALL_COMERCIAL = BASE_URL + "/rest/httpsessions/click2Call/v2.0";
    public static final String VOICE_VERIFICATION_COMERCIAL = BASE_URL + "/rest/httpsessions/callVerify/v1.0";
    public static final String CALL_NOTIFY_COMERCIAL = BASE_URL + "/rest/httpsessions/callnotify/v2.0";
    public static final String VOICE_FILE_DOWNLOAD = BASE_URL + "/rest/provision/voice/record/v1.0";
}