package com.fs.watch.domain;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class SleepSection {
//    "st\":0,\"et\":61,\"type\":4
    /**
     * x轴开始值
     */
    @Excel(name = "开始时间", cellType = Excel.ColumnType.STRING, prompt = "开始时间")
    private String start;

    /**
     * x轴结束值
     */
    @Excel(name = "结束时间", cellType = Excel.ColumnType.STRING, prompt = "结束时间")
    private String end;

    /**
     * 类型 3 深睡  4 浅睡   6 清醒 7 快速眼动
     */
    @Excel(name = "类型", readConverterExp = "3=深睡,4=浅睡,6=清醒,7=快速眼动")
    private Integer type;


}
