package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * 设备血糖数据
 * @TableName watch_ppg_data
 */
public class WatchPpgData implements Serializable {
    /**
     * 主键id
     */
    private UUID id;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     *
     */
    private List<Short> fval;

    /**
     *
     */
    private List<Short> sval;

    /**
     * 创建时间
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public List<Short> getFval() {
        return fval;
    }

    public void setFval(List<Short> fval) {
        this.fval = fval;
    }

    public List<Short> getSval() {
        return sval;
    }

    public void setSval(List<Short> sval) {
        this.sval = sval;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public WatchPpgData(UUID id, String deviceId, List<Short> fval, List<Short> sval, String createTime) {
        this.id = id;
        this.deviceId = deviceId;
        this.fval = fval;
        this.sval = sval;
        this.createTime = createTime;
    }

    public WatchPpgData() {
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * fval数据集合
//     */
//    private String jsonDataFval;
//
//    /**
//     * sval数据集合
//     */
//    private String jsonDataSval;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * fval数据集合
//     */
//    public String getJsonDataFval() {
//        return jsonDataFval;
//    }
//
//    /**
//     * fval数据集合
//     */
//    public void setJsonDataFval(String jsonDataFval) {
//        this.jsonDataFval = jsonDataFval;
//    }
//
//    /**
//     * sval数据集合
//     */
//    public String getJsonDataSval() {
//        return jsonDataSval;
//    }
//
//    /**
//     * sval数据集合
//     */
//    public void setJsonDataSval(String jsonDataSval) {
//        this.jsonDataSval = jsonDataSval;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchPpgData other = (WatchPpgData) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getJsonDataFval() == null ? other.getJsonDataFval() == null : this.getJsonDataFval().equals(other.getJsonDataFval()))
//            && (this.getJsonDataSval() == null ? other.getJsonDataSval() == null : this.getJsonDataSval().equals(other.getJsonDataSval()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getJsonDataFval() == null) ? 0 : getJsonDataFval().hashCode());
//        result = prime * result + ((getJsonDataSval() == null) ? 0 : getJsonDataSval().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", jsonDataFval=").append(jsonDataFval);
//        sb.append(", jsonDataSval=").append(jsonDataSval);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
