package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

/**
 * 设备血氧数据
 * @TableName watch_spo2_data
 */
public class WatchSpo2Data implements Serializable {
    /**
     *
     */
    private UUID id;

    /**
     *
     */
    private String deviceId;

    /**
     *
     */
    private Integer avgBoxy;

    /**
     *
     */
    private Integer maxBoxy;

    /**
     *
     */
    private Integer minBoxy;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 状态 0:正常 1:过高 2:过低
     */
    private Integer status;
    /**

     /**
     *
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    public UUID getId() {
        return id;
    }

    /**
     *
     */
    public void setId(UUID id) {
        this.id = id;
    }

    /**
     *
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     *
     */
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    /**
     *
     */
    public Integer getAvgBoxy() {
        return avgBoxy;
    }

    /**
     *
     */
    public void setAvgBoxy(Integer avgBoxy) {
        this.avgBoxy = avgBoxy;
    }

    /**
     *
     */
    public Integer getMaxBoxy() {
        return maxBoxy;
    }

    /**
     *
     */
    public void setMaxBoxy(Integer maxBoxy) {
        this.maxBoxy = maxBoxy;
    }

    /**
     *
     */
    public Integer getMinBoxy() {
        return minBoxy;
    }

    /**
     *
     */
    public void setMinBoxy(Integer minBoxy) {
        this.minBoxy = minBoxy;
    }

    /**
     *
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     *
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WatchSpo2Data other = (WatchSpo2Data) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
                && (this.getAvgBoxy() == null ? other.getAvgBoxy() == null : this.getAvgBoxy().equals(other.getAvgBoxy()))
                && (this.getMaxBoxy() == null ? other.getMaxBoxy() == null : this.getMaxBoxy().equals(other.getMaxBoxy()))
                && (this.getMinBoxy() == null ? other.getMinBoxy() == null : this.getMinBoxy().equals(other.getMinBoxy()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
        result = prime * result + ((getAvgBoxy() == null) ? 0 : getAvgBoxy().hashCode());
        result = prime * result + ((getMaxBoxy() == null) ? 0 : getMaxBoxy().hashCode());
        result = prime * result + ((getMinBoxy() == null) ? 0 : getMinBoxy().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", deviceId=").append(deviceId);
        sb.append(", avgBoxy=").append(avgBoxy);
        sb.append(", maxBoxy=").append(maxBoxy);
        sb.append(", minBoxy=").append(minBoxy);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 平均血氧
//     */
//    private Integer avgBoxy;
//
//    /**
//     * 最大血氧
//     */
//    private Integer maxBoxy;
//
//    /**
//     * 最小血氧
//     */
//    private Integer minBoxy;
//
//    /**
//     * 状态 0:正常 1:过高 2:过低
//     */
//    private Integer status;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 平均血氧
//     */
//    public Integer getAvgBoxy() {
//        return avgBoxy;
//    }
//
//    /**
//     * 平均血氧
//     */
//    public void setAvgBoxy(Integer avgBoxy) {
//        this.avgBoxy = avgBoxy;
//    }
//
//    /**
//     * 最大血氧
//     */
//    public Integer getMaxBoxy() {
//        return maxBoxy;
//    }
//
//    /**
//     * 最大血氧
//     */
//    public void setMaxBoxy(Integer maxBoxy) {
//        this.maxBoxy = maxBoxy;
//    }
//
//    /**
//     * 最小血氧
//     */
//    public Integer getMinBoxy() {
//        return minBoxy;
//    }
//
//    /**
//     * 最小血氧
//     */
//    public void setMinBoxy(Integer minBoxy) {
//        this.minBoxy = minBoxy;
//    }
//
//    /**
//     * 状态 0:正常 1:过高 2:过低
//     */
//    public Integer getStatus() {
//        return status;
//    }
//
//    /**
//     * 状态 0:正常 1:过高 2:过低
//     */
//    public void setStatus(Integer status) {
//        this.status = status;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchSpo2Data other = (WatchSpo2Data) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getAvgBoxy() == null ? other.getAvgBoxy() == null : this.getAvgBoxy().equals(other.getAvgBoxy()))
//            && (this.getMaxBoxy() == null ? other.getMaxBoxy() == null : this.getMaxBoxy().equals(other.getMaxBoxy()))
//            && (this.getMinBoxy() == null ? other.getMinBoxy() == null : this.getMinBoxy().equals(other.getMinBoxy()))
//            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getAvgBoxy() == null) ? 0 : getAvgBoxy().hashCode());
//        result = prime * result + ((getMaxBoxy() == null) ? 0 : getMaxBoxy().hashCode());
//        result = prime * result + ((getMinBoxy() == null) ? 0 : getMinBoxy().hashCode());
//        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", avgBoxy=").append(avgBoxy);
//        sb.append(", maxBoxy=").append(maxBoxy);
//        sb.append(", minBoxy=").append(minBoxy);
//        sb.append(", status=").append(status);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
