package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

/**
 * 设备温度数据
 * @TableName watch_temperature_data
 */
public class WatchTemperatureData implements Serializable {
    /**
     *
     */
    private UUID id;

    /**
     *
     */
    private String deviceId;

    /**
     *
     */
    private Double envTemp;

    /**
     *
     */
    private Double estTemp;

    /**
     *
     */
    private Double axillaryTemp;

    /**
     *
     */
    private Double shellTemp;

    /**
     *
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    public UUID getId() {
        return id;
    }

    /**
     *
     */
    public void setId(UUID id) {
        this.id = id;
    }

    /**
     *
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     *
     */
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    /**
     *
     */
    public Double getEnvTemp() {
        return envTemp;
    }

    /**
     *
     */
    public void setEnvTemp(Double envTemp) {
        this.envTemp = envTemp;
    }

    /**
     *
     */
    public Double getEstTemp() {
        return estTemp;
    }

    /**
     *
     */
    public void setEstTemp(Double estTemp) {
        this.estTemp = estTemp;
    }

    /**
     *
     */
    public Double getAxillaryTemp() {
        return axillaryTemp;
    }

    /**
     *
     */
    public void setAxillaryTemp(Double axillaryTemp) {
        this.axillaryTemp = axillaryTemp;
    }

    /**
     *
     */
    public Double getShellTemp() {
        return shellTemp;
    }

    /**
     *
     */
    public void setShellTemp(Double shellTemp) {
        this.shellTemp = shellTemp;
    }

    /**
     *
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     *
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WatchTemperatureData other = (WatchTemperatureData) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
                && (this.getEnvTemp() == null ? other.getEnvTemp() == null : this.getEnvTemp().equals(other.getEnvTemp()))
                && (this.getEstTemp() == null ? other.getEstTemp() == null : this.getEstTemp().equals(other.getEstTemp()))
                && (this.getAxillaryTemp() == null ? other.getAxillaryTemp() == null : this.getAxillaryTemp().equals(other.getAxillaryTemp()))
                && (this.getShellTemp() == null ? other.getShellTemp() == null : this.getShellTemp().equals(other.getShellTemp()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
        result = prime * result + ((getEnvTemp() == null) ? 0 : getEnvTemp().hashCode());
        result = prime * result + ((getEstTemp() == null) ? 0 : getEstTemp().hashCode());
        result = prime * result + ((getAxillaryTemp() == null) ? 0 : getAxillaryTemp().hashCode());
        result = prime * result + ((getShellTemp() == null) ? 0 : getShellTemp().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", deviceId=").append(deviceId);
        sb.append(", envTemp=").append(envTemp);
        sb.append(", estTemp=").append(estTemp);
        sb.append(", axillaryTemp=").append(axillaryTemp);
        sb.append(", shellTemp=").append(shellTemp);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 环境温度（弃用）
//     */
//    private Double envTemp;
//
//    /**
//     * 体温
//     */
//    private Double estTemp;
//
//    /**
//     * 腋下温度（弃用）
//     */
//    private Double axillaryTemp;
//
//    /**
//     * 体表温度
//     */
//    private Double shellTemp;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 环境温度（弃用）
//     */
//    public Double getEnvTemp() {
//        return envTemp;
//    }
//
//    /**
//     * 环境温度（弃用）
//     */
//    public void setEnvTemp(Double envTemp) {
//        this.envTemp = envTemp;
//    }
//
//    /**
//     * 体温
//     */
//    public Double getEstTemp() {
//        return estTemp;
//    }
//
//    /**
//     * 体温
//     */
//    public void setEstTemp(Double estTemp) {
//        this.estTemp = estTemp;
//    }
//
//    /**
//     * 腋下温度（弃用）
//     */
//    public Double getAxillaryTemp() {
//        return axillaryTemp;
//    }
//
//    /**
//     * 腋下温度（弃用）
//     */
//    public void setAxillaryTemp(Double axillaryTemp) {
//        this.axillaryTemp = axillaryTemp;
//    }
//
//    /**
//     * 体表温度
//     */
//    public Double getShellTemp() {
//        return shellTemp;
//    }
//
//    /**
//     * 体表温度
//     */
//    public void setShellTemp(Double shellTemp) {
//        this.shellTemp = shellTemp;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchTemperatureData other = (WatchTemperatureData) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getEnvTemp() == null ? other.getEnvTemp() == null : this.getEnvTemp().equals(other.getEnvTemp()))
//            && (this.getEstTemp() == null ? other.getEstTemp() == null : this.getEstTemp().equals(other.getEstTemp()))
//            && (this.getAxillaryTemp() == null ? other.getAxillaryTemp() == null : this.getAxillaryTemp().equals(other.getAxillaryTemp()))
//            && (this.getShellTemp() == null ? other.getShellTemp() == null : this.getShellTemp().equals(other.getShellTemp()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getEnvTemp() == null) ? 0 : getEnvTemp().hashCode());
//        result = prime * result + ((getEstTemp() == null) ? 0 : getEstTemp().hashCode());
//        result = prime * result + ((getAxillaryTemp() == null) ? 0 : getAxillaryTemp().hashCode());
//        result = prime * result + ((getShellTemp() == null) ? 0 : getShellTemp().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", envTemp=").append(envTemp);
//        sb.append(", estTemp=").append(estTemp);
//        sb.append(", axillaryTemp=").append(axillaryTemp);
//        sb.append(", shellTemp=").append(shellTemp);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
