package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

/**
 * 设备三方血压
 * @TableName watch_third_bp_data
 */
public class WatchThirdBpData implements Serializable {
    private static final long serialVersionUID = 368238272878521272L;
    /**
     * 主键id
     */
    private UUID id;
    /**
     * 设备编号
     */
    private String deviceId;
    /**
     * 收缩压
     */
    private Integer sbp;
    /**
     * 舒张压
     */
    private Integer dbp;
    /**
     * 心率
     */
    private Integer hr;
    /**
     * 脉搏
     */
    private Integer pulse;


    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 血压状态
     */
    private Integer status;
    /**
     * 模式
     */
    private Integer mode;
    /**
     * 创建时间
     */
    private String createTime;


    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public Integer getSbp() {
        return sbp;
    }

    public void setSbp(Integer sbp) {
        this.sbp = sbp;
    }

    public Integer getDbp() {
        return dbp;
    }

    public void setDbp(Integer dbp) {
        this.dbp = dbp;
    }

    public Integer getHr() {
        return hr;
    }

    public void setHr(Integer hr) {
        this.hr = hr;
    }

    public Integer getPulse() {
        return pulse;
    }

    public void setPulse(Integer pulse) {
        this.pulse = pulse;
    }

    public Integer getMode() {
        return mode;
    }

    public void setMode(Integer mode) {
        this.mode = mode;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 收缩压
//     */
//    private Integer sbp;
//
//    /**
//     * 舒张压
//     */
//    private Integer dbp;
//
//    /**
//     * 心率
//     */
//    private Integer hr;
//
//    /**
//     * 脉搏
//     */
//    private Integer pulse;
//
//    public Integer getStatus() {
//        return status;
//    }
//
//    public void setStatus(Integer status) {
//        this.status = status;
//    }
//
//    /**
//     * 血压状态
//     */
//    private Integer status;
//
//    /**
//     * 模式
//     */
//    private Integer mode;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 收缩压
//     */
//    public Integer getSbp() {
//        return sbp;
//    }
//
//    /**
//     * 收缩压
//     */
//    public void setSbp(Integer sbp) {
//        this.sbp = sbp;
//    }
//
//    /**
//     * 舒张压
//     */
//    public Integer getDbp() {
//        return dbp;
//    }
//
//    /**
//     * 舒张压
//     */
//    public void setDbp(Integer dbp) {
//        this.dbp = dbp;
//    }
//
//    /**
//     * 心率
//     */
//    public Integer getHr() {
//        return hr;
//    }
//
//    /**
//     * 心率
//     */
//    public void setHr(Integer hr) {
//        this.hr = hr;
//    }
//
//    /**
//     * 脉搏
//     */
//    public Integer getPulse() {
//        return pulse;
//    }
//
//    /**
//     * 脉搏
//     */
//    public void setPulse(Integer pulse) {
//        this.pulse = pulse;
//    }
//
//    /**
//     * 模式
//     */
//    public Integer getMode() {
//        return mode;
//    }
//
//    /**
//     * 模式
//     */
//    public void setMode(Integer mode) {
//        this.mode = mode;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchThirdBpData other = (WatchThirdBpData) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getSbp() == null ? other.getSbp() == null : this.getSbp().equals(other.getSbp()))
//            && (this.getDbp() == null ? other.getDbp() == null : this.getDbp().equals(other.getDbp()))
//            && (this.getHr() == null ? other.getHr() == null : this.getHr().equals(other.getHr()))
//            && (this.getPulse() == null ? other.getPulse() == null : this.getPulse().equals(other.getPulse()))
//            && (this.getMode() == null ? other.getMode() == null : this.getMode().equals(other.getMode()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getSbp() == null) ? 0 : getSbp().hashCode());
//        result = prime * result + ((getDbp() == null) ? 0 : getDbp().hashCode());
//        result = prime * result + ((getHr() == null) ? 0 : getHr().hashCode());
//        result = prime * result + ((getPulse() == null) ? 0 : getPulse().hashCode());
//        result = prime * result + ((getMode() == null) ? 0 : getMode().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", sbp=").append(sbp);
//        sb.append(", dbp=").append(dbp);
//        sb.append(", hr=").append(hr);
//        sb.append(", pulse=").append(pulse);
//        sb.append(", mode=").append(mode);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
