package com.fs.watch.domain.vo;

import lombok.Data;

@Data
public class AppWatchSleepDataVo extends WatchSleepDataVo {
    /**
     * 清醒次数
     */
    private Integer weakTime;

    /**
     * 夜间睡眠时间(深睡+浅睡)
     */
    private Integer sleepCount;

    /**
     * 深睡连续性 得分(百分制)
     */
    private Integer deepScore;

    /**
     *
     * 深睡比例 28%
     */
    private Integer deepScale;

    /**
     * 浅睡比例 46%
     */
    private Integer lightScale;

    /**
     * 快速眼动比例 26%
     */
    private Integer eyemoveScale;

    /**
     * 呼吸质量 得分(百分制)
     */
    private Integer breathScore;
}
