package com.fs.watch.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class WatchContinuousSpo2DataVo {
    /**
     * 主键id
     */
    private String id;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     * 血氧数据集合
     */
    private List<Integer> spo2;

    /**
     * 心率数据集合
     */
    private List<Integer> hr;

    /**
     * 灌注指数集合
     */
    private List<Integer> perfusion;

    /**
     * 触碰数据集合
     */
    private List<Integer> touch;

//    /**
//     * 血氧状态 0:正常 1:过高 2:过低
//     */
//    private List<Integer> status;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date createTime;
}
