package com.fs.watch.domain.vo;

import com.fs.watch.domain.WatchDeviceInfo;
import lombok.Data;

import java.util.List;

@Data
public class WatchDeviceInfoVo extends WatchDeviceInfo {
    /** 所属公司名字 */
    private String  companyName;
    /** 所属员工名字 */
    private String  companyUserName;
    /** 所属医生名字 */
    private String  doctorName;
    /** 设备状态输出   */
    private String statusOut;
    /** 生命状态输出   */
    private String lifeStatusOut;
    private String  location;

    private List<WatchLastHealthDataVo> lastHealthData;

    private String isNormal;

    /**
     * 腕表用户名字
     */
    private String watchUserName;
}
