package com.fs.watch.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class WatchFsUserVo {
    /** 用户id */
    private Long userId;
    @Excel(name = "帐号")


    /**性别 0:未知 1:男 2:女*/
    private Integer sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;

    /** 年龄 */
    private Integer age;



    private Integer isDel;


//    private Long companyId;


    /** 身高(单位:厘米) */
    private Integer height;

    /** 体重(单位:千克) */
    private Integer weight;

    /** 目标步数 */
    private String targetStep;

    /** 目标卡路里 */
    private String targetCalorie;

    /** 预警设备id(自己) */
    private List<String> deviceId;

    /** 其余预警设备 */
    private String otherDevice;



    /** 监测数据类型排序 */
    private String monitorDataTypeOrder;
}
