package com.fs.watch.domain.vo;

import com.fs.watch.domain.WatchUser;
import lombok.Data;

@Data
public class WatchUserAndHealthVo {
    // 无参构造方法
    public WatchUserAndHealthVo() {
    }
    public WatchUserAndHealthVo(WatchUserAndHealthVo other) {
        if (other != null) {
            this.userId = other.userId;
            this.deviceId = other.deviceId;
            this.healthRecordId = other.healthRecordId;
            this.healthHistory = other.healthHistory;
        }
    }

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 设备id
     */
    private String deviceId;

    /**
     * 健康档案记录id
     */
    private Long healthRecordId;

    /**
     * 健康记录
     */
    private String healthHistory;

}
