package com.fs.watch.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class WatchUserAndMedicationVo {
    private Long userId;
    private String deviceId;

    /** 主键id */
    private Long id;

    /** 套餐订单id */
    private Long packageOrderId;


    /** 套餐id */
    private Long packageId;

    /** 商品id */
    private Long productId;

    /** 产品名称 */
    private String productName;

    /** 使用频率单位 */
    private Integer usageFrequencyUnit;

    /** 应提醒次数 */
    private Integer requiredNum;

    /** 实际提醒次数 */
    private Integer actualNum;

    /** 当天实际提醒次数 */
    private Integer dayActualNum;


    /** 提醒状态:0 未开始 1提醒中 2已完成 */
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
