package com.fs.watch.mapper;

import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.watch.domain.WatchDeviceStatus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * 设备原始回传信息记录(WatchDeviceStatus)表数据库访问层
 *
 * @author makejava
 * @since 2024-12-17 15:11:06
 */
@DataSource(DataSourceType.CLICKHOUSE)
public interface WatchDeviceStatusMapper {


    /**
     * 新增数据
     *
     * @param data 实例对象
     * @return 影响行数
     */
    int insert(@Param("data") WatchDeviceStatus data);

    Integer queryByCreateTime(@Param("eventtime") String eventtime);


    WatchDeviceStatus getLastByDeviceId(@Param("deviceId")String deviceId);
}

