package com.fs.watch.mapper;

import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.watch.domain.WatchMultiLeadsEcgData;
import org.apache.ibatis.annotations.Param;

/**
* @author Administrator
* @description 针对表【watch_multi_leads_ecg_data(设备多导联心电图数据)】的数据库操作Mapper
* @createDate 2024-10-15 11:06:51
* @Entity watch.domain.WatchMultiLeadsEcgData
*/
public interface WatchMultiLeadsEcgDataMapper{
    @DataSource(DataSourceType.CLICKHOUSE)
    void insert(@Param("data")WatchMultiLeadsEcgData data);

    @DataSource(DataSourceType.CLICKHOUSE)
    Integer queryByCreateTime(@Param("createTime")String createTime);

    @DataSource(DataSourceType.CLICKHOUSE)
    WatchMultiLeadsEcgData getLastByDeviceId(String deviceId);
}
