package com.fs.watch.mapper;

import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.watch.domain.WatchPpgData;
import org.apache.ibatis.annotations.Param;

/**
* @author Administrator
* @description 针对表【watch_ppg_data(设备血糖数据)】的数据库操作Mapper
* @createDate 2024-10-15 11:06:51
* @Entity watch.domain.WatchPpgData
*/
public interface WatchPpgDataMapper{

    @DataSource(DataSourceType.CLICKHOUSE)
    Integer queryByCreateTime(@Param("createTime")String createTime);

    @DataSource(DataSourceType.CLICKHOUSE)
    void insert(@Param("data")WatchPpgData data);

    @DataSource(DataSourceType.CLICKHOUSE)
    WatchPpgData getLastByDeviceId(String deviceId);
}
