package com.fs.watch.param;

import lombok.Data;


@Data
public class WatchDeviceInfoQueryParam extends BaseQueryParam{

    /**
     * 公司id
     */
    private Long companyId;


    /**
     * 所属员工id
     */
    private Long companyUserId;

    /**
     * 所属医生id
     */
    private Long doctorId;

    /**
     * 所属医生名字
     */
    private String doctorName;

    /**
     * 设备编号
     */
    private String deviceNumber;


    /**
     * 设备状态
     */
    private Integer status;


    /**
     * 生命状态
     */
    private Integer lifeStatus;

    /**
     * 电量
     */
    private Integer battery;

    /**
     * 信号
     */
    private Integer rssi;

    /**
     * 腕表用户名字
     */
    private String watchUserName;

}
