package com.fs.watch.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class WatchFamilyUserEditParam {
    private String deviceId;
    private String phone;
    private Integer sex;
    private Integer height;
    private Integer weight;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;
    private String targetStep;
    private String targetCalorie;
    /**
     * 目标运动时长
     */
    private String targetSport;
    /**
     * 目标活动时长
     */
    private String targetActivity;
    /** 监测数据类型排序 */
    private String monitorDataTypeOrder;

    /** 昵称 */
    private String nickName;
}
