package com.fs.watch.service;

import com.fs.watch.domain.WatchDeviceBeginnerGuide;

import java.util.List;

public interface WatchDeviceBeginnerGuideService {
    /**
     * 查询新手引导
     *
     * @param id 新手引导主键
     * @return 新手引导
     */
    public WatchDeviceBeginnerGuide selectDeviceBeginnerGuideById(Long id);

    /**
     * 查询新手引导列表
     *
     * @param deviceBeginnerGuide 新手引导
     * @return 新手引导集合
     */
    public List<WatchDeviceBeginnerGuide> selectDeviceBeginnerGuideList(WatchDeviceBeginnerGuide deviceBeginnerGuide);

}
