package com.fs.watch.service;

import com.fs.common.core.page.TableDataInfo;
import com.fs.watch.domain.WatchDeviceInfoClic;
import com.fs.watch.domain.vo.WatchDeviceInfoAndIotVo;
import com.fs.watch.domain.vo.WatchDeviceInfoVo;
import com.fs.watch.param.DeviceIdAndIotInfoQueryParam;
import com.fs.watch.param.WatchDeviceInfoClicParam;
import com.fs.watch.param.WatchDeviceInfoQueryParam;

import java.util.List;

/**
 * 设备原始回传信息记录(WatchDeviceInfo)表服务接口
 *
 * @author makejava
 * @since 2024-12-17 15:11:05
 */
public interface WatchDeviceInfoClicService {
    /**
     * 新增数据
     *
     * @param watchDeviceInfo 实例对象
     * @return 实例对象
     */
    Boolean insert(WatchDeviceInfoClic watchDeviceInfo);

    TableDataInfo getDeviceIdAndIotInfo(DeviceIdAndIotInfoQueryParam param);

    List<WatchDeviceInfoClic> selectWatchDeviceInfoClicList(WatchDeviceInfoClicParam param);
}
