package com.fs.watch.service;

import com.fs.watch.domain.WatchEcgData;

import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_ecg_data(设备心电数据，一次测量会分成很多包上传，同一次测量的心电数据包时间是一样的，可以通过时间分辨每一次测量的数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:50
*/
public interface WatchEcgDataService{
    Boolean insert(WatchEcgData watchEcgData);

    Map<String,Object> queryByDateAndDeviceId(String date, String deviceId);
}
