package com.fs.watch.service;

import com.fs.watch.domain.FsMonitorDataType;

import java.util.List;

public interface WatchMonitorDataTypeService {
    /**
     * 查询app-健康监测数据类型
     *
     * @param id app-健康监测数据类型主键
     * @return app-健康监测数据类型
     */
    public FsMonitorDataType selectFsMonitorDataTypeById(String id);

    /**
     * 查询app-健康监测数据类型列表
     *
     * @param fsMonitorDataType app-健康监测数据类型
     * @return app-健康监测数据类型集合
     */
    public List<FsMonitorDataType> selectFsMonitorDataTypeList(FsMonitorDataType fsMonitorDataType);


    List<FsMonitorDataType> selectFsMonitorDataTypeByIds(String ids);
}
