package com.fs.wxUser.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 个微用户对象 company_wx_user
 * 
 * @author fs
 * @date 2024-10-22
 */
@Data
public class CompanyWxUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 所属销售ID */
    @Excel(name = "所属销售ID")
    private Long companyUserId;

    /** 所属销售ID */
    @Excel(name = "账号ID")
    private Long accountId;

    /** 微信昵称 */
    @Excel(name = "微信昵称")
    private String nickName;

    /** 微信号 */
    @Excel(name = "微信号")
    private String weixinId;

    /** 状态 1正常 0禁用 */
    @Excel(name = "状态 1正常 0禁用")
    private Integer status;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    private String groupId;

    private Long fsUserId;
}
