package com.fs.wxwork.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 数据DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxWorkInitRespDTO implements Serializable {
    /**
     * uuid是这个账号生命周期内一直用到的，用来操作哪个账号执行接口功能的。
     */
    private String uuid;

    /**
     * 是否登录
     */
    private String is_login;
}
