package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 请求响应DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxWorkResponseDTO<T> {

    /**
     * 错误码,0表示成功
     */
    private Integer errcode;

    /**
     * 错误信息, ok表示成功
     */
    private String errmsg;

    /**
     * 数据
     */
    private T data;

}
