package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxwGetExternalContactsDTO {
    /**
     * 唯一标识符
     */
    private String uuid;
    /**
     * 每次返回数量
     * <p>
     * 限制每次查询返回的数据条数。
     * </p>
     */
    private Integer limit;
    /**
     * 查询下标
     * <p>
     * 用于指示查询的起始位置，类似于页码。
     * 数据返回时，会填写返回的seq，客户端在下一次查询时应使用此值。
     * 如果返回为空，则表示查询已完成，没有更多数据。
     * </p>
     */
    private String strSeq;

}
