package com.fs.wxwork.dto;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 获取运行中的实例 响应DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwGetRunClientRespDTO implements Serializable {

    private static final long serialVersionUID = 1L;

     /**
      *  key:userid
      */
    private Map<String,ClientInfo> data;


    @Data
    public static class ClientInfo implements Serializable{
         /**
          * 是否登录
          */
         private Boolean isLogin;
         /**
          * 客户端ID
          */
         private String clientId;
         /**
          * 更新时间
          */
         private Long updateTime;
         /**
          * 用户ID
          */
         private Long userid;
         /**
          * UUID
          */
         private String uuid;
         /**
          * 请求URL
          */
         private String requrl;
         /**
          * 用户对象信息
          */
         private JSONObject object;
    }

}

