package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxwSecondaryValidationRespDTO {
    /**
     * 二维码图片链接
     * <p>
     * 指向二维码图片的URL地址。
     * </p>
     */
    private String qrcode;
    /**
     * 过期时间（TTL）
     * <p>
     * 二维码的有效时间，单位为秒。
     * </p>
     */
    private Integer Ttl;
    /**
     * 密钥
     * <p>
     * 用于验证或加密二维码的密钥。
     * </p>
     */
    private String Key;

}
