package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送名片消息请求参数 DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendBusinessCardMsgDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要发送的人或群id
     */
    private Long send_userid;

    /**
     * 是否是群消息
     */
    private Boolean isRoom;

     /**
     *  头像
     */
    private String headImg;

    /**
     * 用户名
     */
     private String username;
}
