package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送名片消息返回结果 DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendBusinessCardMsgRespDTO {

    /**
     * 接收者id
     */
    private Long receiver;

    /**
     *  头像
     */
    private String headImg;

    /**
     * 发送者名称
     */
    private String sender_name;

    /**
     * 是否是群消息(0-否,1-是)
     */
    private Integer is_room;

    /**
     * 服务器id
     */
    private Long server_id;

    /**
     * 发送者id
     */
    private Long sender;

    /**
     * 昵称
     */
    private String nickname;
    /**
     * 发送时间
     */
    private Long sendtime;

    /**
     * 来源信息
     */
     private String app_info;

    /**
     * 消息id
     */
    private Long msg_id;

    /**
     * 消息类型
     */
    private Integer msgtype;
    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 企业id
     */
    private Long corp_id;

    /**
     * 用户名
     */
     private Long username;
}
