package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送大视频文件请求参数 DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendCDNBigVideoMsgDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要发送的人或群id
     */
    private long send_userid;

    /**
     * 是否是群消息
     */
    private boolean isRoom;

    /**
     *
     */
    private String cdnkey;
    /**
     * 文件名称
     */
    private  String file_name;
    /**
     * md5
     */
    private  String md5;

    /**
     * video_duration
     */
    private Integer video_duration;

    /**
     * 文件大小
     */
    private  long fileSize;

    /**
     * 视频封面图
     */
    private String imgurl;
}
