package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送大视频文件返回结果 DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendCDNBigVideoMsgRespDTO {

    /**
     * 接收者
     */
    private Long receiver;

    /**
     * cdn_Key
     */
    private String cdn_Key;

    /**
     * 发送者名称
     */
    private String sender_name;

    /**
     * 文件名
     */
    private String file_name;

    /**
     * 是否为群消息
     */
    private Integer is_room;

    /**
     * 服务器ID
     */
    private Long server_id;

    /**
     * 大小
     */
    private Integer size;
    /**
     * app信息
     */
    private String app_info;

    /**
     * 发送者
     */
    private Long sender;

    /**
     * aes_key
     */
    private String aes_key;

    /**
     * 发送时间
     */
    private Long sendtime;

    /**
     * 消息ID
     */
    private Long msg_id;

    /**
     * 消息类型
     */
    private Integer msgtype;

    /**
     * MD5
     */
    private String md5;
}
