package com.fs.wxwork.dto;
import lombok.Data;

/**
 * 发送CDN图片消息 返回结果DTO
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendCDNImgMsgRespDTO {
    /**
     * 接收者
     */
    private Long receiver;

    /**
     * cdn_key
     */
    private String cdn_key;
    /**
     * 文件名
     */
    private  String file_name;

    /**
     * 发送者昵称
     */
    private String sender_name;

    /**
     * 是否群消息 0-否  1-是
     */
    private Integer is_room;

    /**
     * 服务器消息id
     */
     private Long server_id;

    /**
     * 文件大小
     */
    private Long size;

    /**
     * app信息
     */
    private String app_info;
    /**
     * 发送者
     */
    private Long sender;
    /**
     * aes key
     */
    private String aes_key;
    /**
     * 发送时间
     */
    private Long sendtime;
    /**
     * 消息id
     */
    private Long msg_id;
    /**
     * 消息类型
     */
    private Integer msgtype;

    /**
     * md5
     */
    private String md5;

}
