package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送CDN视频消息 请求DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendCDNVideoMsgDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要发送的人或群id
     */
    private Long send_userid;

    /**
     * 是否是群消息
     */
    private Boolean isRoom;

    /**
     * cdnkey
     */
    private String cdnkey;

    /**
     * aeskey
     */
    private String aeskey;

    /**
     * md5
     */
    private String md5;

    /**
     * 视频时长
     */
    private Integer video_duration;

    /**
     * 视频缩略图长度
     */
    private Integer video_img_size;

    /**
     * 文件大小
     */
    private Integer fileSize;
}
