package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送gif表情请求参数 DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendEmotionMessageDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要发送的人或群id
     */
    private Long send_userid;

    /**
     * 是否是群消息
     */
    private Boolean isRoom;

    /**
     * 图片URL
     */
    private  String imgurl;
    /**
     * 表情类型 1静态 2动态
     */
    private Integer emotionType;
}
