package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送gif表情返回结果 DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendEmotionMessageRespDTO {

    /**
     * 接收者ID
     */
    private Long receiver;

    /**
     * 发送者ID
     */
    private Long sender;

     /**
     * 发送者name
     */
    private String sender_name;

    /**
     * 表情类型
     */
    private String EmotionType;

    /**
     * 是否群消息
     */
    private Integer is_room;

    /**
     * 发送时间
     */
    private Long sendtime;

    /**
     * 消息ID
     */
    private Long msg_id;

    /**
     * app info
     */
    private String app_info;

     /**
     * 服务端id
     */
    private Long server_id;
    /**
     * 消息类型
     */
    private Integer msgtype;

    /**
     * 图片URL
     */
    private String url;
}
