package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送位置消息响应DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendLocationMsgRespDTO {

    /**
     * 详细地址
     */
    private String detailed_address;

    /**
     * 地址
     */
    private String address;

    /**
     * 接收者
     */
    private Long receiver;

    /**
     * 发送者
     */
    private Long sender;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 发送者名称
     */
    private String sender_name;

    /**
     * 应用信息
     */
    private String app_info;

    /**
     * 是否群消息 0-否 1-是
     */
    private Integer is_room;

    /**
     * 发送时间
     */
    private Long sendtime;

    /**
     * 消息ID
     */
    private Long msg_id;

    /**
     * 服务器ID
     */
    private Long server_id;

    /**
     * 消息类型
     */
    private Integer msgtype;

    /**
     * 经度
     */
    private Double longitude;
}
