package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 同步消息记录 返回结果DTO
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSyncAllDataRespDTO {

    /**
     * 这个参数是判断是否还需要进行消息遍历 1代表没有遍历完还需要进行遍历 0则是遍历完成不需要进行下一步的遍历
     */
    private Integer isSelect;

    /**
     * 下次调用传这个seq，和其他功能接口的seq同一个意思。
     */
    private Integer seq;

    /**
     * 消息记录查询完成，已经分发到消息回调中，请在回调中处理离线消息
     */
    private String content;
}

