package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

@Data
public class FsUserEditUnionidParam implements Serializable {

    @NotBlank(message = "手机号不能为空")
    private String phone;
    @NotNull(message = "code参数缺失")
    private String code;

    private String loginDevice;
    private String source;

    private String jpushId;


}
