package com.fs.app.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FsUserLoginByMpParam implements Serializable {
    @NotBlank(message = "code参数缺失")
    private String code;
    private Long videoId;

    @NotNull(message = "公司id不能为空")
    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @NotNull(message = "销售id不能为空")
    @ApiModelProperty(value = "销售id")
    private Long companyUserId;
}
