package com.fs.course.param;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Getter
@Setter
public class FsUserEditParam implements Serializable {

    @NotBlank(message = "头像不能为空")
    private String avatar;
    @NotBlank(message = "昵称不能为空")
    private String nickName;
    @NotBlank(message = "手机号不能为空")
    private String phone;
    @NotNull(message = "性别不能为空")
    private Integer sex;
    private Integer isWeixinAuth;

}
