package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

@Data
public class FsUserEditPhoneParam implements Serializable {

    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp="^1[3456789]\\d{9}$",message="手机号格式不正确")
    private String phone;
    @NotNull(message = "unionId不能为空")
    private String unionId;
}
