package com.fs.app.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class WatchUserEditParam implements Serializable {
    private Integer sex;
    private Integer height;
    private Integer weight;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;
    private String targetStep;
    private String targetCalorie;
    /**
     * 目标运动时长
     */
    private String targetSport;

    /**
     * 目标活动时长
     */
    private String targetActivity;
    private String otherDevice;
    /** 监测数据类型排序 */
    private String monitorDataTypeOrder;
    private String nickName;
}
