package com.fs.watch.controller;

import com.fs.common.core.domain.AjaxResult;
import com.fs.watch.domain.WatchAccelerometerData;
import com.fs.watch.service.WatchAccelerometerDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/watch/accelerometer")
public class WatchAccelerometerDataController {
    @Autowired
    private WatchAccelerometerDataService watchAccelerometerDataService;

    @PostMapping("/insert")
    public AjaxResult insertAccelerometerData(@RequestBody WatchAccelerometerData data){
        return AjaxResult.success(watchAccelerometerDataService.insert(data));
    }
}
