package com.fs.watch.controller;

import com.fs.common.core.domain.AjaxResult;
import com.fs.watch.domain.WatchDeviceStatus;
import com.fs.watch.service.WatchDeviceStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/watch/status")
public class WatchDeviceStatusController {
    @Autowired
    private WatchDeviceStatusService watchDeviceStatusService;

    @PostMapping("/insert")
    public AjaxResult insert(@RequestBody WatchDeviceStatus data){
        return AjaxResult.success(watchDeviceStatusService.insert(data));
    }
}
