package com.fs.watch.controller;

import com.fs.common.core.domain.AjaxResult;
import com.fs.watch.domain.WatchMultiLeadsEcgData;
import com.fs.watch.service.WatchMultiLeadsEcgDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/watch/multiLeads/ecg")
public class WatchMultiLeadsEcgDataController {
    @Autowired
    private WatchMultiLeadsEcgDataService watchMultiLeadsEcgDataService;

    @PostMapping("/insert")
    public AjaxResult insertMultiLeadsEcg(@RequestBody WatchMultiLeadsEcgData data){
        return AjaxResult.success(watchMultiLeadsEcgDataService.insert(data));
    }
}
