package com.fs.watch.controller;

import com.fs.common.core.domain.AjaxResult;
import com.fs.watch.domain.WatchPpgData;
import com.fs.watch.service.WatchPpgDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/watch/ppg")
public class WatchPpgDataController {
    @Autowired
    private WatchPpgDataService watchPpgDataService;

    @PostMapping("/insert")
    public AjaxResult insertPpgData(@RequestBody WatchPpgData data){
        return AjaxResult.success(watchPpgDataService.insert(data));
    }
}
