package com.fs.ad.controller;

import com.fs.ad.service.IAdAccountService;
import com.fs.common.core.controller.BaseController;
import com.fs.common.core.domain.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 站点管理Controller
 * 
 * @author fs
 * @date 2025-03-04
 */
@RestController
@RequestMapping("/ad/adAccount")
public class AdAccountController extends BaseController
{
    @Autowired
    private IAdAccountService adAccountService;

    @GetMapping("/listAll")
    public R listAll(){
        return R.ok().put("data", adAccountService.listAll());
    }

}
