package com.fs.app.config;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Getter
@Configuration
public class ImageStorageConfig {

    // 直接返回配置的路径
    @Value("${image.storage.local-path}")
    private String localPath;

    @Value("${image.storage.server-path}")
    private String serverPath;

}
