package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class CompanyUserChangeApplyParam {
    /**
     * 原归属销售
     */
    @NotNull(message = "原归属销售ID不能为空")
    private Long from;
    /**
     * 申请归属销售
     */
    @NotNull(message = "申请更换归属销售ID不能为空")
    private Long to;
    /**
     * 类型  0全部 1部分
     */
    @NotNull(message = "类型不能为空")
    private Integer type;
    /**
     * 需更换归属会员id集合
     */
    private List<Long> ids;
}
