package com.fs.app.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
public class FsUserTagUpdateParam {
    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID集合")
    @NotEmpty(message = "用户ID不能为空")
    private List<Long> fsUserIds;
    /**
     * 标签ID
     */
    @ApiModelProperty("标签ID集合")
    private List<Long> tagIds;
}
