package com.fs.app.vo;

import com.fs.company.domain.CompanyUser;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
public class CompanySubUserVO extends CompanyUser {
    /**
     * 今日观看人数
     */
    private Integer todayWatchCount;
    /**
     * 今日完播人数
     */
    private Integer todayFinishCount;
    /**
     * 今日完播率
     */
    private BigDecimal todayFinishRate;
    /**
     * 今日红包金额
     */
    private BigDecimal todayRedPacketAmount;
    /**
     * 审核状态
     */
    private Integer applyStatus;
}
