package com.fs.app.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class UserVO {
    String nickName;
    String firstLetter;
    String deptName;
    Long deptId;
    Long userId;
    String avatar;

    // 注册时间
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate registerTime;
    // 禁用状态 0正常 1停用
    private String status;
    // 电话号码
    private String phoneNumber;
    // 审核状态 0未审核 1已审核
    private Integer isAudit;
    // 岗位
    private List<UserPostVO> post;
    // 角色
    private List<CompanyRoleVO> roles;
}
