package com.fs.company.controller.ks;

import com.fs.ksApi.ksApiService;
import com.fs.ksApi.param.ActivationParam;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/ks/conversion")
public class ksConversion {

    private ksApiService conversionDataService;
    /**
     * 发送单个转换数据
     *
     * @param activationParam 转换类型
     * @return 是否发送成功
     */
    @PostMapping("/single")
    public void sendSingleConvertData(@RequestBody ActivationParam activationParam) {
        conversionDataService.sendActivationRequest(activationParam);
    }
}
