package com.fs.app.params;

import lombok.Data;

import java.io.Serializable;

@Data
public class SendSopParamDetails implements Serializable {

    /**
    * QwSopLog的主键
    */
    private String sopLogId;
    /**
    * 员工的id
    */
    private String qwUserid;

    /**
    * 客户的id
    */
    private String externalUserId;


    /**
     * 内容类型 文字 图片
     */
    private int contentType;

    /**
     * 消息内容
     */
    private String value;

    /**
     *  内容类型是图片时的 图片url
     */
    private String imgUrl;

    /**
     * 链接标题
     */
    private String linkTitle;

    /**
     * 链接描述
     */
    private String linkDescribe;

    /**
     * 链接封面
     */
    private String linkImageUrl;

    /**
     * 链接url
     */
    private String linkUrl;
    /**
    * 文件
    */
    private String fileUrl;
    /**
    * 视频
    */
    private String videoUrl;

}
