package com.fs.ad.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 广告域名对象 ad_domain
 *
 * @author fs
 * @date 2025-03-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdDomain extends BaseEntity{

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 域名 */
    @Excel(name = "域名")
    private String domain;


}
