package com.fs.ad.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 抖音账户对象 ad_dy_account
 *
 * @author 吴树波
 * @date 2025-05-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdDyAccount extends BaseEntity{

    /** id */
    private Long id;

    /** 账户ID */
    @Excel(name = "账户ID")
    private Long advertiserId;

    /** 账户ID 字符类型 */
    @Excel(name = "账户ID 字符类型")
    private String accountStringId;

    /** 账户名称 */
    @Excel(name = "账户名称")
    private String advertiserName;

    /** 授权有效性 */
    @Excel(name = "授权有效性")
    private Long isValid;

    /** 新版账号角色 */
    @Excel(name = "新版账号角色")
    private String accountRole;


}
