package com.fs.ad.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 站点管理对象 ad_site
 *
 * @author fs
 * @date 2025-03-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdSite extends BaseEntityTow {

    /** 模板ID */
    @Excel(name = "名称")
    private String name;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long templateId;

    /** 投流类型 */
    @Excel(name = "投流类型")
    private Integer type;

    /** 账号ID */
    @Excel(name = "账号ID")
    private Long accountId;
    /** 账号ID */
    @Excel(name = "域名ID")
    private Long domainId;

    /** 链接 */
    @Excel(name = "链接")
    private String url;


    @Excel(name = "获客链接")
    private Long workId;


    @TableField(exist = false)
    private String templateName;
    @TableField(exist = false)
    private String accountName;
    @TableField(exist = false)
    private String domain;
    @TableField(exist = false)
    private String workUrl;
    @TableField(exist = false)
    private String linkName;

}
