package com.fs.aiChat.param;

import com.fs.his.param.BaseParam;
import lombok.Data;

@Data
public class QwSopParam  extends BaseParam {

    /**
    * 登录人userid (不传)
    */
    private Long userId;
    /**
    * 公司id(不传)
    */
    private Long companyId;
    private String corpId;
    /**
    * qw_user主键 (不传)
    */
    private Long qwUserId;
    /**
    * 企业微信用户id (不传)
    */
    private String qwQwUserID;

    /**
    * 发送类型(不传) 1 定时发送 2 AI发送
    */
    private Integer sendType;


    /**
     * 发送(给成员)状态 0发送失败 1发送成功 3待发送
     */
    private Long sendStatus;

    /**
     *  接收(客户的)状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败
     */
    private Long receivingStatus;

    private Long sopId;


}

