package com.fs.aiChat.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class QwSopListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 类别 1个人 2群 */
    @Excel(name = "类别 1个人 2群")
    private Long type;

    /** qw_user主表的主键 */
    @Excel(name = "qw_user主表的主键")
    private String qwUserIds;

    /** 规则 */
    @Excel(name = "规则")
    private String setting;

    private Long companyId;

    /**
    * 发送类型 1定时接口发送 2 Ai接口发送
    */
    private Long sendType;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
