package com.fs.aicall.domain.result;

import com.fs.aicall.domain.BaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class QueryCallTaskInfoResult extends BaseDomain {

    private String taskID;
    private String taskName;
    /** 呼叫任务预计呼叫总数 */
    private String calleeAmount;
    /** 呼叫任务已呼叫数 */
    private String calledAmount;
    /** 呼叫任务剩余呼叫数 */
    private String calleeResidue;
    /**
     * 呼叫任务状态
     * 0-未启动
     * 1-运行中
     * 2-已暂停
     * 3-已停止
    */
    private String runningStatus;

}
