package com.fs.aicall.domain.result;

import com.fs.aicall.domain.BaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class getDialogMapResult extends BaseDomain {

    private String intention;
    private String createTime;
    private String answerTime;
    private String uuid;
    private String callerNum;
    private String calleeNum;
    private List<ContentList> contentList;
    private String recordPath;


    @Data
    static class ContentList{
        private String side;
        private String id;
        private String recordURL;
        private String createTime;
        private String text;
    }
}
