package com.fs.baidu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 百度账号对象 bd_account
 *
 * @author fs
 * @date 2025-01-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BdAccount extends BaseEntityTow {


    /** 账户ID */
    private Long apiId;
    @Excel(name = "账户ID")
    private Long accountId;

    /** 账户名称 */
    @Excel(name = "账户名称")
    private String accountName;

    /** 所属用户 */
    @Excel(name = "所属用户")
    private Long userId;
    /** 所属用户 */
    @Excel(name = "部门ID")
    private Long deptId;
    /** 所属用户 */
    @Excel(name = "token")
    private String token;
    /** 所属用户 */
    @Excel(name = "loading")
    private Integer loading;

    @TableField(exist = false)
    private String userName;
    @TableField(exist = false)
    private boolean sync;
    @TableField(exist = false)
    private long planCount;
    @TableField(exist = false)
    private long unitCount;
    @TableField(exist = false)
    private long creativeCount;

}
