package com.fs.bdAdv.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.core.domain.BaseEntity;
import com.fs.crm.param.BaseQueryParam;
import com.fs.his.param.BaseParam;
import lombok.Data;

import java.util.Date;

@Data
public class FsAdvSemStatisticsByDayParam extends BaseQueryParam {
    private String dateMax;
    private String dateMin;
    private Integer advType;
    private Integer totalCountMax;
    private Integer totalCountMin;
    private Integer activationCountMax;
    private Integer activationCountMin;
    private Integer registrationCountMax;
    private Integer registrationCountMin;
    private Integer jumpCountMax;
    private Integer jumpCountMin;
    private Integer bindingCountMax;
    private Integer bindingCountMin;
    private Integer activationRateMax;
    private Integer activationRateMin;
    private Integer registrationRateMax;
    private Integer registrationRateMin;
    private Integer jumpRateMax;
    private Integer jumpRateMin;
    private Integer bindingRateMax;
    private Integer bindingRateMin;
}
