package com.fs.chat.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 客户对象 chat_user
 *
 * @author fs
 * @date 2024-05-11
 */
@Data
public class ChatUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long userId;

    /** 微信客户 external_userid */
    @Excel(name = "微信客户 external_userid")
    private String externalUserid;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickname;

    /** 性别 */
    @Excel(name = "性别")
    private Integer gender;

    /** unionid */
    @Excel(name = "unionid")
    private String unionid;

}
