package com.fs.chat.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class ChatMsgLogsListCVO implements Serializable {
    private Long logsId;

    @Excel(name = "用户")
    private String nickName;//用户昵称
    private String userId;
    @Excel(name = "客服")
    private String roleName;
    @Excel(name = "提问内容")
    private String userContent;
    @Excel(name = "原回答内容")
    private String sContent;

    /** msgId */
    private Long msgId;

    /** 类型 1标记正确 2修改回复 */
    @Excel(name = "类型 1标记正确 2修改回复")
    private Integer logsType;

    /** 修改后内容 */
    @Excel(name = "修改后内容")
    private String content;

    /** 用户ID */
    private Long companyUserId;

    @Excel(name = "修改人")
    private String companyUserName; //修改人

    private String createBy;

    private String companyName;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
