package com.fs.company.cache;


import com.fs.company.domain.Company;

public interface ICompanyCacheService {
    /**
     * 查询企业
     *
     * @param companyId 企业ID
     * @return 企业
     */
    public Company selectCompanyById(Long companyId);

    /**
     * 查询企业名称
     *
     * @param companyId 企业ID
     * @return 企业名称
     */
    String selectCompanyNameById(Long companyId);
}
