package com.fs.company.domain;

import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 域名管路对象 company_domain
 *
 * @author fs
 * @date 2025-06-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CompanyDomain extends BaseEntity{

    /** 域名id */
    private Long id;

    /** 域名 */
    private String domain;

    /** 状态（1未启用、2启用） */
    private Long status;


}
