package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 域名绑定销售公司对象 company_domain_bind
 *
 * @author fs
 * @date 2025-06-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CompanyDomainBind extends BaseEntity{

    /** 域名绑定中间表 */
    private Long id;

    /** 销售公司ID */
    @Excel(name = "销售公司ID")
    private Long companyId;

    /** 绑定域名ID */
    @Excel(name = "绑定域名ID")
    private Long domainId;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;


}
