package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 企业域名分配中间表对象 company_domain_bind_user
 *
 * @author fs
 * @date 2025-06-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CompanyDomainBindUser extends BaseEntity{

    /** 中间表id */
    private Long id;

    /** 企业销售id */
    @Excel(name = "企业销售id")
    private Long companyUserId;

    /** 中间表id */
    @Excel(name = "中间表id")
    private Long bindId;


}
