package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import lombok.Data;

/**
 * 任务外呼电话对象 company_voice_robotic_callees
 * 
 * @author fs
 * @date 2024-12-04
 */
@Data
public class CompanyVoiceRoboticCallees{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 电话号码 */
    @Excel(name = "用户名称")
    private String userName;

    /** 电话号码 */
    @Excel(name = "电话号码")
    private String phone;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long roboticId;

    /** 变量列表;TTS变量字段，变量使用#拼接 */
    @Excel(name = "变量列表;TTS变量字段，变量使用#拼接")
    private String params;

    @Excel(name = "对话图uuid")
    private String uuid;

    @Excel(name = "意向")
    private String intention;
    @Excel(name = "是否回调0否1是")
    private Integer result;
    @Excel(name = "通话记录")
    private String json;
}
