package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;

/**
 * AI外呼任务加微方式对象 company_voice_robotic_wx
 * 
 * @author fs
 * @date 2024-12-06
 */
@Data
public class CompanyVoiceRoboticWx extends BaseEntityTow {
    private static final long serialVersionUID = 1L;

    /** 意向 */
    @Excel(name = "意向")
    private String intention;

    /** 分配企微用户 */
    @Excel(name = "任务ID")
    private Long roboticId;

    /** 分配企微用户 */
    @Excel(name = "分配企微用户")
    private Long accountId;

    /** 加微话术 */
    @Excel(name = "加微话术")
    private Long wxDialogId;

    /** 分配数量 */
    @Excel(name = "分配数量")
    private Integer num;

    /** 添加数量 */
    @Excel(name = "添加数量")
    private Integer addNum;


    @TableField(exist = false)
    private String wxNickName;
    @TableField(exist = false)
    private String wxNo;
    @TableField(exist = false)
    private String phone;
    @TableField(exist = false)
    private String companyUserName;
    @TableField(exist = false)
    private String corpId;
    @TableField(exist = false)
    private String dialogName;
    @TableField(exist = false)
    private int indexNumber;
}
