package com.fs.company.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyUserChangeApplyUser;
import com.fs.company.vo.CompanyUserChangeApplyUserVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CompanyUserChangeApplyUserMapper extends BaseMapper<CompanyUserChangeApplyUser> {

    /**
     * 查询申请记录关联用户
     * @param applyId   申请记录ID
     * @return  list
     */
    List<CompanyUserChangeApplyUserVO> getApplyUsers(@Param("applyId") Long applyId);

    /**
     * 修改申请记录关联用户销售
     * @param applyId 申请记录ID
     */
    void changeUser(@Param("applyId") Long applyId);
}
