package com.fs.company.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;
import java.io.Serializable;

/**
 * 域名管路导入模板对象 CompanyDomainExportTemplateVo
 *
 * @author fs
 * @date 2025-06-16
 */
@Data
public class CompanyDomainExportTemplateVo implements Serializable {

    /**
     * 域名
     */
    @Excel(name = "域名", sort = 1,width = 30)
    private String domain;
    /**
     * 备注
     **/
    @Excel(name = "备注", sort = 2,width = 50)
    private String remark;
}
