package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CompanySmsLogsListVO implements Serializable
{

    /** ID */
    private Long logsId;

    @Excel(name = "公司名称")
    private String companyName;

    /** 公司ID */
    private Long companyId;

    /** 销售ID */
    private Long companyUserId;

    /** 客户ID */
    private Long customerId;
    private String customerName;

    /** 模板ID */
    private Long tempId;

    /** 模板CODE */
    @Excel(name = "模板CODE")
    private String tempCode;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 短信内容 */
    @Excel(name = "短信内容")
    private String content;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;
    /** 状态 */
    @Excel(name = "状态")
    private Integer status;
    @Excel(name = "MID")
    private String mid;
    @Excel(name = "状态码")
    private String stat;
    @Excel(name = "短信回复内容")
    private String replyContent;
    @Excel(name = "客户编码")
    private String customerNo;
    private String type;
}
