package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanyStoreOrderMoneyLogsVO implements Serializable
{

    /** ID */
    @Excel(name = "ID")
    private Long logsId;

    private Long companyId;
    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;
    @Excel(name = "公司")
    private String companyName;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "余额")
    private BigDecimal balance;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @Excel(name = "类型",dictType = "company_money_logs_type")
    private String logsType;
    private String businessId;



}
