package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanyTcmConsumeVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    @Excel(name = "档期id")
    private Long scheduleId;

    @Excel(name = "档期名称")
    private String scheduleName;

    @Excel(name = "公司id")
    private Long companyId;

    /** 公司id */
    @Excel(name = "公司名称")
    private String companyName;

    /** 消费金额 */
    @Excel(name = "消费金额")
    private BigDecimal money;

    /** 团队人数 */
    @Excel(name = "团队人数")
    private Integer cuCount;

    /** 创建者 */
    private String createUserId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateUserId;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
