package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanyVoiceLogsListVO implements Serializable
{

    /** ID */
    private Long voiceId;

    /** 公司名 */
    private Long companyId;

    /** 标题 */
    private String voiceTitle;

    /** 录音地址 */
    private String voiceUrl;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;

    /** 通话类型 */
    private Integer voiceType;

    /** 主叫 */
    private String callerPhone;

    /** 被叫 */
    private String calleePhone;

    /** 时长 */
    private Long times;

    private Long billingTime;

    /** 主叫显示号 */
    private String displayCallerNumber;

    /** 被叫显示号 */
    private String displayCalleeNumber;


    private String sessionId;


    private Long companyUserId;

    private Integer status;


}
