package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 完课模板对象 fs_course_finish_temp_parent
 *
 * @author 吴树波
 * @date 2025-05-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsCourseFinishTempParent extends BaseEntity{

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 课程ID */
    @Excel(name = "课程ID")
    private Long courseId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;


    @TableField(exist = false)
    private Long status;
    @TableField(exist = false)
    private String setting;
    @TableField(exist = false)
    private String chatSetting;
    @TableField(exist = false)
    private String companyUserIds;
    @TableField(exist = false)
    private Integer isAllCompanyUser;
}
