package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 题目分类对象 fs_course_question_category
 *
 * @author fs
 * @date 2025-04-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsCourseQuestionCategory extends BaseEntity{

    /** 题目分类表ID */
    @TableId(type = IdType.AUTO)
    private Long cateId;

    /** 父id */
    @Excel(name = "父id")
    private Long pid;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String cateName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isShow;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private String isDel;


}
