package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
public class FsCourseRealLink implements Serializable
{
    private Long companyId;


    private Long companyUserId;

    private Long qwUserId;


    private Long videoId;


    private String corpId;

    private Long courseId;

    private Long qwExternalId;

    private Integer linkType;

    private Long linkId;

    private String link;

    private Integer isRoom;
    private Long fsUserId;

    private Long periodId;

    @ApiModelProperty(value = "营期课程id")
    private Long id;

    private String chatId;
}
