package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 群发模板对象 fs_mess_temp
 *
 * @author fs
 * @date 2025-01-09
 */
@Data
public class FsMessTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String name;

    /** 状态 1正常 0停用 */
    @Excel(name = "状态 1正常 0停用")
    private Long status;

    /** 规则 */
    @Excel(name = "规则")
    private String setting;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 小节视频id */
    @Excel(name = "小节视频id")
    private Long videoId;

    private String sopUserLogId;

    /** 删除标志 */
    @Excel(name = "删除标志")
    private Long isDel;




}
