package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂分类对象 fs_user_course_category
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 课堂分类表ID */
    private Long cateId;

    /** 父id */
    @Excel(name = "父id")
    private Long pid;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String cateName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isShow;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private Integer isDel;

    private String pic;

}
