package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂点赞对象 fs_user_course_like
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseLike extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 点赞id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 课堂id */
    @Excel(name = "课堂id")
    private Long courseId;

}
