package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂笔记点赞对象 fs_user_course_note_like
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseNoteLike extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 点赞id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 笔记id */
    @Excel(name = "笔记id")
    private Long noteId;

}
