package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 课程公司红包对象 fs_user_course_video_red_package
 *
 * @author fs
 * @date 2024-10-25
 */
@Data
public class FsUserCourseVideoRedPackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 课程id */
    @Excel(name = "课程id")
    private Long videoId;

    /** 红包价格 */
    @Excel(name = "红包价格")
    private BigDecimal redPacketMoney;

    @Excel(name = "营期id")
    private Long periodId;

    @Excel(name = "SOP规则ID")
    private Long ruleId;

    @Excel(name = "类型，1-课程；2-营期；3-sop模板")
    private Integer dataType;

}
