package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂评论点赞对象 fs_user_video_comment_like
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserVideoCommentLike extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 点赞id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 评论id */
    @Excel(name = "评论编号")
    private Long commentId;


}
