package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂视频点赞对象 fs_user_video_like
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserVideoLike extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 点赞id */
    private Long likeId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;


}
