package com.fs.course.param;

import com.fs.course.domain.FsCourseQuestionBank;
import io.swagger.models.auth.In;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 购买会员订单对象 fs_user_vip_order
 *
 * @author fs
 * @date 2024-06-27
 */
@Data
public class FsCourseQuestionAnswerUParam implements Serializable
{
    private Long userId;
//    private String answer;//回答
    private Long videoId;//小节Id
    private String qwUserId;
    private Long companyUserId;
    private Long companyId;
    private Long courseId;
    private String corpId;
    private Integer linkType;
    private Long duration;
    private Long qwExternalId;
    private List<FsCourseQuestionBank> questions;
    private Long periodId;

}
