package com.fs.course.param;

import com.fs.his.param.BaseParam;
import lombok.Data;

@Data
public class FsCourseSopLogsAiParam extends BaseParam {

    private Long sopId;
    /**
     * 发送(给成员)状态 0发送失败 1发送成功 3待发送 4未发送(未确定) 5已作废
     */
    private Long sendStatus;

    /**
    * 状态（0:普通消息 1：待看课消息 2：看课中消息 3：已完课消息）
    */
    private Long watchStatus;

    /**
     * 接收(客户的)状态：0-未发送 1-已发送
     */
    private Long receivingStatus;
}
