package com.fs.course.param;

import lombok.Data;

@Data
public class FsCourseSopLogsParam {
    /**
     * qw_sop表主键
     */
    private Long sopId;

    /**
     * 企业微信用户昵称
     */
    private String qwUserName;

    /** qw_user表的主键 */
    private Long qwUserid;

    /**
     * 客户昵称
     */
    private String externalUserName;
    /**
     * 公司id
     */
    private Long companyId;

    /** 发送状态 1发送成功 3待发送 */
    private Long sendStatus;

    /**
     *  接收(客户的)状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败
     */
    private Long receivingStatus;

    /** 状态 (0:普通消息 1：待看课消息 2：看课中消息 3：已完课消息） */
    private Integer watchStatus;

}
