package com.fs.course.param;

import com.fs.his.param.BaseParam;
import lombok.Data;

@Data
public class FsCourseSopParam extends BaseParam {


    /**
     * 登录人userid (不传)
     */
    private Long userId;
    /**
     * 公司id(不传)
     */
    private Long companyId;
    /**
     * qw_user主键 (不传)
     */
    private Long qwUserId;

    private String corpId;
    /**
     * 企业微信用户id (不传)
     */
    private String qwQwUserID;


    /**
    * 状态（0:普通消息 1：待看课消息 2：看课中消息 3：已完课消息）
    */
    private Long watchStatus;
    /**
     * 发送(给成员)状态 0发送失败 1发送成功 3待发送 4未发送(未确定) 5已作废
     */
    private Long sendStatus;

    /**
     *  接收(客户的)状态：0-未发送 1-已发送
     */
    private Long receivingStatus;

    private Long sopId;

}
