package com.fs.course.param;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;

/**
 * 课堂视频对象 fs_user_video
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserVideoCommentAddUParam implements Serializable
{
    /** 用户id */
    private Long userId;

    private Long videoId;


    /** 父评论id */
    private String parentId;

    /** 评论内容 */
    private String content;
}
