package com.fs.course.param;

import com.fs.watch.param.BaseQueryParam;
import lombok.Data;

@Data
public class FsVideoBarrageQueryParam extends BaseQueryParam {
    private String cmd;
    private Long id;

    /** 视频ID */
    private Long videoId;

    /** 弹幕内容 */
    private String content;

    /** 弹幕对应视频时间点（毫秒） */
    private Long timePoint;

    /** 用户ID */
    private Long userId;

    /** 用户名 */
    private String username;

    /** 发送平台（app / mini_app） */
    private String platform;

    /** 状态：1-正常 0-隐藏 */
    private String status;

    /** 弹幕持续时间 */
    private Long duration;

    /** 是否优先显示1是0否，默认为0 */
    private String isPrior;

    /** 是否彩色弹幕1是0否，默认为0 */
    private String isColor;
    // 例:'top'，显示模式，top顶部居中，bottom底部居中，scroll滚动，默认为scroll
    private String mode;
    //颜色
    private String color;
    //字号
    private String fontSize;
}
