package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@ApiModel(value = "邀请成为会员海报入参")
public class FsUserCourseBeMemberImageParam implements Serializable {

    @ApiModelProperty(value = "授权的用户id")
    private Long userId;

    @NotNull(message = "销售id不能为空")
    @ApiModelProperty(value = "销售id")
    private Long companyUserId;

    @NotNull(message = "公司id不能为空")
    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "标签ids，多个用逗号隔开")
    private String tagIds;

    @NotNull(message = "链接不能为空")
    @ApiModelProperty(value = "跳转链接")
    private String realLink;


}
