package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FsUserCourseListParam {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "模糊搜索，通过视频名称来匹配")
    private String keyword;

    @ApiModelProperty(value = "公司id，不用传")
    private Long companyId;

    private String corpId;

    private String qwUserId;


}
