package com.fs.course.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.qw.vo.QwUserVO;
import lombok.Data;

import java.util.List;

@Data
public class FsCourseFinishTempVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String name;

    /** 状态 1正常 0停用 */
    @Excel(name = "状态 1正常 0停用")
    private Long status;

    /** 规则 */
    @Excel(name = "规则")
    private String setting;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 小节视频id */
    @Excel(name = "小节视频id")
    private Long videoId;

    /** 归属销售id(对多) */
    @Excel(name = "归属销售id(对多)")
    private String companyUserIds;

    /** 删除标志 */
    @Excel(name = "删除标志")
    private Long isDel;

    /** 是否整销售公司可用 */
    @Excel(name = "是否整销售公司可用")
    private Integer isAllCompanyUser;

    private Integer type;
    private String chatSetting;

    public List<QwUserVO> userSelectList;
}
