package com.fs.course.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class FsCourseSopListVO extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** 状态 1正常 0停用 */
    @Excel(name = "状态 1正常 0停用")
    private Long status;

    /** 规则 */
    @Excel(name = "规则")
    private String setting;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** sop类型 （1：课程小节 2：直播） */
    @Excel(name = "sop类型 ", readConverterExp = "1=：课程小节,2=：直播")
    private Long sopType;

    /** 关联ID */
    @Excel(name = "关联ID")
    private Long businessId;

    /**
    * 关联id的名称
    */
    private String courseTitle;

    /** 短链 */
    @Excel(name = "短链")
    private String url;

    /**
     * 是否审核
     */
    private Integer isAudit;
}
