package com.fs.course.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class FsCourseWatchLogVO extends BaseEntity  {

    /** 日志Id */
    private Long logId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 小节id */
    @Excel(name = "小节id")
    private Long videoId;

    /** 记录类型 1看课中 2完课 3待看课 */
    @Excel(name = "记录类型 1看课中 2完课 3待看课")
    private Integer logType;

    /** 企微外部联系人id */
    @Excel(name = "企微外部联系人id")
    private Long qwExternalContactId;

    /** 播放时长 */
    @Excel(name = "播放时长")
    private Long duration;

    /** 分享人企微userId */
    @Excel(name = "分享人企微userId")
    private String qwUserId;

    /** 销售id */
    @Excel(name = "销售id")
    private Long companyUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    private Integer sendType; //归属发送方式：1 个微  2 企微

    private Integer rewardType;//发放奖励类型


    private String title;

    private String courseName;
}
