package com.fs.course.vo;

import com.fs.course.vo.newfs.FsCourseAnalysisCountVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
@Data
@ApiModel
public class FsPeriodCountVO {

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "关联视频id")
    private Long videoId;

    @ApiModelProperty(value = "视频标题")
    private String title;

    @ApiModelProperty(value = "营期日期")
    private LocalDate dayDate;

    @ApiModelProperty(value = "统计明细")
    private FsCourseAnalysisCountVO countDetailsVO;

}
