package com.fs.course.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 课程对象 fs_user_course
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseListUVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long courseId;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;

    /** 课程封面 */
    @Excel(name = "课程封面")
    private String imgUrl;

    private String secondImg;

    private Long views;

    private Long likes;

    private Long duration;

    private Long favoriteNum;

    private Long shares;

    private Integer isIntegral;

    private String talentName;

    private String avatar;

    private String tags;

    private String description; //课程简介
    
}
