package com.fs.course.vo;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂视频对象 fs_user_video
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseVideoH5DVO extends BaseEntity
{
    /** ID */
    private Long videoId;

    /** 视频标题 */
    private String title;

    private Long courseId;

    /** 课程名称 */
    private String courseName;

    private String videoUrl;

    /** 课程描述 */
    private String courseDescription;

    /** 课程封面 */
    private String imgUrl;

    //课题id
    private String questionBankId;

    private Long duration; //视频时长


    private String lineOne; //线路一 腾讯云pcdn 前缀tcpv

    private String lineTwo; //线路二 电信 前缀ctev
    private String lineThree; //线路三 华为云obs
    private Integer uploadType;


}
