package com.fs.course.vo;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂视频对象 fs_user_video
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseVideoH5VO extends BaseEntity
{
    /** ID */
    private Long videoId;

    /** 视频标题 */
    private String title;

    private Long courseId;

    /** 课程名称 */
    private String courseName;

    /** 课程描述 */
    private String description;

    /** 课程封面 */
    private String imgUrl;

    /** 总播放时长 */
    private String totalDuration;

    /** 总播放量 */
    private Long views;




}
