package com.fs.course.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂视频对象 fs_user_video
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseVideoQuestionVO extends BaseEntity
{
    /** id */
    private Long id;

    /** 问题 */
    @Excel(name = "问题")
    private String title;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 类别1 单选 2 多选  */
    @Excel(name = "类别1 单选 2 多选 ")
    private Long type;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 选项 */
    @Excel(name = "选项")
    private String question;


}
