package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 课堂视频评论对象 fs_user_video_comment
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserVideoCommentListUVO implements Serializable
{

    /** 评论id */
    private Long commentId;

    /** 用户id */
    private Long userId;

    /** 视频id */
    private Long videoId;

    private String commentCode;

    /** 父评论id */
    private String parentId;

    /** 评论内容 */
    private String content;

    /** 回复数量 */
    private Long replyCount;

    /** 点赞数 */
    private Long likes;

    private Integer liked;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String nickName;

    private String avatar;


}
