package com.fs.course.vo.newfs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class FsUserCourseVideoDetailsVO {

    @ApiModelProperty(value = "课程视频id")
    private Long videoId;

    @ApiModelProperty(value = "视频标题")
    private String title;

    @ApiModelProperty(value = "视频描述")
    private String description;

    @ApiModelProperty(value = "视频URL")
    private String videoUrl;

    @ApiModelProperty(value = "视频缩略图")
    private String thumbnail;

    @ApiModelProperty(value = "视频时长")
    private Long duration;

    @ApiModelProperty(value = "课程ID")
    private Long courseId;

    @ApiModelProperty(value = "题库内容")
    private List<FsUserVideoQuestionVO> questionBankList;

}
