package com.fs.crm.dto;

import com.fs.crm.param.BaseQueryParam;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CrmCustomerHisOrderDTO extends BaseQueryParam
{


    private String orderCode;
    private Integer count;
    private BigDecimal orderPrice;//订单金额
    private BigDecimal shippingPrice;//运费
    private BigDecimal djPrice;//订金
    private BigDecimal payPrice;//支付金额
    private Date createTime;//支付时间
    private String shippingNo;//运单号

}
