package com.fs.crm.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmAddEventParam implements Serializable {

    /** ID */
    private Long eventId;

    /** 标题 */
    private String title;

    /** 日程类型 */
    private Integer eventType;

    /** 事件时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eventTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;

    /** 内容 */
    private String content;

    private Long companyId;

    /** 创建人ID */
    private Long companyUserId;

}
