package com.fs.erp.domain;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ErpGoods {
    String code;
    String name;
    String simple_name;
    String category_code;
    Integer item_add_attribute;
    Boolean combine;
    BigDecimal cost_price;
    BigDecimal sales_price;
    BigDecimal purchase_price;
    String stock_status_code;
    List<ErpGoodsSku> skus;
    List<ErpCombineItem> combine_item;
    //hzOMSErp 使用 商品id
    Long storeProductId;
}
