package com.fs.erp.domain;

import lombok.Data;

import java.util.List;

@Data
public class ErpOrder {
    String shop_code;
    String vip_code;
    String platform_code;
    Boolean repeat_allowed;
    String warehouse_code;
    String business_man_code;
    String express_code;
    Double post_fee;
    String currency_code;
    String seller_memo;
    String order_type_code;
    Boolean cod;
    Double cod_fee;
    String buyer_memo;
    List<ErpOrderItem> details;
    String receiver_name;
    String receiver_phone;
    String receiver_mobile;
    String receiver_province;
    String receiver_city;
    String receiver_district;
    String receiver_address;
    String deal_datetime;

    Integer isPackage;
    List<ErpOrderPayment> payments;
}
