package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 聊天记录日志对象 fastgpt_chat_msg_logs
 * 
 * @author fs
 * @date 2024-10-10
 */
@Data
public class FastGptChatMsgLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long logsId;

    /** msgId */
    @Excel(name = "msgId")
    private Long msgId;

    /** 类型 1标记正确 2修改回复 */
    @Excel(name = "类型 1标记正确 2修改回复")
    private Integer logsType;

    /** 修改后内容 */
    @Excel(name = "修改后内容")
    private String content;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long companyUserId;

    /** $column.columnComment */
    @Excel(name = "用户ID")
    private String sContent;

    /** $column.columnComment */
    @Excel(name = "用户ID")
    private String userContent;

    /** $column.columnComment */
    @Excel(name = "用户ID")
    private Long companyId;
}
