package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * AI的标签对象 fastgpt_role_tag
 *
 * @author fs
 * @date 2024-11-04
 */
@Data
public class FastGptRoleTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** fastgpt_dataset的主键 */
    @Excel(name = "fastgpt_dataset的主键")
    private Long roleId;

    /** qw_tag表的主键 */
    @Excel(name = "qw_tag表的主键")
    private String tagIds;

    /** 提示词 */
    @Excel(name = "提示词")
    private String reminderWords;

}
