package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * ai标签对象 fastgpt_tag
 *
 * @author fs
 * @date 2024-12-20
 */
@Data
public class FastgptTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 标签组id */
    @Excel(name = "标签组id")
    private Long tagGroupId;

    /** 标签 */
    @Excel(name = "标签")
    private String tag;

    /** 关键词 */
    @Excel(name = "关键词")
    private String keyword;


}
