package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * ai标签组对象 fastgpt_tag_group
 *
 * @author fs
 * @date 2024-12-20
 */
@Data
public class FastgptTagGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 标签 */
    @Excel(name = "标签")
    private String tag;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;


}
