package com.fs.fastGpt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class FastGptChatMsgCVO {

    private Long msgId;

    /** 外部ID */
    private String extId;

    private String userContent;

    /** 消息内容 */
    private String content;

    /** 消息类型 1文本 */
    private Integer msgType;

    /** 发送类型 1用户发送 2客服发送 */
    private Integer sendType;

    private Long companyId;

    private Long roleId;

    private Long companyUserId;

    private String msgJson;

    private String userId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String roleName;

    private Integer status;

    private String nickName;
}
