package com.fs.fastGpt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
public class FastGptChatSessionCVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 会话ID */
    private Long sessionId;

    /** 会话标识 */
    private String chatId;

    /** 客户ID */
    private String userId;

    private String nickName;//客户名称

    private String roleName;//客服名称

    /** 客服ID */
    private String kfId;

    /** 状态 1会话中 2已结束 */
    private Integer status;


    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
