package com.fs.fastgptApi.config;

import org.springframework.stereotype.Component;

public interface FastGptApiConfig {

    /**
    * 特定key（用于发起对话，应用里的）
    */
    String AppKey="mygpt-jLLTnqhkUZXMITmgS21JXRNSIkDO0zA4jzUg2on9Bw7ojXzz8BIi";
//    String AppKey="mygpt-uf1zatbvwH1at4wNEjgBejZrwpoBnZWNP4rxT1dsrKJcfg6o1GvC62Aj47";

//    /**
//    * 通用key（用于其他调用Api，账号里的）
//    */
//    String Key="mygpt-bCdZPw7jxMY5MjuGnG3jcQClAtlm0LrcF0AqGjX2SG1VuyRVWWxO";

//    String url="http://154.8.194.176:3000/api";

    /**
    * 对话接口
    */
    String completionsUrl="/v1/chat/completions";

    /**
    * ChatId-测试AI 免费的
    */
    String chatId="66f3b2fdb335fd706d0d39d8";

//    /**
//     * ChatId-测试AI 收费-一次一条
//     */
//    String chatId="66f3b6deb335fd706d0d3ae5";

    /**
    * 创建训练订单(新例子)
    */

    String createTrainingUsage="/support/wallet/usage/createTrainingUsage";

    /**
    * 创建一个知识库
    */
    String createKnowledgeBase="/core/dataset/create";

    /**
    * 获取知识库列表
    */
    String getKnowledgeBaseList="/core/dataset/list";

    /**
    * 获取知识库详情
    */
    String getKnowledgeBaseDetail="/core/dataset/detail";

    /**
    * 删除一个知识库
    */
    String deleteKnowledgeBase="/core/dataset/delete";

    /**
    * 创建一个空的集合
    */
    String createEmptyCollection="/core/dataset/collection/create";

    /**
    * 创建一个纯文本集合
    */
    String createTextCollection="/core/dataset/collection/create/text";

    /**
    * 创建一个链接集合
    */
    String createLinkCollection="/core/dataset/collection/create/link";

    /**
    *  创建一个文件集合
    */
    String createFileCollection="/core/dataset/collection/create/localFile";

    /**
    * 创建一个外部文件库集合（商业版）
    */
    String createExternalFileCollection="/proApi/core/dataset/collection/create/externalFileUrl";

    /**
    * 获取集合列表
    */
    String getCollectionList="/core/dataset/collection/list";

    /**
    * 获取集合详情
    */
    String getCollectionDetail="/core/dataset/collection/detail";

    /**
    * 修改集合信息(通过集合 ID/datasetId 和 externalFileId 修改集合信息)
    */
    String updateCollection="/core/dataset/collection/update";


    /**
    *  删除一个集合
    */
    String deleteCollection="/core/dataset/collection/delete";

    /**
    *   为集合批量添加添加数据
    */
    String addDataToCollection="/core/dataset/data/pushData";

    /**
    * 获取集合的数据列表
    */
    String getCollectionDataList="/core/dataset/data/list";

    /**
    * 获取单条数据详情
    */
    String getCollectionDataDetail="/core/dataset/data/detail";

    /**
    * 修改单条数据
    */
    String updateCollectionData="/core/dataset/data/update";

    /**
    *  删除单条数据
    */
    String deleteCollectionData="/core/dataset/data/delete";

    /**
    *  搜索测试
    */
    String searchTest="/core/dataset/searchTest";

    /**
    * 编写聊天初始化校验接口
    */
    String chatShareAuthInit="/shareAuth/start";

    /**
    *  编写对话前校验接口
    */
    String chatShareAuthStart="/shareAuth/start";

    /**
    *  编写对话结果上报接口（可选）
    */
    String chatShareAutFinish="/shareAuth/finish";

}
