package com.fs.fastgptApi.param;

import lombok.Data;

/**
*  创建一个空的集合
*/
@Data
public class CreateCollectionParam {

    /**
    * 知识库的ID(必填)
    */
    private String datasetId;
    /**
    * 父级ID，不填则默认为根目录
    */
    private String parentId;
    /**
    * 集合名称（必填）
    */
    private String name;
    /**
    * folder：文件夹
     * virtual：虚拟集合(手动集合)
    */
    private String type;
    /**
    *  元数据（暂时没啥用）
    */
    private Metadata metadata;

    @Data
    public static class Metadata {
        public int test;

    }

}
