package com.fs.fastgptApi.param;

import lombok.Data;

import java.util.List;

/**
* 创建一个外部文件库集合
*/
@Data
public class CreateExternalFileCollectionParam {

    /**
    * 文件访问链接（可以是临时链接）
    */
    public String externalFileUrl;
    /**
    * 外部文件ID
    */
    public String externalFileId;
    /**
    * 文件创建时间（Date ISO 字符串都 ok）
    */
    public String createTime;
    /**
    * 自定义文件名，需要带后缀
    */
    public String filename;
    public String datasetId;
    public String parentId;
    public List<String> tags;
    public String trainingType;
    public int chunkSize;
    public String chunkSplitter;
    public String qaPrompt;
}
