package com.fs.fastgptApi.param;

import lombok.Data;

import java.util.List;


/**
* 通过外部文件 ID 修改集合信息， 只需要把 id 换成 datasetId 和 externalFileId。
*/
@Data
public class UpdateCollectionByDatasetIdParam {

    public String datasetId;
    public String externalFileId;
    /**
     * 修改父级ID（可选）
     */
    public String parentId;
    /**
     *  修改集合名称（可选）
     */
    public String name;
    /**
     * 修改集合标签（可选）
     */
    public List<String> tags;
    /**
     * 修改集合禁用状态（可选）
     */
    public boolean forbid;
    /**
     * 修改集合创建时间（可选）
     */
    public String createTime;
}
