package com.fs.fastgptApi.param;

import lombok.Data;

import java.util.List;

/**
 * 通过集合 ID 修改集合信息
 */
@Data
public class UpdateCollectionByIdParam {

    /**
    *  集合的ID
    */
    public String id;
    /**
    * 修改父级ID（可选）
    */
    public String parentId;
    /**
    *  修改集合名称（可选）
    */
    public String name;
    /**
    * 修改集合标签（可选）
    */
    public List<String> tags;
    /**
    * 修改集合禁用状态（可选）
    */
    public boolean forbid;
    /**
    * 修改集合创建时间（可选）
    */
    public String createTime;
}
