package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

/**
* detail=false,stream=true 的响应 （一个字一个字的返回）
*/
@Data
public class ChatDetailFStreamTResult {


    private String id;
    private String object;
    private long created;
    private List<Choice> choices;

    @Data
    public static class Choice {
        private Delta delta;
        private int index;
        private Object finishReason; // 可以是 String 或 null
    }

    @Data
    public static class Delta {
        private String content;

    }
}
