package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

/**
* detail=true,stream=true 响应   flowResponses事件
*/
@Data
public class ChatTTFlowResponsesResult {

    private String moduleName;
    private String moduleType;
    private double runningTime;
    private String question;
    private List<Quote> quoteList;


    @Data
    public static class Quote {
        private String id;
        private String q;
        private String a;
        private List<Index> indexes;
        private String datasetId;
        private String collectionId;
        private String sourceName;
        private String sourceId;
        private double score;

    }

    @Data
    public static class Index {
        private String type;
        private String dataId;
        private String text;
        private String _id;
        private boolean defaultIndex;

    }
}
