package com.fs.fastgptApi.result;

import lombok.Data;

/**
* 获取集合详情
*/
@Data
public class GetCollectionDetailResult {


    public int code;
    public String statusText;
    public String message;
    public Data data;

    @lombok.Data
    public static class Data {
        public String _id;
        public String parentId;
        public String teamId;
        public String tmbId;
        public DatasetId datasetId;
        public String type;
        public String name;
        public String trainingType;
        public int chunkSize;
        public String chunkSplitter;
        public String qaPrompt;
        public int rawTextLength;
        public String hashRawText;
        public String createTime;
        public String updateTime;
        public boolean canWrite;
        public String sourceName;

        @lombok.Data
        public static class DatasetId {
            public String _id;
            public String parentId;
            public String teamId;
            public String tmbId;
            public String type;
            public String status;
            public String avatar;
            public String name;
            public String vectorModel;
            public String agentModel;
            public String intro;
            public String permission;
            public String updateTime;
        }
    }
}
