package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

@Data
public class GetCollectionListResult {


    public int code;
    public String statusText;
    public String message;
    public Data data;

    @lombok.Data
    public static class Data {
        public int pageNum;
        public int pageSize;
        public List<Item> data;
        public int total;

        @lombok.Data
        public static class Item {
            public String _id;
            public String parentId;
            public String tmbId;
            public String type;
            public String name;
            public String updateTime;
            public int dataAmount;
            public int trainingAmount;
            public String externalFileId;
            public List<String> tags;
            public boolean forbid;
            public String trainingType;
            public Permission permission;

            @lombok.Data
            public static class Permission {
                public long value;
                public boolean isOwner;
                public boolean hasManagePer;
                public boolean hasWritePer;
                public boolean hasReadPer;
            }
        }
    }
}
