package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

/**
* 获取知识库列表
*/
@Data
public class GetKnowledgeBaseListResult {

    private int code;
    private String statusText;
    private String message;
    private List<DataItem> data;

    @Data
    public static class DataItem {
        private String _id;
        private String parentId;
        private String avatar;
        private String name;
        private String intro;
        private String type;
        private String permission;
        private boolean canWrite;
        private boolean isOwner;
        private VectorModel vectorModel;
        @Data
        public static class VectorModel {
            private String model;
            private String name;
            private double charsPointsPrice;
            private int defaultToken;
            private int maxToken;
            private int weight;
        }
    }
}
