package com.fs.fastgptApi.service;

import com.fs.fastgptApi.param.*;
import com.fs.fastgptApi.result.*;

/**
* 知识库
*/
public interface DataSetService {

    /**
    * 创建训练订单
    */
    CreateTrainingUsageResult createTrainingUsage(CreateTrainingUsageParam param,String url,String key);

    /**
    * 创建一个只知识库
    */
    KnowledgeBaseResult createKnowledgeBase(CreateKnowledgeBaseParam param,String url,String key);

    /**
    * 获取知识库列表
    */
    GetKnowledgeBaseListResult getKnowledgeBaseList(GetKnowledgeBaseListParam param,String url,String key);

    /**
    * 获取知识库详情
    */
    GetKnowledgeBaseDetailResult getKnowledgeBaseDetail(String ID,String url,String key);

    /**
    * 删除一个知识库
    */
    KnowledgeBaseResult deleteKnowledgeBase(String ID,String url,String key);



}
