package com.fs.gtPush.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class UniPushLogAppVo {
    /** id */
    private Long id;

    /** 推送id */
    private String jpushId;

    /** 推送类型:0 订单通知(0.1药品 0.2服务包) 1健康管理  */
    private Float type;

    /** 详细类型:
     type:1 0:未支付 1:支付成功 2:发货 3:派送 4:签收 */
    private Integer desType;

    /** 关联用户id */
    private Long userId;


    /** 关联事件id */
    private Long businessId;



    /** 推送内容 */
//    private String pushMsg;
    private String title; //标题
    private String content; //内容
    private String url; //跳转链接
    private String imgUrl; //图片


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** app是否已读 0:否 1:是 */
    private Integer isRead;

}
