package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 健康数据对象 fs_health_data
 *
 * @author fs
 * @date 2024-09-02
 */
@Data
public class FsHealthData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 体重 */
    @Excel(name = "体重")
    private Long weight;

    /** 心率 */
    @Excel(name = "心率")
    private String heartRate;

    /** 体温 */
    @Excel(name = "体温")
    private String temperature;

    /** 血压 */
    @Excel(name = "血压")
    private String bloodPressure;

    /** 血糖 */
    @Excel(name = "血糖")
    private String bloodSugar;

    /** 尿酸值 */
    @Excel(name = "尿酸值")
    private String uric;

    /** 睡眠 */
    @Excel(name = "睡眠")
    private String sleep;

    /** 步数或运动 */
    @Excel(name = "步数或运动")
    private String step;

    /** 排便 */
    @Excel(name = "排便")
    private String shit;

    /** 心情 */
    @Excel(name = "心情")
    private String mood;


}
