package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 健康生活对象 fs_health_life
 *
 * @author fs
 * @date 2024-09-02
 */
@Data
public class FsHealthLife extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 类别 */
    @Excel(name = "类别")
    private Integer type;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 表单内容 */
    @Excel(name = "表单内容")
    private String formJson;


}
