package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * 舌苔对象 fs_health_tongue
 *
 * @author fs
 * @date 2024-09-19
 */
@Data
public class FsHealthTongue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 状态 */
    @Excel(name = "状态")
    private Long userId;

    private Long patientId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 舌苔图片 */
    @Excel(name = "舌苔图片")
    private String tongueUrl;

    /** 舌苔id */
    @Excel(name = "舌苔id")
    private Integer tongueId;

    /** 体质 */
    @Excel(name = "体质")
    private String typeName;

    /** 体质解析 */
    @Excel(name = "体质解析")
    private String typeJson;

    /** 剥苔 */
    @Excel(name = "剥苔")
    private Long botai;

    /** 剥苔详细 */
    @Excel(name = "剥苔详细")
    private String botaiDesc;

    /** 齿痕 */
    @Excel(name = "齿痕")
    private Long chihen;

    /** 齿痕详细 */
    @Excel(name = "齿痕详细")
    private String chihenDesc;

    /** 裂纹 */
    @Excel(name = "裂纹")
    private Integer liewen;

    /** 裂纹详细 */
    @Excel(name = "裂纹详细")
    private String liewenDesc;

    /** 舌脉 */
    @Excel(name = "舌脉")
    private String shemianName;

    /** 舌脉详细 */
    @Excel(name = "舌脉详细")
    private String shemianDesc;

    /** 苔色 */
    @Excel(name = "苔色")
    private String taiseName;

    /** 苔色详细 */
    @Excel(name = "苔色详细")
    private String taiseDesc;

}
