package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 问诊疾病对象 fs_inquiry_disease
 *
 * @author fs
 * @date 2024-08-02
 */
@Data
public class FsInquiryDisease extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long diseaseId;

    /** 疾病名称 */
    @Excel(name = "疾病名称")
    private String diseaseName;

}
