package com.fs.his.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 用户填写邀请码记录对象 fs_user_invited
 *
 * @author fs
 * @date 2025-03-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserInvited extends BaseEntity{

    /** id */
    private Long id;

    /** 用户uid */
    @Excel(name = "用户uid")
    private Long userId;

    /** 被邀请用户uid */
    @Excel(name = "被邀请用户uid")
    private Long invitedUserId;

    private Integer isDel;


}
