package com.fs.his.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户新手任务对象 fs_user_new_task
 *
 * @author fs
 * @date 2024-08-27
 */
@Data
public class FsUserNewTask implements Serializable {

    /** id */
    private Long taskId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 任务一完成情况 */
    @Excel(name = "任务一完成情况")
    private Integer taskOne;

    /** 任务二完成情况 */
    @Excel(name = "任务二完成情况")
    private Integer taskTwo;

    /** 任务二完成情况 */
    @Excel(name = "任务三完成情况")
    private Integer taskThree;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
