package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 经络管理对象 fs_vessel
 *
 * @author fs
 * @date 2023-10-23
 */
@Data
public class FsVessel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 筋络穴位名称 */
    @Excel(name = "筋络穴位名称")
    private String vesselName;

    @Excel(name = "功效概述")
    private String actionTitle;

    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 经络 */
    @Excel(name = "经络")
    private String vessel;

    /** 部位 */
    @Excel(name = "部位")
    private String region;

    /** 描述 */
    @Excel(name = "描述")
    private String descs;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    @Excel(name = "拼音")
    private String pinyin;

}
