package com.fs.his.dto;

import lombok.Data;

@Data
public class FsPackagePatientDTO {
    private Long birthday;

    // 患者姓名
    private String patientName;

    // 患者的唯一标识符
    private Integer patientId;

    // 患者的身份证号码
    private String idCard;

    // 患者的性别（1表示男性，2表示女性，等等）
    private Integer sex;

    // 患者的联系手机号码
    private String mobile;

    // 与患者关联的用户ID
    private Long userId;

    // 表示患者记录创建时间的时间戳
    private Long createTime;

    // 标志患者记录是否标记为已删除（0表示未删除，1表示已删除）
    private Integer isDel;

    // 患者的状态（例如，活跃、不活跃等）
    private Integer status;
}
