package com.fs.his.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class FsPackagePruductDTO {

    private Long id;

    private Long productId;

    private String sku;

    private Integer stock;

    private Integer sales;

    private BigDecimal price;

    /** 图片 */
    private String image;

    /** 图片 */
    private String storeName;

    private BigDecimal agentPrice;

    /** 商品条码 */
    private String barCode;

    /** 原价 */
    private BigDecimal otPrice;
    /** 产品名称 */
    private String productName;
    /** 产品数量 */
    private Integer count;
    /** 产品类型 */
    private Integer productType;
    /** 产品类别名称 */
    private String cateName;
    /** 处方规格 */
    private String prescribeSpec;
    /** 使用方法 */
    private String usageMethod;
    /** 使用频率单位 */
    private Integer usageFrequencyUnit;
    /** 每次使用数量 */
    private String usagePerUseCount;
    /**  价格 */
    private BigDecimal money;
    /** 成本价格 */
    private BigDecimal costPrice;
    /** 是否为药品 */
    private Integer isDrug;

    public FsPackagePruductDTO() {
    }
}
