package com.fs.his.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class PackageOrderDTO {

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间")
    private Date payTime;

    private Date createTime;

    /** 套餐名称 */
    @Excel(name = "套餐名称")
    private String packageName;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    private String fsUserName;


}
