package com.fs.his.param;

import com.fs.common.annotation.Excel;
import com.fs.his.domain.FsDoctorPrescribeDrug;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class FsDoctorPrescribeAddEditParam   implements Serializable {
    Long prescribeId;

    private Integer prescribeType;

    /** 诊断 */
    private String diagnose;

    /** 医生ID */
    private Long doctorId;

    private Long storeId;

    /** 使用JSON */
    private String usageJson;

    private Integer recipeType;

    private Integer cycle;

    List<FsDoctorPrescribeDrug> drugs;

}
