package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsFollowReportParam {
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 病人id */
    @Excel(name = "病人id")
    private Long patientId;

    /** 病人名称 */
    @Excel(name = "病人名称")
    private String patientName;

    /** 医生id */
    @Excel(name = "医生id")
    private Long doctorId;

    /** 医生账户 */
    @Excel(name = "医生账户")
    private String doctorAccount;

    /** 医生名称 */
    @Excel(name = "医生名称")
    private String doctorName;
    private String phone;
    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 药店id */
    @Excel(name = "药店id")
    private Long storeId;

    /** 咨询次数 */
    @Excel(name = "咨询次数")
    private Integer followCount;

    /** 随访次数 */
    @Excel(name = "随访次数")
    private Integer followNum;

    /** 随访填写次数 */
    @Excel(name = "随访填写次数")
    private Integer writeNum;

    /** 月份 */
    @Excel(name = "月份")
    private Integer month;

    /** 咨询次数增加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "咨询次数增加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date countTime;
}
