package com.fs.his.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class FsHealthRecordAddEditParam {
    private Long id;
    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    private Integer age;
    /** KG */
    @Excel(name = "KG")
    private Double weight;

    /** cm */
    @Excel(name = "cm")
    private Double height;

    /** bmi */
    @Excel(name = "bmi")
    private Double bmi;

    /** 症状史 */
    @Excel(name = "症状史")
    private String symptomHistory;

    /** 健康史 */
    @Excel(name = "健康史")
    private String healthHistory;

    /** 用药史 */
    @Excel(name = "用药史")
    private String drugHistory;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String allergyHistory;

    @Excel(name = "家族史")
    private String familyHistory;

    private Long  companyUserId;
}
