package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsInquiryOrderDoctorPingParam {

    /** 订单ID */
    @Excel(name = "订单编号")
    private Long orderSn;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String pingContent;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;

    private String doctorName;


}
