package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
public class FsInquiryOrderPingParam implements Serializable {
    Long orderId;
    @NotNull(message = "评分不能为空")
    Integer pingStar;
    /** 评价内容 */
    @NotEmpty(message = "评价内容不能为空")
    private String pingContent;
    private Long userId;
}
