package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

@Data
public class FsPrescribeListDParam extends BaseParam implements Serializable {
    Long doctorId;
    Long doctorDrugId;
    Integer status;//1待审核 2历史订单
    Integer type;//1医生 2药师
    String patientName;
    String prescribeCode;
    Integer prescribeType;

    /** 开始时间 */
    @JsonIgnore
    private String beginTime;
    /** 结束时间 */
    @JsonIgnore
    private String endTime;



}
