package com.fs.his.param;

import com.fs.his.dto.FsStoreAfterSalesProductDTO;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
public class FsStoreAfterSalesDeliveryParam {
    private Long userId;
    private Long id;
    @NotBlank(message = "物流单号不能为空")
    private String deliverySn;
    @NotBlank(message = "物流公司不能为空")
    private String deliveryName;

}
