package com.fs.his.param;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderBillParam {
    @ApiModelProperty("订单ID")
    private Long orderId;
    @ApiModelProperty("开票类型0企业1个人")
    private Integer billType;
    @ApiModelProperty("发票抬头")
    private String saleName;
    @ApiModelProperty("税号")
    private String saleNo;
    @ApiModelProperty("开票金额")
    private BigDecimal amount;
    @ApiModelProperty("是否备注药品（true是false否）")
    private boolean isMemo;
    private String memoStr;
    private Long userId;


}
