package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsCaseArticleListVO {
    /** ID */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String imgUrl;

    /** 内容 */
    @Excel(name = "内容")
    private String contents;

    /** 医案科普分类 */
    @Excel(name = "医案科普分类")
    private Integer articleType;

    /** 浏览数 */
    @Excel(name = "浏览数")
    private Long views;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
