package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsDoctorArticleListUVO implements Serializable {

    /** ID */
    private Long articleId;

    private Long doctorId;

    private String doctorName;

    private String avatar;

    private String position;


    /** 封面图 */
    private String imageUrl;

    private String title;

    /** 浏览量 */
    private Long views;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
