package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsDoctorExtractListSVO implements Serializable {

    /** id */
    private Long extractId;

    /** 医生ID */
    private Long doctorId;

    /** 名称 */
    private String realName;

    /** bank = 银行卡 alipay = 支付宝wx=微信 */
    private String extractType;

    /** 银行卡 */
    private String bankCode;

    /** 开户地址 */
    private String bankAddress;

    /** 支付宝账号 */
    private String alipayCode;

    /** 提现金额 */
    private BigDecimal extractPrice;

    private String mark;

    private BigDecimal balance;

    /** 无效原因 */
    private String failMsg;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date failTime;

    /** -1 未通过 0 审核中 1 已提现 */
    private Long status;

    /** 微信号 */
    private String wechat;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;



}
