package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsDoctorPingUVO implements Serializable {


    private Long pingId;

    private Integer pingStar;

    /** 评价内容 */
    private String pingContent;

    private Long userId;

    private String nickName;

    private String avatar;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date pingTime;



}
