package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsDrugReportUVO implements Serializable {


    /** id */
    private Long reportId;

    /** 用户id */
    private Long userId;

    /** 医生id */
    private Long doctorId;

    /** 随访单id */
    private Long followId;

    /** 药品订单id */
    private Long storeOrderId;

    /** 问诊订单ID */
    private Long inquiryOrderId;

    /** 状态 */
    private Long status;

    /** 咨询总结 */
    private String reportSummary;

    /** 生活建议 */
    private String reportAdvice;



    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Long pingStar;

    private String pingContent;

    private String doctorName;

    private String avatar;

}
