package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
@Data
public class FsFollowListVO {
    @Excel(name = "id")
    private Long followId;

    private String name;
    /** 医生名称 */
    private String doctorName;

    private Long doctorId;
    private Long tempId;
    private Long userId;

    private String account;

    private String companyName;

    /** 用户昵称 */
    private String nickName;
    /** 用户电话 */
    private String phone;

    @Excel(name = "病人名称")
    private String patientName;

    @Excel(name = "病人电话")
    private String patientPhone;
    private String orderCode;
    /** 0待推送 1已推送 2 已取消 */
    @Excel(name = "0待推送 1已推送 2 已取消")
    private Integer pushStatus;

    /** 0未填写 1已填写 */
    @Excel(name = "0未填写 1已填写")
    private Integer writeStatus;

    /** 推送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "推送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planTime;

    /** 随访内容 */
    @Excel(name = "随访内容")
    private String formJson;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String writeUserName;

    private String companyUserName;
}
