package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsFollowReportListVO {

    private Long id;

    private Long userId;

    private Long patientId;

    private String patientName;

    @Excel(name = "用户昵称")
    private String nickName;

    @Excel(name = "用户电话")
    private String phone;

    private Long doctorId;

    @Excel(name = "医生账户")
    private String doctorAccount;

    @Excel(name = "医生名称")
    private String doctorName;

    private Long companyId;

    @Excel(name = "所属公司")
    private String companyName;

    private Long storeId;

    @Excel(name = "药店")
    private String storeName;

    @Excel(name = "咨询次数")
    private Integer followCount;

    private Integer followNum;

    private Integer writeNum;

    @Excel(name = "月份")
    private Integer month;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date countTime;

}
