package com.fs.his.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class FsHealthRecordListVO {
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** KG */
    @Excel(name = "KG")
    private Double weight;

    /** cm */
    @Excel(name = "cm")
    private Double height;

    /** bmi */
    @Excel(name = "bmi")
    private Double bmi;

    /** 标准体重 */
    @Excel(name = "标准体重")
    private Double standardWeight;

    /** 健康史 */
    @Excel(name = "健康史")
    private String healthHistory;

    /** 用药史 */
    @Excel(name = "用药史")
    private String drugHistory;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String allergyHistory;
}
