package com.fs.his.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsHospitalListUVO implements Serializable {

    /** ID */
    private Long hospitalId;

    /** 医院名称 */
    private String hospitalName;

    /** 医院类型 */
    private Integer hospitalType;

    /** 医院等级 */
    private Integer hospitalLevel;

    /** 简介 */
    private String descs;

    /** 医院照片 */
    private String imgUrl;

    /** 省 */
    private String province;

    /** 市 */
    private String city;

    /** 区 */
    private String district;

    /** 详细地址 */
    private String address;


}
