package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsInquiryOrderMsgListDVO implements Serializable {


    /** ID */
    private Long msgId;

    /** 消息类型 1会员消息 2医生消息 */
    private String msgType;

    /** 会员ID */
    private String fromAccount;

    private String userNickName;

    /** 医生ID */
    private String toAccount;

    private String doctorName;

    /** 消息内容 */
    private String content;

    /** 订单ID */
    private Long orderId;

    private String msgKey;

    private Integer msgContentType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
