package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsInquiryOrderPingVO {
    /** ID */
    private Long pingId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 评分 */
    @Excel(name = "评分")
    private Integer pingStar;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String pingContent;

    /** 评价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pingTime;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;
    @Excel(name = "会员昵称")
    private String nickName;

    @Excel(name = "会员电话")
    private String phone;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;


    @Excel(name = "医生名称")
    private String doctorName;
}
