package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsIntegralGoodsListUVO implements Serializable {


    /** id */
    private Long goodsId;

    /** 封面图 */
    private String imgUrl;

    /** 组图 */
    private String images;

    /** 商品名称 */
    private String goodsName;

    /** 原价 */
    private BigDecimal otPrice;

    /** 商品分类 */
    private Long goodsType;



    /** 所需积分 */
    private Long integral;

    /** 排序 */
    private Long sort;




}
