package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
    public class FsPackageListUVO implements Serializable {
    /** ID */
    private Long packageId;
    /** 套餐包名称 */
    private String packageName;
    private String secondName;
    private Integer packageType; // 套餐类型，1医生包2企业包
    private Integer packageSubType; // 子套餐
    private BigDecimal price; // 总价 xx元/天
    private BigDecimal totalPrice;
    private String tags; // 标签
    private Integer sales; // 销量
    private Integer diseaseType; // 病类别
    private String productJson;
    private String imgUrl;
    private String description;
}
