package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsPatientListDVO implements Serializable {

    private Long patientId;
    /** 患者姓名 */
    private String patientName;

    /** 所属会员 */
    private Long userId;

    /** 身份证号 */
    private String idCard;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /** 性别 */
    private Integer sex;

    /** 体重G */
    private Long weight;

    /** 手机号 */
    private String mobile;

    /** 是否删除  */
    private Integer isDel;

    /** 状态 1正常 2禁用 */
    private Integer status;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
