package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsStoreAfterSalesLogsVO implements Serializable {

    private Long logsId;

    /** 售后id */
    @Excel(name = "售后id")
    private Long storeAfterSalesId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private Integer changeType;

    /** 操作备注 */
    @Excel(name = "操作备注")
    private String changeMessage;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date changeTime;

    /** 操作人 */
    @Excel(name = "操作人")
    private String operator;

    private String companyName;

    private String storeName;
}
