package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsStoreProductAttrValueListDVO implements Serializable {
    private Long id;

    /** 商品ID */
    private Long productId;

    private String sku;

    private Integer stock;

    /** 销量 */
    private Integer sales;

    /** 属性金额 */
    private BigDecimal price;

    /** 图片 */
    private String image;

    /** 成本价 */
    private BigDecimal cost;

    /** 商品条码 */
    private String barCode;

    private String groupBarCode;

    /** 原价 */
    private BigDecimal otPrice;

    /** 重量 */
    private BigDecimal weight;

    /** 体积 */
    private BigDecimal volume;

    /** 一级返佣 */
    private BigDecimal brokerage;

    /** 二级返佣 */
    private BigDecimal brokerageTwo;

    private BigDecimal brokerageThree;


    private Integer giveIntegral;

    private BigDecimal agentPrice;

    private String productName;

    private Integer productType;

}
