package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.domain.FsStoreProductCategory;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class FsStoreProductCategorysVO implements Serializable {
    /** 商品分类表ID */
    private Long cateId;

    /** 父id */
    @Excel(name = "父id")
    private Long pid;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String cateName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 图标 */
    @Excel(name = "图标")
    private String pic;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isShow;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private String isDel;

        List<FsStoreProductCategory> children;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
