package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsTestTempItemListVO {
    /** ID */
    private Long itemId;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long tempId;
    private String name;
    /** 项目类型 数据字典 */
    @Excel(name = "项目类型 数据字典")
    private String itemType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 分值JSON */
    @Excel(name = "分值JSON")
    private String scoreJson;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
