package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserRechargeListVO {
    /** ID */
    private Long rechargeId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;
    @Excel(name = "会员电话")
    private String phone;
    @Excel(name = "会员昵称")
    private String nickName;
    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal money;

    /** 增送金额 */
    @Excel(name = "增送金额")
    private BigDecimal freeMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
