package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsVesselListVO {
    /** id */
    private Long id;

    /** 筋络穴位名称 */
    @Excel(name = "筋络穴位名称")
    private String vesselName;

    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 经络 */
    @Excel(name = "经络")
    private String vessel;

    /** 部位 */
    @Excel(name = "部位")
    private String region;

    /** 描述 */
    @Excel(name = "描述")
    private String descs;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
