package com.fs.hospital.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 会员等级对象 hospital_member_level
 *
 * @author fs
 * @date 2024-03-04
 */
@Data
public class HospitalMemberLevel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long levelId;

    /** 等级名称 */
    @Excel(name = "等级名称")
    private String levelName;

    /** 等级 */
    @Excel(name = "等级")
    private Long level;

    /** 等级值 */
    @Excel(name = "等级值")
    private Long levelValue;

    //升级所需积分
    private Long totalIntegral;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    /** 配置JSON */
    @Excel(name = "配置JSON")
    private String configJson;

}
