package com.fs.hospital.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * orderItemLogs对象 hospital_order_item_logs
 *
 * @author fs
 * @date 2024-06-07
 */
@Data
public class HospitalOrderItemLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long itemLogsId;

    /** 治疗单ID */
    @Excel(name = "治疗单ID")
    private Long treatOrderId;

    /** 执行人id */
    @Excel(name = "执行人id")
    private Long userId;

    /**
     *  执行人姓名
     */
    private  String userName;

    /** 执行项目的json */
    @Excel(name = "执行项目的json")
    private String executeItem;


}
