package com.fs.hospital.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 商品记录对象 hospital_product_logs
 *
 * @author fs
 * @date 2024-03-12
 */
@Data
public class HospitalProductLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long logsId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 操作用户 */
    @Excel(name = "操作用户")
    private Long userId;

    /** 业务ID */
    @Excel(name = "业务ID")
    private String businessId;

    /** 日志类型 */
    @Excel(name = "日志类型")
    private Integer logsType;


}
