package com.fs.hospital.domain;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户与岗位关联对象 company_user_post
 *
 * @author fs
 * @date 2021-05-25
 */
@Data
public class HospitalUserPost extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 岗位ID */
    private Long postId;

    private Long hospitalId;


}
