package com.fs.hospital.domain;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户和角色关联对象 company_user_role
 *
 * @author fs
 * @date 2021-05-25
 */
@Data
public class HospitalUserRole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 角色ID */
    private Long roleId;

    private Long hospitalId;
}
