package com.fs.hospital.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.param.BaseParam;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class HospitalOutpatientOrderParam extends BaseParam implements Serializable {

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date yuyueTime;

    private Long hospitalId;

    private Long userId;

    private String patientName;

    private String mobile;

    private Integer status;
}
