package com.fs.hospital.param;

import com.fs.hospital.domain.HospitalProductPurchaseOrderItem;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 采购单对象 hospital_purchase_order
 *
 * @author fs
 * @date 2024-03-12
 */
@Data
public class HospitalProductPurchaseOrderAddEditParam implements Serializable
{

    /** ID */
    private Long orderId;

    private String orderCode;

    private Long hospitalId;

    private Long storeId;

    private Long userId;

    private Long totalCount;

    private Long productCount;

    private Integer orderType;

    private BigDecimal money;

    private BigDecimal taxMoney;

    private Integer status;

    private String opOrderCode;

    private List<HospitalProductPurchaseOrderItem> itemList;

}
