package com.fs.hospital.param;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;


@Data
public class HospitalStoreParam
{

    /** ID */
    private Long id;

    /** 诊所ID */
    private Long hospitalId;

    /** 店铺ID */
    private Long storeId;

    private String storeName;

    /** 状态 1正常 2禁用 */
    private Integer status;

    /** 联系人 */
    private String linkUserName;

    /** 联系人手机号 */
    private String linkUserPhone;

}
