package com.fs.hospital.param;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.hospital.vo.HospitalOrderItemListHVO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 治疗单对象 hospital_treat_order
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalTreatOrderExecuteParam
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    private Long userId;

    private List<HospitalOrderItemExecuteParam> params;

}
