package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalOrderItemLogs;

/**
 * orderItemLogsService接口
 *
 * @author fs
 * @date 2024-06-07
 */
public interface IHospitalOrderItemLogsService
{

    /**
     * 查询orderItemLogs列表 根据treat_order_id
     *
     * @param treatOrderId treat_order_id
     * @return orderItemLogs集合
     */
    public List<HospitalOrderItemLogs> selectHospitalOrderItemLogsList(Long treatOrderId);

    /**
     * 新增orderItemLogs
     *
     * @param hospitalOrderItemLogs orderItemLogs
     * @return 结果
     */
    public int insertHospitalOrderItemLogs(HospitalOrderItemLogs hospitalOrderItemLogs);


}
