package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class HospitalMemberIntegralLogsListHVO {

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long memberId;

    /** 1问诊订单积分 2药品订单积分 */
    @Excel(name = "1问诊订单积分 2药品订单积分")
    private Integer logType;

    /** 积分 正数表示增加积分，负数表示减少积分 */
    @Excel(name = "积分 正数表示增加积分，负数表示减少积分")
    private Long integral;

    /** 积分余额 */
    @Excel(name = "积分余额")
    private Long balance;

    /** 订单关联id */
    @Excel(name = "订单关联id")
    private String businessId;

    /** $column.columnComment */
    @Excel(name = "订单关联id")
    private Long businessType;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    private String hospitalName;

    private String remark;

    private String hospitalUserId;

    private String nickName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
