package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class HospitalProductOutOrderHVO {
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;
    private String storeName;
    private String nickName;
    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;
    @Excel(name = "所属诊所")
    private String hospitalName;
    /** 创建者 */
    @Excel(name = "创建者")
    private Long userId;

    /** 总数量 */
    @Excel(name = "总数量")
    private Long totalCount;

    /** 品种数量 */
    @Excel(name = "品种数量")
    private Long productCount;

    /** 订单类型 1领取 2退回 3报损出库 */
    @Excel(name = "订单类型 1领取 2退回 3报损出库")
    private Integer orderType;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 备注 */
    private String remark;
}
