package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class HuiFuQueryOrderResult {
    private String resp_code;
    // 响应描述
    private String resp_desc;

    // 交易类型
    private String trans_type;
    // 交易状态
    private String trans_stat; //P：处理中；S：成功；F：失败；I: 初始（初始状态很罕见，请联系汇付技术人员处理）；示例值：S
    // 业务代理ID
    private String bagent_id;
    // 汇付ID
    private String huifu_id;
    // 原请求日期
    private String org_req_date;
    // 原汇付流水号
    private String org_hf_seq_id;
    // 原请求流水号
    private String org_req_seq_id;
    // 外部交易ID
    private String out_trans_id;
    // 交易订单ID
    private String party_order_id;
    // 交易金额
    private String trans_amt;
    // 支付金额
    private String pay_amt;
    // 结算金额
    private String settlement_amt;
    // 未确认金额
    private String unconfirm_amt;
    // 已确认金额
    private String confirmed_amt;

    // 交易时间
    private String trans_time;
    // 结束时间
    private String end_time;
    // 延迟账户标志
    private String delay_acct_flag;
    // 账户ID
    private String acct_id;
    // 账户日期
    private String acct_date;
    // 账户状态
    private String acct_stat;
    // 借记类型
    private String debit_type;
    // 手续费汇付ID
    private String fee_huifu_id;
    // 手续费公式信息
    private String fee_formula_infos;
    // 手续费金额
    private String fee_amt;
    // 手续费类型
    private String fee_type;
    // 微信用户ID
    private String wx_user_id;
    // 微信响应
    private String wx_response;
    // 支付宝响应
    private String alipay_response;
    // 银联响应
    private String unionpay_response;
    // 分账标志
    private String div_flag;
    // 账户分拆批次
    private String acct_split_bunch;
    // 分拆手续费信息
    private String split_fee_info;
    // 合并支付数据
    private String combinedpay_data;
    // 合并支付手续费金额
    private String combinedpay_fee_amt;
    // 交易手续费津贴信息
    private String trans_fee_allowance_info;
    // 备注
    private String remark;
    // 设备类型
    private String device_type;
    // 商户设备位置
    private String mer_dev_location;
    // 商户私有信息
    private String mer_priv;
    // 授权号
    private String auth_no;
    // 交易密码
    private String password_trade;
    // 商户名称
    private String mer_name;
    // 店铺名称
    private String shop_name;
    // 预授权金额
    private String pre_auth_amt;
    // 预授权支付金额
    private String pre_auth_pay_amt;
    // 原授权号
    private String org_auth_no;
    // 预授权汇付流水号
    private String pre_auth_hf_seq_id;
    // 预授权支付手续费金额
    private String pre_auth_pay_fee_amount;
    // 预授权支付退款手续费金额
    private String pre_auth_pay_refund_fee_amount;
    // 原手续费标志
    private String org_fee_flag;
    // 原手续费记录类型
    private String org_fee_rec_type;
    // 原手续费津贴类型
    private String org_allowance_type;
    // 分期渠道
    private String fq_channels;
    // 银行代码
    private String bank_code;
    // 银行描述
    private String bank_desc;
    // ATU子商户ID
    private String atu_sub_mer_id;
    // DC响应
    private String dc_response;
}
