package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class HuiFuRefundResult {
    private String bank_code;
    // 原始请求日期
    private String org_req_date;
    // 交易日期
    private String trans_date;
    // 订单金额
    private String ord_amt;
    // 响应描述
    private String resp_desc;
    // 交易状态
    private String trans_stat; //P：处理中、S：成功、F：失败；示例值：S
    // 原始汇付流水号
    private String org_hf_seq_id;
    // 银行消息
    private String bank_message;
    // 汇付流水号
    private String hf_seq_id;
    // 备注
    private String remark;
    // 交易时间
    private String trans_time;
    // 实际退款金额
    private String actual_ref_amt;
    // 原始请求序列号
    private String org_req_seq_id;
    // 请求序列号
    private String req_seq_id;
    // 产品ID
    private String product_id;
    // 请求日期
    private String req_date;
    // 响应代码
    private String resp_code;
    // 汇付ID
    private String huifu_id;
    // 账户拆分信息
    private String acct_split_bunch;
    // 交易完成时间
    private String trans_finish_time;
}
