package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 直播讨论对象 live_msg
 *
 * @author fs
 * @date 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveMsg extends BaseEntity {

    /** id */
    @TableId(type = IdType.AUTO)
    private Long msgId;

    /** 直播ID */
    @Excel(name = "直播ID")
    private Long liveId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private String nickName;

    /** 用户ID */
    @Excel(name = "用户ID")
    private String avatar;

    /** 消息 */
    @Excel(name = "消息")
    private String msg;
}
