package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * app客服活码上架对象 fs_app_contact_way
 *
 * @author fs
 * @date 2024-12-02
 */
@Data
public class FsAppContactWay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键Id */
    private Long id;

    private String corpName;

    private String corpId;

    private String qwUserIds;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 状态 0下架  1上架 */
    @Excel(name = "状态 0下架  1上架")
    private Long status;

    private String name; //活码名称

}
