package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 联系我限制对象 qw_contact_way_user
 * 
 * @author fs
 * @date 2024-07-23
 */
@Data
public class QwContactWayUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 链接id */
    @Excel(name = "链接id")
    private Long wayId;

    /** 企微员工id */
    @Excel(name = "企微员工id")
    private Long qwUserId;

    /** 企微员工id */
    @Excel(name = "企微员工id")
    private String userId;

    /** 添加总数 */
    @Excel(name = "添加总数")
    private Long limitCount;

    /** 已经添加 */
    @Excel(name = "已经添加")
    private Long dayCount;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

}
