package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企业微信客户 添加标签/备注失败重试对象 qw_external_err_retry
 *
 * @author fs
 * @date 2024-12-26
 */
@Data
public class QwExternalErrRetry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 重试的参数 */
    @Excel(name = "重试的参数")
    private String retryParams;

    /** 执行状态 1未补 2 已补 */
    @Excel(name = "执行状态 1未补 2 已补")
    private Integer takeState;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 重试的类型 1 标签 2 备注 */
    @Excel(name = "重试的类型 1 标签 2 备注")
    private Integer retryState;

    /** 1删除 2新增 */
    @Excel(name = "1删除 2新增")
    private Integer retryType;

    /** 重试次数 */
    @Excel(name = "重试次数")
    private Integer retryNum;

    /** 失败的原因 */
    @Excel(name = "失败的原因")
    private String mark;

}
