package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企业朋友圈 发送到客户朋友里 成功的客户数据对象 qw_friend_customer_list
 * 
 * @author fs
 * @date 2024-09-18
 */
@Data
public class QwFriendCustomerList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 朋友圈id */
    @Excel(name = "朋友圈id")
    private String momentId;

    /** 发送成功的外部联系人userid */
    @Excel(name = "发送成功的外部联系人userid")
    private String externalUserid;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private String qwUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

}
