package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * ipad服务器对象 qw_ipad_server
 *
 * @author fs
 * @date 2025-04-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QwIpadServer extends BaseEntity{

    /** id */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 地址 */
    @Excel(name = "地址")
    private String addressId;

    /** ip */
    @Excel(name = "ip")
    private String ip;

    /** 地址 */
    @Excel(name = "地址")
    private String port;

    /** url */
    @Excel(name = "url")
    private String url;

    /** 总数 */
    @Excel(name = "总数")
    private Long totalCount;

    /** 剩余数量 */
    @Excel(name = "剩余数量")
    private Long count;


}
