package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * ipad服务器日志对象 qw_ipad_server_log
 *
 * @author fs
 * @date 2025-04-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QwIpadServerLog extends BaseEntity{

    /** $column.columnComment */
    private Long id;

    /** 服务器id */
    @Excel(name = "服务器id")
    private Long serverId;

    /** 企微用户 */
    @Excel(name = "企微用户")
    private Long qwUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司用户id */
    @Excel(name = "公司用户id")
    private Long companyUserId;

    /** 标题 */
    @Excel(name = "标题")
    private String tilie;

    /** 类别 1 绑定 2 解绑 */
    @Excel(name = "类别 1 绑定 2 解绑")
    private Integer type;


}
