package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * ipad用户对象 qw_ipad_server_user
 *
 * @author fs
 * @date 2025-04-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QwIpadServerUser extends BaseEntity{

    /** id */
    private Long id;

    /** 服务器id */
    @Excel(name = "服务器id")
    private Long serverId;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long qwUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司用户id */
    @Excel(name = "公司用户id")
    private Long companyUserId;


}
