package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企业微信素材分组对象 qw_material_group
 *
 * @author fs
 * @date 2024-06-20
 */
@Data
public class QwMaterialGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分组id */
    private Long materialGroupId;

    /** 分组名称 */
    @Excel(name = "分组名称")
    private String materialGroupName;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /**
    *  素材分类 1 普通素材组 2 朋友圈素材组
    */
    private Integer groupType;

    /**
    * 创建人id
    */
    private Long createUserId;

    private String corpId;

}
