package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企微客户标签对象 qw_tag
 *
 * @author fs
 * @date 2024-06-20
 */
@Data
public class QwTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 标签id */
    @Excel(name = "标签id")
    private String tagId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 标签组id */
    @Excel(name = "标签组id")
    private String groupId;

    /** 排序 */
    @Excel(name = "排序")
    private Integer order;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /**
     * 标签来源 0/null:其他应用 1:当前应用
     */
    private Integer tagFrom;



}
