package com.fs.qw.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;

import java.util.List;

/**
 * 企微获客链接管理对象 qw_work_link
 *
 * @author fs
 * @date 2025-01-10
 */
@Data
public class QwWorkLink extends BaseEntityTow {

    /** 链接类型0广告1外呼 */
    @Excel(name = "链接类型0广告1外呼")
    private Integer type;
    /** 部门ID */
    @Excel(name = "部门ID")
    private Integer deptId;
    /** 获客链接名称 */
    @Excel(name = "获客链接名称")
    private String linkName;

    /** 获客链接ID */
    @Excel(name = "获客链接ID")
    private String linkId;

    /** 获客链接地址 */
    @Excel(name = "获客链接地址")
    private String url;

    @Excel(name = "企微id")
    private String corpId;

    @TableField(exist = false)
    private List<Long> userIds;

}
