package com.fs.qw.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class ChatParam {
    /**
     * 群聊ID
     */
    @NotBlank(message = "客户群不能为空")
    private String chatId;
    /**
     * 群主企微ID
     */
    @NotNull(message = "群主企微账户不能为空")
    private Long qwId;
    /**
     * 群主ID
     */
    @NotBlank(message = "群主ID不能为空")
    private String owner;
}
