package com.fs.qw.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
@Data
public class QwAppContactWayLogsParam {
    private Long id;

    /** app联系我id */
    @Excel(name = "app联系我id")
    private Long appWayId;

    /** 渠道 */
    @Excel(name = "渠道")
    private String source;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司用户id */
    @Excel(name = "公司用户id")
    private Long companyUserId;

    /** 企业CorpID */
    @Excel(name = "企业CorpID")
    private String corpId;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long externalUserId;

    private Long qwUserId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sTime;
}
