package com.fs.qw.param;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class QwFsCustomerCourseSopParam  extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** qw_user表-企微的成员qw_user_id */
    private String qwUserid;

    private Long companyUserId;

    /** 企微外部联系人id */
    private String externalUserId;

    private Long externalContactId;

    private Long customerId;

    /**
     * 小程序ID
     */
    private Long miniUserId;


    /** 公司id */
    private Long companyId;


    /** qw_sop表主键 */
    private Long sopId;

    /** sop类型 （1：课程小节 2：直播） */
    private Long sopType;

    /** 关联ID */
    private Long businessId;

    /** 选择的课程SOP规则 */
    private String setting;

    private Integer days; //短链过期时间

    private String corpId;


}
