package com.fs.qw.param;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class QwUserVideoParam extends BaseEntity {

    /** $column.columnComment */
    private Long id;

    /** 授权码 */
    @Excel(name = "授权码")
    private Long appKey;

    /** 发送人名称 */
    private String senderName;

    /** 企微账号名称 */
    @Excel(name = "企微账号名称")
    private String qwUserName;

    /** 视频号id */
    @Excel(name = "视频号id")
    private Long objectId;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String coverUrl;

    /** 封面 */
    @Excel(name = "封面")
    private String thumbUrl;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 封面标题 */
    @Excel(name = "封面标题")
    private String nickname;

    /** 简介 */
    @Excel(name = "简介")
    private String desc;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String url;

    /** 标识 */
    @Excel(name = "标识")
    private String extras;
    /**
     * 公司id
     */
    private Long companyId;
}
