package com.fs.qw.param;

import com.fs.watch.param.BaseQueryParam;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class SelectQwWorkTaskListParam extends BaseQueryParam {
    /**
     * 企微用户ID
     */
    @NotBlank(message = "ID不能为空")
    private String qwUserId;
    /**
     * 时间 (yyyy-MM-dd)
     */
    @NotBlank(message = "时间不能为空")
    private String date;


    /**
     * 企微用户corpId
     */
    @NotBlank(message = "corpId不能为空")
    private String corpId;

    /**
    * 企业微信员工Qw_User的主键
    */
    private Long userId;

}
