package com.fs.qw.param;


import lombok.Data;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

@Data
public class SopExternalContactInfo {
    private String createTime;
    private String tagIds;
    private List<String> tagNames;
    private String remark;

    public SopExternalContactInfo(String createTime, List<String> tagNames, String tagIds,String remark) {
        this.createTime = createTime != null ? createTime : "无进线时间";
        this.tagNames = (tagNames != null && !tagNames.isEmpty()) ? tagNames : Collections.singletonList("无标签");
        this.tagIds = (tagIds != null && !tagIds.equals("[]")) ? tagIds : "无标签";
        this.remark = remark != null ? remark : "无备注";
    }
    public SopExternalContactInfo(String createTime, String tagIds,String remark) {
        this.createTime = createTime != null ? createTime : "无进线时间";
        this.tagNames = Collections.singletonList("无标签");
        this.tagIds = (tagIds != null && !tagIds.equals("[]")) ? tagIds : "无标签";
        this.remark = remark != null ? remark : "无备注";
    }

}
