package com.fs.qw.param.newparam;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
public class ContactTagListParam implements Serializable {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum =1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "用户id，不用传")
    private Long userId;

    @ApiModelProperty(value = "模糊搜索名称，多个用逗号隔开")
    private String keyword;

}

