package com.fs.qw.result;


public class ResultMessage {
    private int successNum = 0;
    private int failureNum = 0;
    private final StringBuilder errorMsg = new StringBuilder();

    public void addSuccess() {
        successNum++;
    }

    public void addFailure(String title, String error) {
        failureNum++;
        errorMsg.append("<br/>").append(title).append(" 失败：").append(error);
    }

    public String buildResultMessage() {
        return "成功" + successNum + " 条，失败" + failureNum + "条。" + errorMsg;
    }
}
