package com.fs.qw.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.qw.domain.QwGroupChatTransferLog;
import com.fs.qw.mapper.QwGroupChatTransferLogMapper;
import com.fs.qw.param.QwGroupChatTransferLogParam;
import com.fs.qw.service.IQwGroupChatTransferLogService;
import com.fs.qw.vo.QwGroupChatTransferLogVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
@Slf4j
public class QwGroupChatTransferLogServiceImpl extends ServiceImpl<QwGroupChatTransferLogMapper, QwGroupChatTransferLog>
        implements IQwGroupChatTransferLogService {

    /**
     * 查询客户群转移记录
     * @param param 参数
     * @return list
     */
    @Override
    public List<QwGroupChatTransferLogVO> selectQwGroupChatTransferVOList(QwGroupChatTransferLogParam param) {
        return baseMapper.selectQwGroupChatTransferVOList(param);
    }
}
