package com.fs.qw.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class QwAppContactWayLogsListVO {
    /** id */
    private Long id;

    /** app联系我id */

    private Long appWayId;

    /** 渠道 */
    @Excel(name = "渠道")
    private String source;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 公司id */

    private Long companyId;

    /** 公司用户id */

    private Long companyUserId;

    /** 企业CorpID */

    private String corpId;

    /** 外部联系人id */

    private Long externalUserId;

    private Long qwUserId;

    @Excel(name = "公司")
    private String companyName;
    @Excel(name = "销售")
    private String nickName;
    @Excel(name = "企微主体")
    private String corpName;
    @Excel(name = "企微员工")
    private String qwUserName;

    @Excel(name = "添加时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
