package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwExternalContactCrmVO {

    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private String externalUserId;

    private String openid;

    /** 外部联系人名称 */
    @Excel(name = "外部联系人名称")
    private String externalUserName;

    @Excel(name = "头像")
    private String avatar;

    /** crm_customer主键 */
    @Excel(name = "crm_customer主键")
    private Long customerId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private Long companyUserId;
}
