package com.fs.qw.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class QwGroupChatTransferLogVO {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 企微主体
     */
    private String corpId;
    /**
     * 转移类型 0:在职继承 1:离职继承
     */
    private Integer transferType;
    /**
     * 群聊名称
     */
    private String name;
    /**
     * 原群主(后台)
     */
    private String oldCompanyUserName;
    /**
     * 原群主(企微)
     */
    private String oldQwUserName;
    /**
     * 新群主(后台)
     */
    private String newCompanyUserName;
    /**
     * 新群主(企微)
     */
    private String newQwUserName;
    /**
     * 操作人
     */
    private String companyUserName;
    /**
     * 转移时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
