package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwGroupchatStatisticVO {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 群主ID */
    @Excel(name = "群主ID")
    private String owner;

    @Excel(name = "群主名称")
    private String ownerName;

    /** 日期，秒时间戳 */
    @Excel(name = "日期，秒时间戳")
    private Long dayTime;

    /** 新增客户群数量 */
    @Excel(name = "新增客户群数量")
    private Long newChatCnt;

    /** 截至当天客户群总数量 */
    @Excel(name = "截至当天客户群总数量")
    private Long chatTotal;

    /** 截至当天有发过消息的客户群数量 */
    @Excel(name = "截至当天有发过消息的客户群数量")
    private Long chatHasMsg;

    /** 客户群新增群人数 */
    @Excel(name = "客户群新增群人数")
    private Long newMemberCnt;

    /** 截至当天客户群总人数 */
    @Excel(name = "截至当天客户群总人数")
    private Long memberTotal;

    /** 截至当天有发过消息的群成员数 */
    @Excel(name = "截至当天有发过消息的群成员数")
    private Long memberHasMsg;

    /** 截至当天客户群消息总数 */
    @Excel(name = "截至当天客户群消息总数")
    private Long msgTotal;

    /** 截至当天新增迁移群数(仅教培行业返回) */
    @Excel(name = "截至当天新增迁移群数(仅教培行业返回)")
    private Long migrateTraineeChatCnt;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyid;

    @Excel(name = "日期")
    private String convertedDate;

}
