package com.fs.qw.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TransferCustomDTO implements Serializable {
    /**
     * 用户名
     */
    private String userName;
    private Long userId;
    /**
     * 转移前销售
     */
    private String beforeCompanyUserName;
    private Long beforeCompanyUserId;
    /**
     * 转移后销售
     */
    private String afterCompanyUserName;
    private Long afterCompanyUserId;
}
