package com.fs.qwApi.Params;

import lombok.Data;

/**
 *  获取企业群发成员执行结果参数
 */
@Data
public class QwGetGroupmsgSendParam {

    /**
     *  群发消息的id，通过获取群发记录列表接口返回
     */
    private String msgid;

    /**
     *  发送成员userid，通过获取群发成员发送任务列表接口返回
     */
    private String userid;

    /**
     *  返回的最大记录数，整型，最大值1000，默认值500，超过最大值时取默认值
     */
    private int limit;

    /**
     *  用于分页查询的游标，字符串类型，由上一次调用返回，首次调用可不填
     */
    private String cursor;
}
