package com.fs.qwApi.Params.Result;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class QwGetGroupmsgTaskResult {

    @JsonProperty("errcode")
    private int errCode;

    @JsonProperty("errmsg")
    private String errMsg;

    /**
     *  	分页游标，再下次请求时填写以获取之后分页的记录，如果已经没有更多的数据则返回空
     */
    @JsonProperty("next_cursor")
    private String nextCursor;

    /**
     *  	群发成员发送任务列表
     */
    @JsonProperty("task_list")
    private List<TaskItemResult> taskList;



}
