package com.fs.qwApi.Params.Result;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class QwTagMemberResult {

    @JsonProperty("errcode")
    private int errCode;

    @JsonProperty("errmsg")
    private String errMsg;

    /**
     *  	标签名
     */
    @JsonProperty("tagname")
    private String tagName;

    /**
     *  	标签中包含的成员列表
     */
    @JsonProperty("userlist")
    private List<UserInfo> userList;

    /**
     *  	标签中包含的部门id列表
     */
    @JsonProperty("partylist")
    private List<Integer> partyList;


@Data
public static class UserInfo {

    /**
     *  成员账号
     */
    @JsonProperty("userid")
    private String userId;

    /**
     *  成员名称
     */
    @JsonProperty("name")
    private String name;

    }
}
