package com.fs.qwApi.Result;

import lombok.Data;

import java.util.List;

/**
* 获取客户朋友圈的互动数据
*/

@Data
public class QwGetMomentCommentsParamResult {
    private int errcode;
    private String errmsg;
    /**
    * 评论列表
    */
    private List<Comment> comment_list;
    /**
    * 	点赞列表
    */
    private List<Like> like_list;

    @Data
    public static class Comment {
        /**
        * 评论的外部联系人userid
        */
        private String external_userid;
        /**
        * 	评论的企业成员userid，userid与external_userid不会同时出现
        */
        private String userid;
        /**
        * 评论时间
        */
        private long create_time;

    }

    @Data
    public static class Like {
        /**
        * 	点赞的外部联系人userid
        */
        private String external_userid;
        /**
        * 点赞的企业成员userid，userid与external_userid不会同时出现
        */
        private String userid;
        private long create_time;

    }
}
