package com.fs.qwApi.Result;


import lombok.Data;

import java.util.List;

/**
* 获取客户朋友圈发表时选择的可见范围
*/
@Data
public class QwGetMomentCustomerListResult {
    private int errcode;
    private String errmsg;
    private String next_cursor;
    /**
    * 成员可见客户列表
    */
    private List<Customer> customer_list;

    @Data
    public static class Customer {
        /**
        * 	发表成员用户userid
        */
        private String userid;
        /**
        * 发送成功的外部联系人userid
        */
        private String external_userid;

    }
}
