package com.fs.qwApi.Result;

import lombok.Data;

import java.util.List;

/**
*  获取客户朋友圈企业发表的列表-获取企业发表的朋友圈成员执行情况
*/
@Data
public class QwGetMomentTaskGResult {
    private int errcode;
    private String errmsg;
    private String next_cursor;
    /**
    * 发表任务列表
    */
    private List<Task> task_list;

    @Data
    public static class Task {
        /**
        * 发表成员用户userid
        */
        private String userid;
        /**
        * 成员发表状态。0:未发表 1：已发表
        */
        private int publish_status;

    }
}
