package com.fs.qwApi.Result;

import lombok.Data;

/**
*  上传附件资源(1：朋友圈；2:商品图册 专用)
*/
@Data
public class QwUploadAttachmentResult {

    private Integer errcode;
    private String errmsg;

    /**
    * 	媒体文件类型，分别有图片（image）、视频（video）、 普通文件(file)、语音（voice)
    */
    private String type;

    /**
    * 媒体文件上传后获取的唯一标识，三天有效，可使用获取临时素材接口获取
    */
    private String media_id;
    /**
    * 媒体文件上传时间戳
    */
    private Long created_at;
}
