package com.fs.qwApi.Result;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class QwUploadResult {

    @JsonProperty("errcode")
    private int errCode;

    @JsonProperty("errmsg")
    private String errMsg;

    /**
     *  	媒体文件类型，分别有图片（image）、语音（voice）、视频（video），普通文件(file)
     */
    @JsonProperty("type")
    private String type;

    /**
     *  媒体文件上传后获取的唯一标识，3天内有效
     */
    @JsonProperty("media_id")
    private String mediaId;

    /**
     *  媒体文件上传时间戳
     */
    @JsonProperty("created_at")
    private String createdAt;

}
