package com.fs.qwApi.Result;

import lombok.Data;

import java.util.List;

@Data
public class QwUseridToOpenUseridResult {
    private int errcode;
    private String errmsg;
    private List<UserIdMapping> open_userid_list;
    /**
    * 转换失败的userid
    */
    private List<String> invalid_userid_list;


    @Data
    public static class UserIdMapping {
        /**
        * 转换成功的userid
        */
        private String userid;
        /**
        * 转换成功的userid对应的该服务商应用下的成员ID
        */
        private String open_userid;

    }

}
