package com.fs.qwApi.domain;

import lombok.Data;

import java.util.List;

@Data
public class QwUnassignedListResult {
    private int errcode; // 错误码
    private String errmsg; // 错误消息
    private List<InfoEntry> info; // 信息列表
    private boolean is_last; // 是否是最后一页
    private String next_cursor; // 下一个游标
    @Data
    public static class InfoEntry {
        private String handover_userid; // 移交用户ID
        private String external_userid; // 外部用户ID
        private long dimission_time; // 离职时间
    }
}
