package com.fs.qwApi.domain;

import lombok.Data;

@Data
public class QwWorkMsg {
    //聊天消息
    private int type; // 聊天消息100   好友申请通知 200   输入登录验证码通知 901  推出登录 900  系统弹窗 1000
    private int msgType; // 消息类型
    private String msgId; // 消息ID
    private String userId; // 聊天用户ID/群ID
    private String[] atList; // 群消息艾特人列表，艾特所有人就是【notify@all】
    private String content; // 消息内容【可变字段】
    private String sender; // 如果是群消息，该参数为发送者的用户ID，否则为空
    private long timeStamp; // 发送时间
    private int isSelfMsg; // 是否是自己发送的消息 0:别人发来的 1:自己发的
    private int isPcMsg; // 是否是PC端发送的消息(仅用于判断自己发送的消息，别人发送的都是0) 0:否 1:是
    private String selfUserId; // 自己的用户ID
    private int port; // DLL的端口号

    //好友申请通知
    private int addSource; // 添加来源
    private String sourceChatRoomId; // 来源群ID
    private String inviteUserId; // 邀请人的用户ID
    private String msg; // 打招呼消息
    private String corpId; // 公司ID
    private String nickName; // 昵称
    private String avatarUrl; // 头像地址
    private int sex; // 性别
    private String mobile; // 手机号



}
