package com.fs.qwApi.param;

import lombok.Data;

@Data
public class QwGroupWelcomeTemplateParam {


    private String templateId;
    /**
     *  消息文本内容
     */
    private  String content;

    /** 图片的media_id，可以通过素材管理接口获得 */
    private String imageMediaId;

    /** 图片的链接，仅可使用上传图片接口得到的链接 */
    private String imagePicUrl;

    /**
     *  图文消息标题，最长为128字节
     */
    private String linkTitle;

    /**
     * 图文消息封面的url
     */
    private String linkPicurl;

    /**
     *  图文消息的描述
     */
    private String linkDesc;


    /**
     *  图文消息的链接
     */
    private String linkUrl;

    /** 	小程序消息标题 */
    private String miniprogramTitle;

    /** 	小程序消息封面的mediaid */
    private String miniprogramPicMediaId;

    /** 	小程序appid，必须是关联到企业的小程序应用 */
    private String miniprogramAppid;

    /** 小程序page路径 */
    private String miniprogramPage;

    /** 文件id，可以通过素材管理、异步上传临时素材接口获得 */
    private String fileMediaId;

    /** 视频媒体文件id，可以通过素材管理、异步上传临时素材接口获得 */
    private  String videoMediaId;

    /**
     *  是否通知成员将这条入群欢迎语应用到客户群中，0-不通知，1-通知， 不填则通知
     */
    private Boolean notify;

    /**
     *  选择的上传素材类型
     */
    private int type;

    /**
     *  文件上传时间
     */
    private String createdAt;
}
