package com.fs.qwApi.param;

import lombok.Data;

import java.util.List;

@Data
public class QwLinkCreateParam {
    private String link_id; // 修改使用
    private String link_name; // 链接名
    private Range range; // 范围
    private boolean skip_verify = true; // 是否跳过验证
    private PriorityOption priority_option; // 优先选项


    @Data
    public static
    class Range {
        private List<String> user_list;
        private List<Integer> department_list;


    }
    @Data
    // 优先选项信息类
    class PriorityOption {
        private int priority_type;
        private List<String> priority_user_id_list;

    }
}
