package com.fs.sms.domain;

import lombok.Data;

import java.util.List;

@Data
public class SmsShowTempReturn {
    private String result; // 结果代码
    private String desc; // 描述信息
    private List<TemplateIdItem> templateIds; // 模板ID列表

   @Data
    public static class TemplateIdItem {
        private String templateId; // 模板ID
        private String state; // 模板状态 0：待审核；1：审核通过；2：无效id/审核不通过
        private String desc; // 描述信息
    }
}
