package com.fs.sop.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 打标签详细对象 qw_sop_tag_logs
 *
 * @author fs
 * @date 2025-02-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QwSopTagLogs extends BaseEntity{

    /** id */
    private Long id;

    /** 1 普通打标签 2 特殊打标签 */
    @Excel(name = "1 普通打标签 2 特殊打标签")
    private Long type;

    /** id */
    @Excel(name = "id")
    private Long sopTagId;

    /** 营期id */
    @Excel(name = "营期id")
    private String sopUserLogsId;

    /** 添加标签 */
    @Excel(name = "添加标签")
    private String addTag;

    /** 删除标签 */
    @Excel(name = "删除标签")
    private String delTag;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long extId;

    /** 1 正常  2 失败 */
    @Excel(name = "1 正常  2 失败")
    private Long status;


}
