package com.fs.sop.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * sop任务模板规则对象 qw_sop_temp_rules
 *
 * @author fs
 * @date 2025-02-06
 */
@Data
public class QwSopTempDay {

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 模板ID */
    @Excel(name = "模板ID")
    private String tempId;

    /** 模板ID */
    @Excel(name = "名称")
    private String name;

    /** 天数 */
    @Excel(name = "天数")
    private Integer dayNum;

    /** 天数 */
    @Excel(name = "天数")
    private Integer sorts;

    /** 语言生成状态0正常1生成中 */
    @Excel(name = "语言生成状态0正常1生成中")
    private Integer voice;

    @TableField(exist = false)
    private List<QwSopTempRules> list = new ArrayList<>();
}
