package com.fs.sop.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 模板对应的销售语音文件对象 qw_sop_temp_voice
 *
 * @author fs
 * @date 2025-02-13
 */
@Data
public class QwSopTempVoice{

    /** id */
    @TableId
    private Long id;

    @Excel(name = "销售用户ID")
    private Long companyUserId;

    @Excel(name = "销售公司ID")
    private Long companyId;

    /** 模板ID */
    @Excel(name = "模板ID")
    private String tempId;

    /** 模板规则ID */
    @Excel(name = "模板规则ID")
    private Long ruleId;

    /** 模板规则ID */
    @Excel(name = "模板规则ID")
    private Long dayId;

    /** 模板内容ID */
    @Excel(name = "模板内容ID")
    private Long contentId;

    /** 语音文本 */
    @Excel(name = "语音文本")
    private String voiceTxt;

    /** 语音文件路径 */
    @Excel(name = "语音文件路径")
    private String voiceUrl;

    /** 语音文件路径 */
    @Excel(name = "秒")
    private Integer duration;
    /** 语音文件路径 */
    @Excel(name = "秒")
    private LocalDateTime createTime;


}
