package com.fs.sop.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;

@Data
public class SopUserLogs implements Serializable {
    private String id;
    private String sopId;
    private String sopTempId;

    private String qwUserId;
    private String chatId;
    private String corpId;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String startTime;
    /**
     * 状态 0 删除 1启用 2停用
     */
    private Integer status;
    private String userId;

    @TableField(exist = false)
    private Integer countDays;
    @TableField(exist = false)
    private String chatName;



}
