package com.fs.sop.params;

import lombok.Data;

import java.util.List;

@Data
public class QwSopSettingParamsTwo {
    /**
    * 规则名称
    */
    private String name;

    /**
    * 发送时间的类型 1 开始时间 2、几天几点后
    */
    private int type;
    /**
    * 发送内容
    */
    private List<QwSopSettingParams.Content> content;

    private String day;
    private String minute;
    private String time;

    private String DayTime;


    @Data
    public static class Content {
        /**
        *   1、文本 2、图片
        */
        private int type;
        /**
        * 内容
        */
        private String value;
        /**
        * 是否绑定url 0、不绑定 1、绑定
        */
        private String isBindUrl;
        /**
        * 链接
        */
        private String url;

        /**
        * 图片url
        */
        private String imgUrl;
    }
}
