package com.fs.sop.params;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;

@Data
public class SopUserLogsInfoInComVO implements Serializable {
    private String id;
    private String sopId;
    private String userLogsId;
    private String externalContactId;
    private String qwUserId;
    private String corpId;
    private Long externalId;
    private Long fsUserId;
    private String externalUserName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String crtTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updateTime;

    /**
     * 进线时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String inComLineTime;
}
