package com.fs.sop.params;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;

@Data
public class SopUserLogsParam implements Serializable {
    private String id;
    private String sopId;
    private String sopTempId;

    private String qwUserId;
    private String corpId;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String startTime;
    /**
     * 状态 0 删除 1启用 2停用
     */
    private Integer status;
    private String userId;

    private Integer countDays;

    private String externalUserName;



}
