package com.fs.sop.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class SopUserLogsInfoVOE {
    @Excel(name = "SOP规则编号")
    private String sopId;

    @Excel(name = "营期编号")
    private String userLogsId;

    private Long externalId;

    @Excel(name = "营期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String startTime;

    @Excel(name = "员工企微账号")
    private String qwUserId;

    @Excel(name = "主体编号")
    private String corpId;

    @Excel(name = "客户名称")
    private String externalUserName;

    @Excel(name = "进线时间")
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String inComTime;

    @Excel(name = "备注")
    @TableField(exist = false)
    private String remark;

    @Excel(name = "头像")
    @TableField(exist = false)
    private String avatar;

    @Excel(name = "备注电话")
    @TableField(exist = false)
    private String remark_mobiles;

    @Excel(name = "小程序账号")
    @TableField(exist = false)
    private String fsUserId;


}
