package com.fs.sop.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDate;

@Data
public class SopUserLogsInfoVo {
    private String id;
    private String sopId;
    private String sopLogsId;
    private String externalId;
    private String sopLogsInfoId;
    private String qwUserId;
    private String corpId;
    private String fsUserId;
    private String externalUserName;
    private String externalUserId;
    private String externalContactId;

    private Integer minConversionDay;
    private Integer maxConversionDay;
    private Integer minSend;
    private Integer maxSend;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;

    private LocalDate createDate;
    private boolean minIsSend;
    private boolean maxIsSend;
    private String crtTime;
}
