package com.fs.statis.domain;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 企微临时参数统计实体
 * Corresponds to the fs_statis_qw_temp_param table
 */
@Data
public class FsStatisQwTempParam implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    private Integer id;

    /**
     * 销售id
     */
    private Long companyUserId;

    /**
     * 当天时间
     */
    private LocalDate thisDate;

    /**
     * 企微id
     */
    private Long qwUserId;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 公司
     */
    private Long companyId;

}
