package com.fs.statis.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 会员观看、完播人数趋势图
 */
@Data
public class WatchEndPlayTrendDTO implements Serializable {

    /**
     * 日期 如果是今日，昨日，都是小时
     */
    private String startDate;
    /**
     * x轴
     */
    private String x;
    /**
     * 总数
     */
    private Long watchUserCount;
    /**
     * 完播数
     */
    private Long completedUserCount;
}
