package com.fs.statis.vo;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class FsStatsMemberDailyVO {
    /**
     * 统计日期
     */
    private String statDate;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 用户姓名
     */
    private String realName;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 标签
     */
    private String tag;
    /**
     * 公司ID
     */
    private Long companyId;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 销售ID
     */
    private Long companyUserId;
    /**
     * 销售名称
     */
    private String companyUserName;
    /**
     * 课程数量
     */
    private Long count;
    /**
     * 完课数量
     */
    private Long overCount;
    /**
     * 观看次数
     */
    private Long watchCount;
    /**
     * 观看时长
     */
    private Long watchDuration;
    /**
     * 答题次数
     */
    private Long answerCount;
    /**
     * 正确次数
     */
    private Long answerCorrectCount;
    /**
     * 红包个数
     */
    private Long redPacketCount;
    /**
     * 红包金额
     */
    private BigDecimal redPacketAmount;
}
