package com.fs.store.vo.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 首页-漏斗图统计
 */
@Data
@ApiModel
@Accessors(chain = true)
public class FsUserGraphicStatisticsVO {

    @ApiModelProperty(value = "统计名称")
    private String name;

    @ApiModelProperty(value = "显示文本值")
    private int contextValue;

    @ApiModelProperty(value = "统计值")
    private int value;

    public FsUserGraphicStatisticsVO() {

    }

    public FsUserGraphicStatisticsVO(String name, int contextValue, int value) {
        this.name = name;
        this.contextValue = contextValue;
        this.value = value;
    }
}
