package com.fs.store.vo.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 首页-销售数据排行榜
 */
@Data
@ApiModel
@Accessors(chain = true)
public class FsUserRankingVO {

    @ApiModelProperty(value = "销售名称")
    private String userName;

    @ApiModelProperty(value = "完播率")
    private BigDecimal completeRate;

    @ApiModelProperty(value = "正确率")
    private BigDecimal answerRightRate;

}
