package com.fs.store.vo.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 用户会员详情 输出参数
 */
@Data
@ApiModel
public class UserDetailsVO {

    @ApiModelProperty(value = "答题次数")
    private int answerTime;

    @ApiModelProperty(value = "答题正确次数")
    private int answerRightTime;

    @ApiModelProperty(value = "答题红包数")
    private int answerRedPacketTime;

    @ApiModelProperty(value = "答题红包金额")
    private BigDecimal answerRedPacketAmount;

    @ApiModelProperty(value = "完播次数")
    private int completeWatchCount;

    @ApiModelProperty(value = "观看次数")
    private int watchTimes;



}
