package com.fs.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 用户设置对象 sys_user_set
 *
 * @author fs
 * @date 2025-06-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SysUserSet extends BaseEntity{

    /** 系统用户id */
    private Long userId;

    /** 价格显示比例 */
    @Excel(name = "价格显示比例")
    private int rate;


}
