package com.fs.tzBankPay.doman;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderShareParam {
    private String trxSendTime; // 交易发送时间
    private String outOrderNo; // 分账流水号
    private String oldPayOutOrderNo; // 旧的支付外部订单号
    private String platMerCstNo; // 平台商户客户号
    private String platMerCstName; // 平台商户客户名称
    private double trxAmt; // 交易金额
    private String notifyURL; // 通知URL
    private List<sharers> sharers; // 分享者列表

    @Data
    public static class sharers {
        private double shareAmt;    // 分账金额
        private String sharerCstNo;     // 分账方支付平台客户号
        private String sharerCstName;   // 核心企业客户号
    }
}
