package com.fs.tzBankPay.doman;

import lombok.Data;

@Data
public class OrderShareResult {
    private String shareOrdStatus; // 订单状态（60 - 分账中，70 - 分账失败，90 - 分账成功）
    private String outOrderNo; // 商户生成的分账订单号
    private String shareOrderNo; // 行方生成的支付平台分账订单号，由分账申请接口返回
    private double trxAmt; // 交易金额
    private Double feeAmt; // 分账手续费金额（可选）
    private String platMerCstNo; // 平台商户号
    private String platMerCstName; // 平台商户名称
    private String notifyURL; // 商户后台通知地址（可选，冗余字段，可不送）


}
