package com.fs.tzBankPay.doman;

import lombok.Data;

@Data
public class QueryOrderResult {
    private String payType; // 付款类型 枚举:04 快捷支付 06 企业白条支付 07 台行APP支付 15 微信公众号支付 16 微信二维码支付 26 支付宝PC网页支付 28 余额支付 44 云闪付 45 台州银行卡及银座村镇银行卡支付 46 B2B网银支付 47 B2C网银支付
    private String chlTrxId; // 渠道交易ID
    private String trxPaySource; // 交易支付来源 00-PC；01-APP；02-H5
    private String bankType; // 银行类型
    private double fee; // 商户手续费 订单状态为成功时返回，也业务协议为准，现阶段都是0
    private String merName; // 商户名称
    private String trxEnterpriseAuthStatus; // 企业认证状态
    private String payCstNo; // 付款客户号
    private String status; // 交易状态 10-初始状态，60-交易中，70-交易失败，80-订单关闭，90-交易成功
    private String loanPayOrder; //当支付方式为白条支付时，会返回该字段；其含义为在支付平台在白条系统的订单号
    private String payReturnUrl; //预下单传了返回地址，此字段会返回相应数据
}
