package com.fs.tzBankPay.doman;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class TzBankOrderDecrypt {
    // 实际金额
    private double actualyAmt;

    // 订单流水号
    private String orderFlowNo;

    // 渠道交易ID
    private String chlTrxId;

    // 订单号
    private String orderNo;

    // 支付类型
    private String payType;

    // 成功时间
    private String succTime;

    // 成功交易金额
    private BigDecimal succTrxAmt;

    // 手续费
    private BigDecimal fee;

    // 签名信息
    private String xSign;

    // 状态
    private String status;
}
