package com.fs.watch.domain;

import lombok.Data;

@Data
public class IotSim {
    //物联网卡ICCID号
    private String iccid;

    //物联网卡卡号
    private String msisdn;

    //
    private String imsi;

    //当前状态 5=已激活 6=已停用
    private Integer status;

    //
    private String addedTime;

    //当月总流量，单位MB
    private Integer totalFlowSize;

    //当月已使用流量，单位MB
    private Integer usedFlowSize;

    //物联网卡运营商类型：1=移动 2=联通 3=电信
    private Integer operatorType;

    //可用资费代码的类型ID（为物联网卡续费时，物联网卡的planCateID必须和 资费计划的planCateID一致）
    private Integer planCateID;

    //当前套餐代码
    private String currentPlanCode;

    //当前套餐名称
    private String currentPlanName;

    //套餐失效时间
    private String currentPlanExpireTime;

    //套餐开始时间
    private String currentPlanStartTime;

    //下期套餐代码
    private String nextPlanCode;

    //下期套餐名称
    private String nextPlanName;

    //实名状态 0 未认证  1 已认证 2人工审核中
    private Integer certified;
}
