package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

/**
 * 设备睡眠原始数据，储存用于算法计算睡眠结果
 * @TableName watch_sleep_data
 */
public class WatchSleepData implements Serializable {
    private static final long serialVersionUID = 686006915797711541L;
    /**
     * 主键id
     */
    private UUID id;
    /**
     * 设备编号
     */
    private String deviceId;
    /**
     * 1-true,0-false
     */
    private Integer charget;
    /**
     * 1-true,0-false
     */
    private Integer shutdown;
    /**
     * 数据统计
     */
    private Integer dataCount;
    /**
     * sleep_str
     */
    private String sleepStr;
    /**
     * seq
     */
    private Integer seq;
    /**
     * 创建时间
     */
    private String createTime;


    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public Integer getCharget() {
        return charget;
    }

    public void setCharget(Integer charget) {
        this.charget = charget;
    }

    public Integer getShutdown() {
        return shutdown;
    }

    public void setShutdown(Integer shutdown) {
        this.shutdown = shutdown;
    }

    public Integer getDataCount() {
        return dataCount;
    }

    public void setDataCount(Integer dataCount) {
        this.dataCount = dataCount;
    }

    public String getSleepStr() {
        return sleepStr;
    }

    public void setSleepStr(String sleepStr) {
        this.sleepStr = sleepStr;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 1-true,0-false
//     */
//    private Integer charget;
//
//    /**
//     * 1-true,0-false
//     */
//    private Integer shutdown;
//
//    /**
//     * 数据统计
//     */
//    private Integer dataCount;
//
//    /**
//     * sleep_str
//     */
//    private String sleepStr;
//
//    /**
//     * seq
//     */
//    private Integer seq;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 1-true,0-false
//     */
//    public Integer getCharget() {
//        return charget;
//    }
//
//    /**
//     * 1-true,0-false
//     */
//    public void setCharget(Integer charget) {
//        this.charget = charget;
//    }
//
//    /**
//     * 1-true,0-false
//     */
//    public Integer getShutdown() {
//        return shutdown;
//    }
//
//    /**
//     * 1-true,0-false
//     */
//    public void setShutdown(Integer shutdown) {
//        this.shutdown = shutdown;
//    }
//
//    /**
//     * 数据统计
//     */
//    public Integer getDataCount() {
//        return dataCount;
//    }
//
//    /**
//     * 数据统计
//     */
//    public void setDataCount(Integer dataCount) {
//        this.dataCount = dataCount;
//    }
//
//    /**
//     * sleep_str
//     */
//    public String getSleepStr() {
//        return sleepStr;
//    }
//
//    /**
//     * sleep_str
//     */
//    public void setSleepStr(String sleepStr) {
//        this.sleepStr = sleepStr;
//    }
//
//    /**
//     * seq
//     */
//    public Integer getSeq() {
//        return seq;
//    }
//
//    /**
//     * seq
//     */
//    public void setSeq(Integer seq) {
//        this.seq = seq;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchSleepData other = (WatchSleepData) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getCharget() == null ? other.getCharget() == null : this.getCharget().equals(other.getCharget()))
//            && (this.getShutdown() == null ? other.getShutdown() == null : this.getShutdown().equals(other.getShutdown()))
//            && (this.getDataCount() == null ? other.getDataCount() == null : this.getDataCount().equals(other.getDataCount()))
//            && (this.getSleepStr() == null ? other.getSleepStr() == null : this.getSleepStr().equals(other.getSleepStr()))
//            && (this.getSeq() == null ? other.getSeq() == null : this.getSeq().equals(other.getSeq()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getCharget() == null) ? 0 : getCharget().hashCode());
//        result = prime * result + ((getShutdown() == null) ? 0 : getShutdown().hashCode());
//        result = prime * result + ((getDataCount() == null) ? 0 : getDataCount().hashCode());
//        result = prime * result + ((getSleepStr() == null) ? 0 : getSleepStr().hashCode());
//        result = prime * result + ((getSeq() == null) ? 0 : getSeq().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", charget=").append(charget);
//        sb.append(", shutdown=").append(shutdown);
//        sb.append(", dataCount=").append(dataCount);
//        sb.append(", sleepStr=").append(sleepStr);
//        sb.append(", seq=").append(seq);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
