package com.fs.watch.domain.vo;

import com.fs.common.annotation.Excel;
import com.fs.watch.domain.*;
import lombok.Data;

@Data
public class DeviceSetupVo {
    /** 绑定设备id */
    private String deviceId;

    /** 智慧医生 0:关闭 1:打开 */
    @Excel(name = "智慧医生 0:关闭 1:打开")
    private Integer smartDoctor;

    /** 久坐提醒 */
    @Excel(name = "久坐提醒")
    private DeviceSedentary sedentary;

    /** 跌倒检测 0:关闭 1:打开 */
    @Excel(name = "跌倒检测 0:关闭 1:打开")
    private Integer fallcheck;

    /** 心脏健康 0:关闭 1:打开 */
    @Excel(name = "心脏健康 0:关闭 1:打开")
    private Integer heartHealth;

    /** 心率指导 */
    @Excel(name = "心率指导")
    private DeviceHralarm hralarm;

    /** 血氧预警 */
    @Excel(name = "血氧预警")
    private DeviceSpo2alarm spo2alarm;

    /** 闹钟&日程 */
    @Excel(name = "闹钟&日程")
    private DeviceAlarmClock alarmClock;

    /** 省电设置 */
    @Excel(name = "省电设置")
    private DevicePower power;

    /** 常用联系人 */
    @Excel(name = "常用联系人")
    private DevicePhonebooks phonebooks;

    /** 日期与时间 */
    @Excel(name = "日期与时间")
    private DeviceTime time;

    /** 翻腕亮屏 */
    @Excel(name = "翻腕亮屏")
    private DeviceLcdgesture lcdgesture;

    /** 单位设置 */
    @Excel(name = "单位设置")
    private DeviceUnit unit;

    /** 手表模式 */
    @Excel(name = "手表模式")
    private DeviceMode mode;

    /** 固件升级 */
    @Excel(name = "固件升级")
    private String version;
}
