package com.fs.watch.mapper;


import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.watch.domain.WatchAccelerometerData;
import org.apache.ibatis.annotations.Param;

/**
* @author Administrator
* @description 针对表【watch_accelerometer_data(设备accelerometer数据)】的数据库操作Mapper
* @createDate 2024-10-15 11:06:50
* @Entity watch.domain.WatchAccelerometerData
*/
public interface WatchAccelerometerDataMapper{


    /**
     * 添加
     */
    @DataSource(DataSourceType.CLICKHOUSE)
    void insert(@Param("data")WatchAccelerometerData data);

    /**
     * 判断创建时间是否唯一
     */
    @DataSource(DataSourceType.CLICKHOUSE)
    Integer queryByCreateTime(@Param("createTime") String createTime);

    @DataSource(DataSourceType.CLICKHOUSE)
    WatchAccelerometerData getLastByDeviceId(String deviceId);
}
