package com.fs.watch.mapper;

import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.watch.domain.WatchThirdBkData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【watch_third_bk_data(设备三方血酮)】的数据库操作Mapper
* @createDate 2024-10-15 11:06:51
* @Entity watch.domain.WatchThirdBkData
*/
public interface WatchThirdBkDataMapper{


    @DataSource(DataSourceType.CLICKHOUSE)
    Integer queryByCreateTime(@Param("createTime") String createTime);

    @DataSource(DataSourceType.CLICKHOUSE)
    void insert(@Param("data") WatchThirdBkData watchThirdBkData);

    @DataSource(DataSourceType.CLICKHOUSE)
    List<WatchThirdBkData> queryByDateAndDeviceId(@Param("date") String date, @Param("deviceId") String deviceId);

    @DataSource(DataSourceType.CLICKHOUSE)
    WatchThirdBkData getLatest(@Param("deviceId") String deviceId);
}
