package com.fs.watch.service;


import com.fs.watch.domain.WatchDeviceStatus;

/**
 * 设备原始回传信息记录(WatchDeviceStatus)表服务接口
 *
 * @author makejava
 * @since 2024-12-17 15:11:06
 */
public interface WatchDeviceStatusService {



    /**
     * 新增数据
     *
     * @param watchDeviceStatus 实例对象
     * @return 实例对象
     */
    Boolean insert(WatchDeviceStatus watchDeviceStatus);

    /**
     * 根据设备id查询最新数据
     * @param deviceNumber
     * @return
     */
    WatchDeviceStatus getLastByDeviceId(String deviceNumber);
}
