package com.fs.wxUser.param;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.security.core.parameters.P;

import java.util.List;

@Data
public class CompanyWxUserParam  extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 所属销售ID */
    @Excel(name = "所属销售ID")
    private Long companyUserId;

    /**
    * 销售名称
    */
    private String companyUserName;

    /** 微信昵称 */
    @Excel(name = "微信昵称")
    private String nickName;

    /** 微信号 */
    @Excel(name = "微信号")
    private String weixinId;

    /** 状态 1正常 0禁用 */
    @Excel(name = "状态 1正常 0禁用")
    private Integer status;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;


    private String groupName;

    //根据分组查询用
    private List<Long> uniqueGroupIds;
}
