package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxWorkCheckCodeDTO {
    /**
     * UUID
     * <p>
     * 唯一标识符，用于全局唯一标识该二维码信息。
     * </p>
     */
    private String uuid;
    /**
     * 二维码Key
     * <p>
     *  qr_codekey,二维码的Key值，用于关联具体的二维码图片或数据。
     * </p>
     */
    private String qrcodeKey;
    /**
     * 验证码
     * <p>
     * 验证码,用于进行安全验证或其他操作。
     * </p>
     */
    private String code;

}
