package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxWorkSendTextMsgDTO {
    /**
     * 消息的唯一标识符 (UUID)
     */
    private String uuid;
    /**
     * 发送者用户 ID
     */
    private Long send_userid;
    /**
     * 是否为群组消息
     * <p>
     *  true: 群组消息; false: 单聊消息
     * </p>
     *
     */
    private Boolean isRoom;
    /**
     * 消息内容
     */
    private String content;

}
