package com.fs.wxwork.dto;

import java.util.List;

public class WxWorkSendTextMsgRespDTO {
    /**
     * 接收者用户 ID
     */
    private Long receiver;
    /**
     * 发送者用户 ID
     */
    private Long sender;
    /**
     * 被 @ 的用户 ID 列表
     */
    private List<Long> atList;
    /**
     * 发送者名称
     */
    private String senderName;
    /**
     * 应用信息（来源等）
     */
    private String appInfo;
    /**
     * 是否为群组消息
     * <p>
     * 0: 单聊消息; 1: 群组消息 (根据您的 JSON 数据，这里 0 表示单聊)
     * </p>
     */
    private Integer isRoom;
    /**
     * 消息发送时间 (Unix 时间戳，秒)
     */
    private Long sendtime;
    /**
     * 消息 ID (客户端生成)
     */
    private Long msgId;
    /**
     * 消息 ID (服务器生成)
     */
    private Long serverId;
    /**
     * 消息类型
     */
    private Integer msgtype;
    /**
     * 消息内容
     */
    private String content;
}
