package com.fs.wxwork.dto;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

@Data
public class WxwLoginOutRespDTO {
    /**
     * 状态码
     * <p>
     * 表示请求处理结果的状态码，通常0表示成功。
     * </p>
     */
    private Integer code;
    /**
     * 错误消息
     * <p>
     * 当请求处理失败时，用于描述错误的具体信息。
     * 成功时通常为 "ok"。
     * </p>
     */
    private String errMsg;
    /**
     * 业务对象
     * <p>
     * 具体的业务数据对象，类型根据实际业务而定。
     * 当请求成功且有数据返回时，此字段包含业务数据。
     * </p>
     */
    private JSONObject obj;

}
