package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 撤回消息请求参数 DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwRevokeMsgDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要撤回的消息id
     */
    private Integer msgid;

    /**
     * 如果撤回的消息是群消息，则填写群id，联系人消息则填0
     */
    private Long roomid;
}
