package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送CDN文件消息响应DTO
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendCDNFileMsgRespDTO {

    /**
     * 接收者
     */
    private Long receiver;

    /**
     * cdn_key
     */
    private String cdn_key;

    /**
     * 文件名
     */
    private String file_name;

    /**
     * 发送者名称
     */
    private String sender_name;

    /**
     * 是否是群消息 0 否 1是
     */
    private Integer is_room;

    /**
     * 服务器ID
     */
    private Long server_id;
    /**
     * 文件大小
     */
    private Integer size;

    /**
     * 来源信息
     */
    private String app_info;
    /**
     * 发送方
     */
    private Long sender;
    /**
     * aeskey
     */
    private  String aes_key;
    /**
     * 发送时间
     */
    private Long sendtime;
    /**
     * 消息id
     */
    private Long msg_id;

    /**
     * 消息类型
     */
    private Integer msgtype;

    /**
     * md5
     */
    private String md5;

}
