package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送CDN语音消息 返回DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendCDNVoiceMsgRespDTO {

    /**
     * 接收者
     */
    private Long receiver;

    /**
     * cdn_key
     */
    private String cdn_key;

    /**
     * 文件名
     */
    private String file_name;

    /**
     * 发送者名称
     */
    private String sender_name;

    /**
     * 是否是群消息
     */
    private Integer is_room;


    /**
     * app信息
     */
    private  String app_info;

    /**
     * 服务器ID
     */
    private Long server_id;

    /**
     * 大小
     */
    private Integer size;

    /**
     * 发送者
     */
    private Long sender;

    /**
     * aes_key
     */
    private String aes_key;

    /**
     * 发送时间
     */
    private Integer sendtime;

    /**
     * 消息ID
     */
    private Long msg_id;

    /**
     * 消息类型
     */
    private Integer msgtype;

    /**
     * md5
     */
    private String md5;
}
