package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxwSendLinkMsgDTO {
    /**
     * 唯一标识符
     */
    private String uuid;
    /**
     * 发送者用户ID
     */
    private Long sendUserid;
    /**
     * 链接地址
     */
    private String url;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String content;
    /**
     * 图片链接地址
     */
    private String imgurl;
    /**
     * 是否为房间
     * <p>
     *     true:是
     *     false:不是
     * </p>
     */
    private Boolean isRoom;
}
