package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxwSendLinkMsgRespDTO {
    /**
     * 描述信息
     */
    private String des;
    /**
     * 接收者ID
     */
    private Long receiver;
    /**
     * 头像链接
     */
    private String headImg;
    /**
     * 发送者ID
     */
    private Long sender;
    /**
     * 发送者名称
     */
    private String senderName;
    /**
     * 应用信息
     */
    private String appInfo;
    /**
     * 是否为群聊消息
     * <p>
     * 0: 否  <br>
     * 1: 是
     * </p>
     */
    private Integer isRoom;
    /**
     * 发送时间 (Unix 时间戳, 秒)
     */
    private Long sendtime;
    /**
     * 消息ID
     */
    private Long msgId;
    /**
     * 服务器ID
     */
    private Long serverId;
    /**
     * 标题
     */
    private String title;
    /**
     * 消息类型
     */
    private Integer msgtype;
    /**
     * 链接地址
     */
    private String url;
}
