package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送位置消息请求DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendLocationMsgDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要发送的人或群id
     */
    private Long send_userid;

    /**
     * 是否是群消息
     */
    private Boolean isRoom;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 地址
     */
    private String address;
    /**
     * 详细地址
     */
    private String detailed_address;
}
