package com.fs.wxwork.dto;

import lombok.Data;

import java.util.List;

/**
 * 发送CDN图片消息 请求参数DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendTextAtMsgTwoDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要发送的人或群id
     */
    private Long send_userid;

    /**
     * 是否是群消息
     */
    private Boolean isRoom;

    /**
     *  消息内容
     */
     private List<ContentvaDTO> contentva;

    /**
     * 消息内容
     */
    @Data
    public static class ContentvaDTO {
        /**
         * 消息类型 0 文本 5 图片
         */
        private Integer msgtype;

        /**
         * 消息类型为0是文本内容
         */
        private String content;

        /**
         * msgtype为5是 图片id
         */
        private Long vid;
    }


}
