package com.fs.wxwork.dto;

import lombok.Data;

import java.util.List;

/**
 * 发送CDN图片消息 返回结果DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendTextAtMsgTwoRespDTO {

    /**
     * 接收者
     */
    private Long receiver;

    /**
     * 发送者
     */
    private Long sender;

    /**
     * @ 列表
     */
    private List<AtListDTO> at_list;

    /**
     * 发送者昵称
     */
    private String sender_name;

    /**
     * 群会话ID
     */
    private Long room_conversation_id;

    /**
     * 是否为群消息 (1: 是, 0: 否)
     */
    private Integer is_room;

    /**
     * 发送时间
     */
    private Long sendtime;

    /**
     * 消息ID
     */
    private Long msg_id;

    /**
     * 服务器ID
     */
    private Long server_id;

    /**
     * 消息类型
     */
    private Integer msgtype;

    /**
     * 消息内容
     */
    private String content;
    /**
     *  @人员信息
     */
    @Data
    public static class AtListDTO{
        /**
         *  用户id
         */
        private Long user_id;
        /**
         * 用户昵称
         */
        private String nikeName;
    }
}
