package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送视频号消息请求DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendVideoNumberDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要发送的人或群id
     */
    private Long send_userid;

    /**
     * 是否是群消息
     */
    private Boolean isRoom;
    /**
     * 视频封面url
     */
    private String coverUrl;
    /**
     * 视频缩略图url
     */
    private String thumbUrl;
    /**
     * 视频发布者头像
     */
    private String avatar;

    /**
     * 视频发布者昵称
     */
    private String nickname;

    /**
     * 视频描述
     */
     private String desc;
    /**
     * 视频播放地址
     */
    private String url;

     /**
     * 视频其他信息
     */
    private String extras;
      /**
     * 视频号id
     */
    private String objectId;
      /**
     * 视频号nonceId
     */
    private String objectNonceId;
}
