package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送视频号消息响应DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendVideoNumberRespDTO {

    /**
     * 缩略图url
     */
    private String thumb_url;

    /**
     * 封面url
     */
    private String cover_url;

    /**
     * 接收者
     */
    private Long receiver;

    /**
     * 附加信息
     */
    private String extras;

    /**
     * 发送者名称
     */
    private String sender_name;

    /**
     * 应用信息 (例如: from_msgid_697590829808721944)
     */
    private String app_info;
    /**
     * 是否群消息 0 不是 1是
     */
     private Integer is_room;
    /**
     * 视频发布者头像
     */
    private String avatar;
    /**
      * 服务id
      */
    private Long server_id;

    /**
     * 视频播放地址
     */
    private String url;

    /**
      * 发送者
      */
    private Long sender;

     /**
     * 视频发布者昵称
     */
    private String nickname;
    /**
     * 发送时间
     */
    private Integer sendtime;
    /**
     * 消息id
     */
    private Long msg_id;
    /**
     * 消息类型
     */
      private Integer msgtype;
      /**
     * 视频描述
     */
     private String desc;
}
