package com.fs.app.param;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Getter
@Setter
public class FsDrugReportPingParam implements Serializable {

    @NotNull(message = "ID不能为空")
    private Long reportId;
    @NotNull(message = "评价星级不能为空")
    private Long pingStar;
    @NotBlank(message = "评价内容不能为空")
    private String pingContent;


}
