package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

@Data
public class FsUserEditPwdParam implements Serializable {
    @NotBlank(message = "帐号不能为空")
    private String phone;
    @NotBlank(message = "密码不能为空")
    private String password;
    @NotEmpty(message = "验证码不能为空")
    private String code;

}
