package com.fs.app.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ToString
public class FsPackageOrderShareVO implements Serializable {
    private static final long serialVersionUID = 1L;
    /** ID */
    private Long orderId;

    private String orderSn;

    /** 支付金额 */
    private BigDecimal payMoney;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;



}
