package com.fs.watch.controller;

import com.fs.common.core.domain.AjaxResult;
import com.fs.watch.domain.WatchFatigueData;
import com.fs.watch.service.WatchFatigueDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/watch/fatigue")
public class WatchFatigueDataController {
    @Autowired
    private WatchFatigueDataService watchFatigueDataService;

    @PostMapping("/insert")
    public AjaxResult insertFatigueData(@RequestBody WatchFatigueData data){
        return AjaxResult.success(watchFatigueDataService.insert(data));
    }
}
